#!/usr/bin/env python
#
#      Restriction Analysis Libraries.
#      Copyright (C) 2004. Frederic Sohm.
#
# This code is part of the Biopython distribution and governed by its
# license.  Please see the LICENSE file that should have been included
# as part of this package.
#
# This file is automatically generated - do not edit it by hand! Instead,
# use the tool Scripts/Restriction/ranacompiler.py which in turn uses
# Bio/Restriction/_Update/RestrictionCompiler.py
#
# The following dictionaries used to be defined in one go, but that does
# not work on Jython due to JVM limitations. Therefore we break this up
# into steps, using temporary functions to avoid the JVM limits.
#
# Used REBASE emboss files version 708 (2017).

rest_dict = {}


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<AaaI>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AaaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<AacLI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AacLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<AaeI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AaeI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<AagI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AagI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTATAA'),
        'compsite': '(?P<AanI>TTATAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTATAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AanI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<AaqI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AaqI'] = _temp()


def _temp():
    return {
        'charac': (11, 8, None, None, 'CACCTGC'),
        'compsite': '(?P<AarI>CACCTGC)|(?P<AarI_as>GCAGGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 8,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACCTGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AarI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GACNNNNNNGTC'),
        'compsite': '(?P<AasI>GAC......GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNNGTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AasI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<AatI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AatI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GACGTC'),
        'compsite': '(?P<AatII>GACGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'K', 'M', 'N', 'V'),
    }


rest_dict['AatII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<AauI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AauI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRRTAAG'),
        'compsite': '(?P<Aba6411II>C[AG][AG]TAAG)|(?P<Aba6411II_as>CTTA[CT][CT]G)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRRTAAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Aba6411II'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaAI>C)|(?P<AbaAI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaAI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaBGI>C)|(?P<AbaBGI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaBGI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaCI>C)|(?P<AbaCI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTATCAV'),
        'compsite': '(?P<AbaCIII>CTATCA[ACG])|(?P<AbaCIII_as>[CGT]TGATAG)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTATCAV',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaCIII'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaDI>C)|(?P<AbaDI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaDI'] = _temp()


def _temp():
    return {
        'charac': (11, 9, None, None, 'C'),
        'compsite': '(?P<AbaHI>C)|(?P<AbaHI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<AbaI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaSI>C)|(?P<AbaSI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AbaSI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaTI>C)|(?P<AbaTI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaTI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AbaUI>C)|(?P<AbaUI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YCCGSS'),
        'compsite': '(?P<AbaUMB2I>[CT]CCG[CG][CG])|(?P<AbaUMB2I_as>[CG][CG]CGG[AG])',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YCCGSS',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbaUMB2I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTCAGC'),
        'compsite': '(?P<AbeI>CCTCAGC)|(?P<AbeI_as>GCTGAGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTCAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbeI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<AbrI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AbrI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTCGAGG'),
        'compsite': '(?P<AbsI>CCTCGAGG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTCGAGG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AbsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<AcaI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<AcaII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<AcaIII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcaIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<AcaIV>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcaIV'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<AcaPI>C)|(?P<AcaPI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcaPI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<Acc113I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acc113I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<Acc16I>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Acc16I'] = _temp()


def _temp():
    return {
        'charac': (10, 8, None, None, 'ACCTGC'),
        'compsite': '(?P<Acc36I>ACCTGC)|(?P<Acc36I_as>GCAGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 8,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCTGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Acc36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Acc38I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acc38I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTACC'),
        'compsite': '(?P<Acc65I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'N', 'V'),
    }


rest_dict['Acc65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGCA'),
        'compsite': '(?P<Acc65V>GACGCA)|(?P<Acc65V_as>TGCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acc65V'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<AccB1I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AccB1I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGCGCY'),
        'compsite': '(?P<AccB2I>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AccB2I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<AccB7I>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AccB7I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCGCTC'),
        'compsite': '(?P<AccBSI>CCGCTC)|(?P<AccBSI_as>GAGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AccBSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<AccEBI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AccEBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTMKAC'),
        'compsite': '(?P<AccI>GT[AC][GT]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'MK',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTMKAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'Q', 'R', 'X'),
    }


rest_dict['AccI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<AccII>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('J', 'K'),
    }


rest_dict['AccII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<AccIII>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'K', 'R'),
    }


rest_dict['AccIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCWGC'),
        'compsite': '(?P<AceI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AceI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCTAGC'),
        'compsite': '(?P<AceII>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AceII'] = _temp()


def _temp():
    return {
        'charac': (13, 11, None, None, 'CAGCTC'),
        'compsite': '(?P<AceIII>CAGCTC)|(?P<AceIII_as>GAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 11,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AceIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCCAG'),
        'compsite': '(?P<AchA6III>AGCCAG)|(?P<AchA6III_as>CTGGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AchA6III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGC'),
        'compsite': '(?P<AciI>CCGC)|(?P<AciI_as>GCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AciI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AACGTT'),
        'compsite': '(?P<AclI>AACGTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AACGTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['AclI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACTAGT'),
        'compsite': '(?P<AclNI>ACTAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTAGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AclNI'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<AclWI>GGATC)|(?P<AclWI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AclWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCRGAG'),
        'compsite': '(?P<Aco12261II>CC[AG]GAG)|(?P<Aco12261II_as>CTC[CT]GG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Aco12261II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'YGGCCR'),
        'compsite': '(?P<AcoI>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AcoI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<AcpI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcpI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<AcpII>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcpII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<AcrI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcrI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<AcrII>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcrII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Acs1371I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acs1371I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Acs1372I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acs1372I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Acs1373I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acs1373I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Acs1421I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acs1421I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Acs1422I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Acs1422I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RAATTY'),
        'compsite': '(?P<AcsI>[AG]AATT[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RAATTY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AcsI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGAAG'),
        'compsite': '(?P<AcuI>CTGAAG)|(?P<AcuI_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['AcuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<AcuII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AcuII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<AcvI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['AcvI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<AcyI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J',),
    }


rest_dict['AcyI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CACNNNGTG'),
        'compsite': '(?P<AdeI>CAC...GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNGTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AdeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<AehI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AehI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<AehII>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AehII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<AerAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AerAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<AeuI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AeuI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<Afa16RI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Afa16RI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<Afa22MI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Afa22MI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Afa24RI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Afa24RI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTAC'),
        'compsite': '(?P<AfaI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['AfaI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGCGCT'),
        'compsite': '(?P<AfeI>AGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['AfeI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<AfiI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['AfiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Afl83I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Afl83I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Afl83II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Afl83II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<AflI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AflI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<AflII>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'K', 'N'),
    }


rest_dict['AflII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACRYGT'),
        'compsite': '(?P<AflIII>AC[AG][CT]GT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CRYG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACRYGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'N', 'S'),
    }


rest_dict['AflIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<AflIV>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AflIV'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<AgeI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'N', 'R'),
    }


rest_dict['AgeI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<AglI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AglI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTSAA'),
        'compsite': '(?P<AgsI>TT[CG]AA)',
        'dna': None,
        'freq': 512.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTSAA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AgsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<AhaB1I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhaB1I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTACC'),
        'compsite': '(?P<AhaB8I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhaB8I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<AhaI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<AhaII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhaII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTTAAA'),
        'compsite': '(?P<AhaIII>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhaIII'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<AhdI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AhdI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACTAGT'),
        'compsite': '(?P<AhlI>ACTAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTAGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AhlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<AhyAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhyAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<AhyI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCYYGAC'),
        'compsite': '(?P<AhyRBAHI>GC[CT][CT]GAC)|(?P<AhyRBAHI_as>GTC[AG][AG]GC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCYYGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhyRBAHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YAAMGAG'),
        'compsite': '(?P<AhyYL17I>[CT]AA[AC]GAG)|(?P<AhyYL17I_as>CTC[GT]TT[AG])',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YAAMGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AhyYL17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<AinI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AinI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<AinII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AinII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<AitAI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AitAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGCGCT'),
        'compsite': '(?P<AitI>AGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AitI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<AitII>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AitII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTC'),
        'compsite': '(?P<AjiI>CACGTC)|(?P<AjiI_as>GACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AjiI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<AjnI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AjnI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<AjoI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AjoI'] = _temp()


def _temp():
    return {
        'charac': (-7, -26, 25, 6, 'GAANNNNNNNTTGG'),
        'compsite': '(?P<AjuI>GAA.......TTGG)|(?P<AjuI_as>CCAA.......TTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -26,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 6,
        'scd5': 25,
        'site': 'GAANNNNNNNTTGG',
        'size': 14,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AjuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Ala17612I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ala17612I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CACNNNNGTG'),
        'compsite': '(?P<AleI>CAC....GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNNGTG',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AleI'] = _temp()


def _temp():
    return {
        'charac': (-10, -24, 24, 10, 'GCANNNNNNTGC'),
        'compsite': '(?P<AlfI>GCA......TGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -24,
        'fst5': -10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 10,
        'scd5': 24,
        'site': 'GCANNNNNNTGC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AlfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Ali12257I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ali12257I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Ali12258I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ali12258I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ali2882I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ali2882I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<AliAJI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AliAJI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<AliI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AliI'] = _temp()


def _temp():
    return {
        'charac': (-7, -25, 25, 7, 'GAACNNNNNNTCC'),
        'compsite': '(?P<AloI>GAAC......TCC)|(?P<AloI_as>GGA......GTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -25,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 25,
        'site': 'GAACNNNNNNTCC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['AloI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AGCT'),
        'compsite': '(?P<AluBI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AluBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AGCT'),
        'compsite': '(?P<AluI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['AluI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<Alw21I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Alw21I'] = _temp()


def _temp():
    return {
        'charac': (6, 5, None, None, 'GTCTC'),
        'compsite': '(?P<Alw26I>GTCTC)|(?P<Alw26I_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Alw26I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTGCAC'),
        'compsite': '(?P<Alw44I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J'),
    }


rest_dict['Alw44I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAAYNNNNNRTG'),
        'compsite': '(?P<AlwFI>GAAA[CT].....[AG]TG)|(?P<AlwFI_as>CA[CT].....[AG]TTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAAYNNNNNRTG',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AlwFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<AlwFII>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AlwFII'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<AlwI>GGATC)|(?P<AlwI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AlwI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CAGNNNCTG'),
        'compsite': '(?P<AlwNI>CAG...CTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGNNNCTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AlwNI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<AlwXI>GCAGC)|(?P<AlwXI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AlwXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<Ama87I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Ama87I'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'GCTCCA'),
        'compsite': '(?P<AmaCSI>GCTCCA)|(?P<AmaCSI_as>TGGAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AmaCSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<AmaSI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AmaSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<AmeI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AmeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<AmeII>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AmeII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<AniMI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AniMI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<AocI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AocI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<AocII>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AocII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<Aor13HI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['Aor13HI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGCGCT'),
        'compsite': '(?P<Aor51HI>AGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['Aor51HI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<AorI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AorI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<AosI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AosI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<AosII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AosII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<AosIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AosIII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GGCC'),
        'compsite': '(?P<AoxI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AoxI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'GCANNNNNTGC'),
        'compsite': '(?P<ApaBI>GCA.....TGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCANNNNNTGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApaBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<ApaCI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApaCI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGGCCC'),
        'compsite': '(?P<ApaI>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['ApaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTGCAC'),
        'compsite': '(?P<ApaLI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C', 'K', 'N'),
    }


rest_dict['ApaLI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<ApaORI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApaORI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<ApcTR183I>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApcTR183I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<ApeAI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApeAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGCGT'),
        'compsite': '(?P<ApeI>ACGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApeI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCWGC'),
        'compsite': '(?P<ApeKI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['ApeKI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<ApiI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApiI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<AplI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AplI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RAATTY'),
        'compsite': '(?P<ApoI>[AG]AATT[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RAATTY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['ApoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<AprI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AprI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Apu16I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Apu16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<ApuI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApuI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<ApyI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApyI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'ATCGAC'),
        'compsite': '(?P<ApyPI>ATCGAC)|(?P<ApyPI_as>GTCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ApyPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<AquI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AquI'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'GCCGNAC'),
        'compsite': '(?P<AquII>GCCG.AC)|(?P<AquII_as>GT.CGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGNAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AquII'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'GAGGAG'),
        'compsite': '(?P<AquIII>GAGGAG)|(?P<AquIII_as>CTCCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AquIII'] = _temp()


def _temp():
    return {
        'charac': (26, 17, None, None, 'GRGGAAG'),
        'compsite': '(?P<AquIV>G[AG]GGAAG)|(?P<AquIV_as>CTTCC[CT]C)',
        'dna': None,
        'freq': 8192.0,
        'fst3': 17,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGGAAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AquIV'] = _temp()


def _temp():
    return {
        'charac': (-8, -26, 24, 6, 'GACNNNNNNTTYG'),
        'compsite': '(?P<ArsI>GAC......TT[CT]G)|(?P<ArsI_as>C[AG]AA......GTC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -26,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 6,
        'scd5': 24,
        'site': 'GACNNNNNNTTYG',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['ArsI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCGCC'),
        'compsite': '(?P<AscI>GGCGCGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCGCC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AscI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<AseI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'N'),
    }


rest_dict['AseI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<AseII>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AseII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GATC'),
        'compsite': '(?P<Asi256I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asi256I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<Asi372I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asi372I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<AsiAI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsiAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<AsiGI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AsiGI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<AsiI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsiI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCGATCGC'),
        'compsite': '(?P<AsiSI>GCGATCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGATCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['AsiSI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<AsnI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsnI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Asp10HI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp10HI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<Asp10HII>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp10HII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCABCC'),
        'compsite': '(?P<Asp114II>AGCA[CGT]CC)|(?P<Asp114II_as>GG[ACG]TGCT)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp114II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp123I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp123I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp130I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp130I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp14HI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp14HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp14I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Asp15I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Asp16HI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp16HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Asp17HI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp17HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp17I>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Asp18HI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp18HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp1HI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp1HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Asp1I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp21HI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp21HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp22I>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp22I'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp26HI>GAATGC)|(?P<Asp26HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp26HI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp27HI>GAATGC)|(?P<Asp27HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp27HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Asp29HI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp29HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Asp2HI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp2HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Asp3065I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp3065I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Asp32HI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp32HI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp35HI>GAATGC)|(?P<Asp35HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp35HI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp36HI>GAATGC)|(?P<Asp36HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp36HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Asp36I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp37I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp37I'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp40HI>GAATGC)|(?P<Asp40HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp40HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Asp47I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp47I'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Asp50HI>GAATGC)|(?P<Asp50HI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp50HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Asp52I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp52I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<Asp5HI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp5HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Asp697I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp697I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp6HI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp6HI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<Asp700I>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['Asp700I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Asp703I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp703I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp707I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp707I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Asp708I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp708I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Asp713I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp713I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTACC'),
        'compsite': '(?P<Asp718I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'S'),
    }


rest_dict['Asp718I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Asp742I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp742I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Asp745I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp745I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Asp748I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp748I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<Asp763I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp763I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Asp78I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp78I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Asp86I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp86I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Asp8HI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp8HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACRYGT'),
        'compsite': '(?P<Asp90I>AC[AG][CT]GT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACRYGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asp90I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<AspA2I>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AspA2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<AspAI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspAI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'YSCNS'),
        'compsite': '(?P<AspBHI>[CT][CG]C.[CG])|(?P<AspBHI_as>[CG].G[CG][AG])',
        'dna': None,
        'freq': 32.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YSCNS',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspBHI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<AspBHII>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspBHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<AspBI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<AspBII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspBII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCSGC'),
        'compsite': '(?P<AspCNI>GC[CG]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCSGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspCNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<AspDI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<AspDII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspDII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GNGCAAC'),
        'compsite': '(?P<AspDUT2V>G.GCAAC)|(?P<AspDUT2V_as>GTTGC.C)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GNGCAAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspDUT2V'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<AspEI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspEI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<AspHI>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspHI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<AspI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCCCAG'),
        'compsite': '(?P<AspJHL3II>CGCCCAG)|(?P<AspJHL3II_as>CTGGGCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspJHL3II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGTC'),
        'compsite': '(?P<AspJI>GACGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspJI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<AspLEI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AspLEI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<AspMDI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspMDI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<AspMI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspMI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<AspNI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<AspS9I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AspS9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<AspTB23I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspTB23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<AspTI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<AspTII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspTII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<AspTIII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AspTIII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<AssI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AssI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<AstWI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AstWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTRAC'),
        'compsite': '(?P<Asu14238IV>CGT[AG]AC)|(?P<Asu14238IV_as>GT[CT]ACG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Asu14238IV'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<AsuC2I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['AsuC2I'] = _temp()


def _temp():
    return {
        'charac': (13, 7, None, None, 'GGTGA'),
        'compsite': '(?P<AsuHPI>GGTGA)|(?P<AsuHPI_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AsuHPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<AsuI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsuI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<AsuII>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['AsuII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<AsuIII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsuIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<AsuMBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsuMBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCTAGC'),
        'compsite': '(?P<AsuNHI>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['AsuNHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<AsuSAI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AsuSAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATGG'),
        'compsite': '(?P<AteI>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AteI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGRAG'),
        'compsite': '(?P<AteTI>GGG[AG]AG)|(?P<AteTI_as>CT[CT]CCC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AteTI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<AtsI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AtsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Atu1I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Atu1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Atu1II>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Atu1II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<AtuBI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AtuBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<AtuII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AtuII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<AtuSI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AtuSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Ava458I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ava458I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<AvaI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'N', 'Q', 'X'),
    }


rest_dict['AvaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<AvaII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('J', 'N', 'R', 'X'),
    }


rest_dict['AvaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<AvaIII>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvaIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<AvcI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvcI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<AviI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AviI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<AviII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AviII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<AvoI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<AvrBI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvrBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<AvrBII>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvrBII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<AvrI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['AvrI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<AvrII>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['AvrII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCRAG'),
        'compsite': '(?P<Awo1030IV>GCC[AG]AG)|(?P<Awo1030IV_as>CT[CT]GGC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Awo1030IV'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<AxyI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('J',),
    }


rest_dict['AxyI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Bac36I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bac36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Bac465I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bac465I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<BacI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BacI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BadI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BadI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GKGCMC'),
        'compsite': '(?P<BaeGI>G[GT]GC[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'KGCM',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCMC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BaeGI'] = _temp()


def _temp():
    return {
        'charac': (-10, -26, 23, 7, 'ACNNNNGTAYC'),
        'compsite': '(?P<BaeI>AC....GTA[CT]C)|(?P<BaeI_as>G[AG]TAC....GT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -26,
        'fst5': -10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 23,
        'site': 'ACNNNNGTAYC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BaeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGAG'),
        'compsite': '(?P<Bag18758I>CCCGAG)|(?P<Bag18758I_as>CTCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bag18758I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Bal228I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bal228I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bal3006I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bal3006I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bal475I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bal475I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<BalI>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'Q', 'R', 'X'),
    }


rest_dict['BalI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BamFI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BamFI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BamGI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BamGI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<BamHI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['BamHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BamKI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BamKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BamNI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BamNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<BamNII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BamNII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BanAI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BanAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<BanI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N', 'R'),
    }


rest_dict['BanI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<BanII>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K', 'N', 'X'),
    }


rest_dict['BanII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BanIII>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BanIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RTCAGG'),
        'compsite': '(?P<BanLI>[AG]TCAGG)|(?P<BanLI_as>CCTGA[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RTCAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BanLI'] = _temp()


def _temp():
    return {
        'charac': (-7, -25, 25, 7, 'GAAGNNNNNNTAC'),
        'compsite': '(?P<BarI>GAAG......TAC)|(?P<BarI_as>GTA......CTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -25,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 25,
        'site': 'GAAGNNNNNNTAC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BarI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<BasI>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BasI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CACGAG'),
        'compsite': '(?P<BauI>CACGAG)|(?P<BauI_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'ACGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BauI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BavAI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BavAII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavAII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BavBI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BavBII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavBII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BavCI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavCI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BavI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BavI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BazI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BazI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'WCCGGW'),
        'compsite': '(?P<Bba179I>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bba179I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<BbeAI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbeAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGCGCC'),
        'compsite': '(?P<BbeI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bbf7411I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bbf7411I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BbfI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbfI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACGCGT'),
        'compsite': '(?P<Bbi24I>ACGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bbi24I'] = _temp()


def _temp():
    return {
        'charac': (11, 9, None, None, 'C'),
        'compsite': '(?P<BbiDI>C)|(?P<BbiDI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbiDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BbiI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbiI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<BbiII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbiII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BbiIII>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbiIII'] = _temp()


def _temp():
    return {
        'charac': (13, 11, None, None, 'GAAGAC'),
        'compsite': '(?P<Bbr7I>GAAGAC)|(?P<Bbr7I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 11,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bbr7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<BbrAI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbrAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<BbrI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbrI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<BbrPI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['BbrPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<BbrUII>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbrUII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BbrUIII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbrUIII'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BbsI>GAAGAC)|(?P<BbsI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BbsI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGC'),
        'compsite': '(?P<BbtI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbtI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<BbuI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbuI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<Bbv12I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bbv12I'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<Bbv16II>GAAGAC)|(?P<Bbv16II_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bbv16II'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<BbvAI>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbvAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BbvAII>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbvAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BbvAIII>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbvAIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<BbvBI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbvBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTCAGC'),
        'compsite': '(?P<BbvCI>CCTCAGC)|(?P<BbvCI_as>GCTGAGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTCAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BbvCI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<BbvI>GCAGC)|(?P<BbvI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BbvI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BbvII>GAAGAC)|(?P<BbvII_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BbvII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bca1259I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bca1259I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'WCCGGW'),
        'compsite': '(?P<Bca77I>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bca77I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<BcaI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcaI'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'CCATC'),
        'compsite': '(?P<BccI>CCATC)|(?P<BccI_as>GATGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BccI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<Bce1247I>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce1247I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Bce1273I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce1273I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Bce14579I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce14579I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bce170I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce170I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Bce22I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce22I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bce243I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce243I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAGGAG'),
        'compsite': '(?P<Bce3081I>TAGGAG)|(?P<Bce3081I_as>CTCCTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce3081I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Bce31293I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce31293I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<Bce4I>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bce71I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce71I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Bce751I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce751I'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTTGAG'),
        'compsite': '(?P<Bce83I>CTTGAG)|(?P<Bce83I_as>CTCAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce83I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Bce95I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bce95I'] = _temp()


def _temp():
    return {
        'charac': (17, 14, None, None, 'ACGGC'),
        'compsite': '(?P<BceAI>ACGGC)|(?P<BceAI_as>GCCGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BceAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BceBI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceBI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<BceCI>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<BceDI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACAG'),
        'compsite': '(?P<BceJI>CACAG)|(?P<BceJI_as>CTGTG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<BceLI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<BceRI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceRI'] = _temp()


def _temp():
    return {
        'charac': (32, 29, None, None, 'CGAAG'),
        'compsite': '(?P<BceSI>CGAAG)|(?P<BceSI_as>CTTCG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 29,
        'fst5': 32,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGAAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<BceSII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceSII'] = _temp()


def _temp():
    return {
        'charac': (17, 14, None, None, 'ACGGC'),
        'compsite': '(?P<BceSIII>ACGGC)|(?P<BceSIII_as>GCCGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceSIII'] = _temp()


def _temp():
    return {
        'charac': (-7, -10, 14, 11, 'GCAGC'),
        'compsite': '(?P<BceSIV>GCAGC)|(?P<BceSIV_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -10,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 11,
        'scd5': 14,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceSIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<BceYI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BceYI'] = _temp()


def _temp():
    return {
        'charac': (17, 13, None, None, 'ACGGC'),
        'compsite': '(?P<BcefI>ACGGC)|(?P<BcefI_as>GCCGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 13,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcefI'] = _temp()


def _temp():
    return {
        'charac': (-10, -24, 24, 10, 'CGANNNNNNTGC'),
        'compsite': '(?P<BcgI>CGA......TGC)|(?P<BcgI_as>GCA......TCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -24,
        'fst5': -10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 10,
        'scd5': 24,
        'site': 'CGANNNNNNTGC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BcgI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGC'),
        'compsite': '(?P<BchI>GCAGC)|(?P<BchI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BchI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bci29I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bci29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Bci528I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bci528I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BciBI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BciBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BciBII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BciBII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BciT130I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['BciT130I'] = _temp()


def _temp():
    return {
        'charac': (12, 5, None, None, 'GTATCC'),
        'compsite': '(?P<BciVI>GTATCC)|(?P<BciVI_as>GGATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BciVI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<BclI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'J', 'M', 'N', 'O', 'R', 'S'),
    }


rest_dict['BclI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BcmI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcmI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<BcnI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['BcnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bco10278I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco10278I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Bco102I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco102I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGAC'),
        'compsite': '(?P<Bco102II>GAAGAC)|(?P<Bco102II_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco102II'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Bco116I>CTCTTC)|(?P<Bco116I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco116I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<Bco118I>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco118I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTRYAG'),
        'compsite': '(?P<Bco163I>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco163I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<Bco27I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bco33I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco33I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Bco35I>CTGGAG)|(?P<Bco35I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco35I'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Bco5I>CTCTTC)|(?P<Bco5I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATNNNNATC'),
        'compsite': '(?P<Bco631I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco631I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATNNNNATC'),
        'compsite': '(?P<Bco63I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco63I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<Bco6I>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bco79I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bco79I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<BcoAI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcoAI'] = _temp()


def _temp():
    return {
        'charac': (6, 5, None, None, 'GTCTC'),
        'compsite': '(?P<BcoDI>GTCTC)|(?P<BcoDI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BcoDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BcoI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcoI'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<BcoKI>CTCTTC)|(?P<BcoKI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcoKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<BcoSI>CTCTTC)|(?P<BcoSI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcoSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<BcrAI>CTCTTC)|(?P<BcrAI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcrAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<BcrI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGGC'),
        'compsite': '(?P<BctI>ACGGC)|(?P<BctI_as>GCCGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BctI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<BcuAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BcuAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACTAGT'),
        'compsite': '(?P<BcuI>ACTAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTAGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BcuI'] = _temp()


def _temp():
    return {
        'charac': (-10, -24, 24, 10, 'TGANNNNNNTCA'),
        'compsite': '(?P<BdaI>TGA......TCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -24,
        'fst5': -10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 10,
        'scd5': 24,
        'site': 'TGANNNNNNTCA',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BdaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BdiI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BdiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<BdiSI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BdiSI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BecAII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BecAII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BepI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BepI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'WCCGGW'),
        'compsite': '(?P<BetI>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BetI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<BfaI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BfaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANGGAG'),
        'compsite': '(?P<BfaSII>GA.GGAG)|(?P<BfaSII_as>CTCC.TC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANGGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfaSII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Bfi105I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bfi105I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bfi458I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bfi458I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bfi57I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bfi57I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'YGGCCR'),
        'compsite': '(?P<Bfi89I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bfi89I'] = _temp()


def _temp():
    return {
        'charac': (11, 4, None, None, 'ACTGGG'),
        'compsite': '(?P<BfiI>ACTGGG)|(?P<BfiI_as>CCCAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BfiSHI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfiSHI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<BflI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BflI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<BfmI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BfmI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGCGCY'),
        'compsite': '(?P<BfoI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BfoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BfrAI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfrAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<BfrBI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfrBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<BfrCI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfrCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<BfrI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'S'),
    }


rest_dict['BfrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<Bfu1570I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bfu1570I'] = _temp()


def _temp():
    return {
        'charac': (10, 8, None, None, 'ACCTGC'),
        'compsite': '(?P<BfuAI>ACCTGC)|(?P<BfuAI_as>GCAGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 8,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCTGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BfuAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<BfuAII>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BfuAII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BfuCI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BfuCI'] = _temp()


def _temp():
    return {
        'charac': (12, 5, None, None, 'GTATCC'),
        'compsite': '(?P<BfuI>GTATCC)|(?P<BfuI_as>GGATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BfuI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<BgiI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BgiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGAGGC'),
        'compsite': '(?P<Bgl2196IV>GGAGGC)|(?P<Bgl2196IV_as>GCCTCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGAGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bgl2196IV'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<BglI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'N', 'O', 'Q', 'R', 'V', 'X'),
    }


rest_dict['BglI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AGATCT'),
        'compsite': '(?P<BglII>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['BglII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATC'),
        'compsite': '(?P<BhaI>GCATC)|(?P<BhaI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BhaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BhaII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BhaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<BheI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BheI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Bim19I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bim19I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Bim19II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bim19II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<BimI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BimI'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<BinI>GGATC)|(?P<BinI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BinI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BinSI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BinSI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGCGCC'),
        'compsite': '(?P<BinSII>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BinSII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<BisI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BisI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<Bka1125I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bka1125I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bla7920I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bla7920I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRAGCAG'),
        'compsite': '(?P<Ble402II>G[AG]AGCAG)|(?P<Ble402II_as>CTGCT[CT]C)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRAGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ble402II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BlfI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BlfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Bli161I>GGTCTC)|(?P<Bli161I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli161I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Bli1904II>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli1904II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bli41I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Bli49I>GGTCTC)|(?P<Bli49I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli49I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Bli5508I>GGTCTC)|(?P<Bli5508I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli5508I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bli576I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli576I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Bli576II>GGTCTC)|(?P<Bli576II_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli576II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bli585I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli585I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Bli643I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli643I'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<Bli736I>GGTCTC)|(?P<Bli736I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli736I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bli86I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bli86I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BliAI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BliAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<BliHKI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BliHKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BliI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BliI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BliRI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BliRI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<BlnI>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K', 'M', 'S'),
    }


rest_dict['BlnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGGAC'),
        'compsite': '(?P<BloAII>GAGGAC)|(?P<BloAII_as>GTCCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BloAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<BloHI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BloHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<BloHII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BloHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BloHIII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BloHIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<BloMGI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BloMGI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCTNAGC'),
        'compsite': '(?P<BlpI>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BlpI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNGC'),
        'compsite': '(?P<BlsI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BlsI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<BluI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BluI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BluII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BluII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BmaAI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BmaBI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BmaCI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BmaDI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaDI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<BmaHI>GAATGC)|(?P<BmaHI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BmaI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmaI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<BmcAI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BmcAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Bme05I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme05I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bme12I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme12I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCNGG'),
        'compsite': '(?P<Bme1390I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bme1390I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'RGCGCY'),
        'compsite': '(?P<Bme142I>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme142I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GKGCMC'),
        'compsite': '(?P<Bme1580I>G[GT]GC[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'KGCM',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCMC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme1580I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Bme18I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bme18I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bme2095I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme2095I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Bme216I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme216I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bme2494I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme2494I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Bme361I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme361I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bme46I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme46I'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'CCCGC'),
        'compsite': '(?P<Bme585I>CCCGC)|(?P<Bme585I_as>GCGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme585I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bme74I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bme74I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BmeBI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmeBI'] = _temp()


def _temp():
    return {
        'charac': (3, 0, None, None, 'C'),
        'compsite': '(?P<BmeDI>C)|(?P<BmeDI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 0,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmeDI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<BmeRI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BmeRI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BmeT110I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['BmeT110I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<BmeTI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmeTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BmeU1594I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmeU1594I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GKGCMC'),
        'compsite': '(?P<BmgAI>G[GT]GC[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCMC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmgAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTC'),
        'compsite': '(?P<BmgBI>CACGTC)|(?P<BmgBI_as>GACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BmgBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GKGCCC'),
        'compsite': '(?P<BmgI>G[GT]GCCC)|(?P<BmgI_as>GGGC[AC]C)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmgI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BmgT120I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['BmgT120I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<BmiI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BmiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<BmpI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmpI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCNGG'),
        'compsite': '(?P<BmrFI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BmrFI'] = _temp()


def _temp():
    return {
        'charac': (11, 4, None, None, 'ACTGGG'),
        'compsite': '(?P<BmrI>ACTGGG)|(?P<BmrI_as>CCCAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BmrI'] = _temp()


def _temp():
    return {
        'charac': (10, 9, None, None, 'GCATC'),
        'compsite': '(?P<BmsI>GCATC)|(?P<BmsI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BmsI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCTAGC'),
        'compsite': '(?P<BmtI>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['BmtI'] = _temp()


def _temp():
    return {
        'charac': (11, 4, None, None, 'ACTGGG'),
        'compsite': '(?P<BmuI>ACTGGG)|(?P<BmuI_as>CCCAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BmuI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<BmyI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BmyI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<BnaI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BnaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNNGC'),
        'compsite': '(?P<BniI>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BniI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GACNNNNGTC'),
        'compsite': '(?P<BoxI>GAC....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNGTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BoxI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<Bpa34I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpa34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bpa36I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpa36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<Bpa36II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpa36II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<BpcI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpcI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<BpeI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpeI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BpiI>GAAGAC)|(?P<BpiI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BpiI'] = _temp()


def _temp():
    return {
        'charac': (-8, -24, 24, 8, 'GAGNNNNNCTC'),
        'compsite': '(?P<BplI>GAG.....CTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -24,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 24,
        'site': 'GAGNNNNNCTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BplI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGGAG'),
        'compsite': '(?P<BpmI>CTGGAG)|(?P<BpmI_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['BpmI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<BpoAI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpoAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<BpsI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BpsII>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpsII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BptI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BptI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGC'),
        'compsite': '(?P<Bpu10I>CCT.AGC)|(?P<Bpu10I_as>GCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'N', 'V'),
    }


rest_dict['Bpu10I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCTNAGC'),
        'compsite': '(?P<Bpu1102I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Bpu1102I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Bpu1268I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpu1268I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Bpu14I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bpu14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Bpu1811I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpu1811I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<Bpu1831I>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpu1831I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<Bpu86I>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpu86I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Bpu95I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bpu95I'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BpuAI>GAAGAC)|(?P<BpuAI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GAGCTC'),
        'compsite': '(?P<BpuAmI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuAmI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<BpuB5I>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuB5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGGA'),
        'compsite': '(?P<BpuCI>GGCGGA)|(?P<BpuCI_as>TCCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuCI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGC'),
        'compsite': '(?P<BpuDI>CCT.AGC)|(?P<BpuDI_as>GCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuDI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTTGAG'),
        'compsite': '(?P<BpuEI>CTTGAG)|(?P<BpuEI_as>CTCAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BpuEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATC'),
        'compsite': '(?P<BpuFI>GGATC)|(?P<BpuFI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTNAGC'),
        'compsite': '(?P<BpuGCI>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuGCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<BpuGI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<BpuHI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<BpuI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGT'),
        'compsite': '(?P<BpuJI>CCCGT)|(?P<BpuJI_as>ACGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuJI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<BpuMI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BpuMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGAC'),
        'compsite': '(?P<BpuNI>GGGAC)|(?P<BpuNI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuNI'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<BpuSI>GGGAC)|(?P<BpuSI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpuSI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<BpvUI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BpvUI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsa29I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Bsa29I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'YACGTR'),
        'compsite': '(?P<BsaAI>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<BsaBI>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<BsaCI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BsaDI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<BsaEI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<BsaFI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<BsaGI>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaGI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<BsaHI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaHI'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<BsaI>GGTCTC)|(?P<BsaI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCNNGG'),
        'compsite': '(?P<BsaJI>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CNNG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTAAC'),
        'compsite': '(?P<BsaKI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<BsaLI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaLI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<BsaMI>GAATGC)|(?P<BsaMI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BsaNI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BsaNII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaNII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGRYCG'),
        'compsite': '(?P<BsaOI>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'RY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaOI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BsaPI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BsaQI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaQI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BsaRI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<BsaSI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<BsaTI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGC'),
        'compsite': '(?P<BsaUI>GCAGC)|(?P<BsaUI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGAC'),
        'compsite': '(?P<BsaVI>GAAGAC)|(?P<BsaVI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaVI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'WCCGGW'),
        'compsite': '(?P<BsaWI>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaWI'] = _temp()


def _temp():
    return {
        'charac': (-9, -23, 21, 7, 'ACNNNNNCTCC'),
        'compsite': '(?P<BsaXI>AC.....CTCC)|(?P<BsaXI_as>GGAG.....GT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -23,
        'fst5': -9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': 7,
        'scd5': 21,
        'site': 'ACNNNNNCTCC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsaXI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<BsaZI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsaZI'] = _temp()


def _temp():
    return {
        'charac': (27, 19, None, None, 'CAACAC'),
        'compsite': '(?P<BsbI>CAACAC)|(?P<BsbI_as>GTGTTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 19,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAACAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsbI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<Bsc107I>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsc107I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Bsc217I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsc217I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<Bsc4I>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Bsc4I'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<Bsc91I>GAAGAC)|(?P<Bsc91I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsc91I'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'GCATC'),
        'compsite': '(?P<BscAI>GCATC)|(?P<BscAI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<BscBI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscBI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<BscCI>GAATGC)|(?P<BscCI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BscDI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<BscEI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscEI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BscFI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGT'),
        'compsite': '(?P<BscGI>CCCGT)|(?P<BscGI_as>ACGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACTGG'),
        'compsite': '(?P<BscHI>ACTGG)|(?P<BscHI_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscHI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BscI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCANNNNNNTGG'),
        'compsite': '(?P<BscJI>CCA......TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGAC'),
        'compsite': '(?P<BscKI>GAAGAC)|(?P<BscKI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<BscLI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<BscMI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGRYCG'),
        'compsite': '(?P<BscNI>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<BscOI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscOI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<BscPI>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BscQI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscQI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCTC'),
        'compsite': '(?P<BscQII>GTCTC)|(?P<BscQII_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscQII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RCCGGY'),
        'compsite': '(?P<BscRI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<BscSI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<BscTI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATC'),
        'compsite': '(?P<BscUI>GCATC)|(?P<BscUI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGAC'),
        'compsite': '(?P<BscWI>GGGAC)|(?P<BscWI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BscWI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<Bse118I>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bse118I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bse126I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse126I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<Bse15I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse15I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bse16I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse16I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bse17I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATGG'),
        'compsite': '(?P<Bse19I>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse19I'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<Bse1I>ACTGG)|(?P<Bse1I_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bse1I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<Bse21I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bse21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<Bse23I>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse23I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bse24I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse24I'] = _temp()


def _temp():
    return {
        'charac': (8, 0, None, None, 'GCAATG'),
        'compsite': '(?P<Bse3DI>GCAATG)|(?P<Bse3DI_as>CATTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bse3DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Bse54I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Bse59I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse59I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATNNNNATC'),
        'compsite': '(?P<Bse631I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse631I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<Bse634I>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse634I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<Bse64I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse64I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<Bse8I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bse8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bse9I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bse9I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BseAI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['BseAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<BseB631I>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseB631I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGATCT'),
        'compsite': '(?P<BseB631II>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseB631II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BseBI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['BseBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BseCI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['BseCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCNNGG'),
        'compsite': '(?P<BseDI>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CNNG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<BseG73I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseG73I'] = _temp()


def _temp():
    return {
        'charac': (7, 0, None, None, 'GGATG'),
        'compsite': '(?P<BseGI>GGATG)|(?P<BseGI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<BseHI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BseI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTAAC'),
        'compsite': '(?P<BseII>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<BseJI>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseJI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<BseKI>GCAGC)|(?P<BseKI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseKI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<BseLI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseLI'] = _temp()


def _temp():
    return {
        'charac': (8, 0, None, None, 'GCAATG'),
        'compsite': '(?P<BseMI>GCAATG)|(?P<BseMI_as>CATTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseMI'] = _temp()


def _temp():
    return {
        'charac': (15, 8, None, None, 'CTCAG'),
        'compsite': '(?P<BseMII>CTCAG)|(?P<BseMII_as>CTGAG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 8,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseMII'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<BseNI>ACTGG)|(?P<BseNI_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGCGC'),
        'compsite': '(?P<BsePI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BsePI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BseQI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseQI'] = _temp()


def _temp():
    return {
        'charac': (16, 8, None, None, 'GAGGAG'),
        'compsite': '(?P<BseRI>GAGGAG)|(?P<BseRI_as>CTCCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 8,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BseRI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GKGCMC'),
        'compsite': '(?P<BseSI>G[GT]GC[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'KGCM',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCMC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BseT10I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseT10I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BseT9I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseT9I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<BseX3I>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BseX3I'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<BseXI>GCAGC)|(?P<BseXI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BseXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCAGC'),
        'compsite': '(?P<BseYI>CCCAGC)|(?P<BseYI_as>GCTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BseYI'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<BseZI>CTCTTC)|(?P<BseZI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BseZI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'GTGCAG'),
        'compsite': '(?P<BsgI>GTGCAG)|(?P<BsgI_as>CTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsgI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsh108AI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsh108AI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Bsh1236I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsh1236I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGRYCG'),
        'compsite': '(?P<Bsh1285I>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'RY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsh1285I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<Bsh1365I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsh1365I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<Bsh45I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsh45I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BshAI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BshBI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BshCI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BshDI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BshEI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshEI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BshFI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['BshFI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BshGI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<BshHI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshHI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BshI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BshKI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<BshLI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<BshMI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BshMI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<BshNI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BshNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<BshTI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BshTI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BshVI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BshVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BsiAI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<BsiBI>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<BsiCI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BsiDI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiDI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGRYCG'),
        'compsite': '(?P<BsiEI>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'RY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsiEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<BsiGI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BsiHI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<BsiHKAI>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsiHKAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BsiHKCI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['BsiHKCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CACGAG'),
        'compsite': '(?P<BsiI>CACGAG)|(?P<BsiI_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'ACGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BsiKI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiKI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BsiLI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiLI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BsiMI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<BsiOI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiOI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<BsiQI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiQI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<BsiSI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('C', 'Y'),
    }


rest_dict['BsiSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BsiUI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BsiVI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiVI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<BsiWI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsiWI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BsiXI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiXI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<BsiYI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiYI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BsiZI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsiZI'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<BslFI>GGGAC)|(?P<BslFI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BslFI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<BslI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BslI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<Bsm6I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsm6I'] = _temp()


def _temp():
    return {
        'charac': (6, 5, None, None, 'GTCTC'),
        'compsite': '(?P<BsmAI>GTCTC)|(?P<BsmAI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsmAI'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'CGTCTC'),
        'compsite': '(?P<BsmBI>CGTCTC)|(?P<BsmBI_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsmBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNNNNNCTCC'),
        'compsite': '(?P<BsmCI>AC.....CTCC)|(?P<BsmCI_as>GGAG.....GT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNNNNNCTCC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNNNNNCTCC'),
        'compsite': '(?P<BsmDI>AC.....CTCC)|(?P<BsmDI_as>GGAG.....GT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNNNNNCTCC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGTC'),
        'compsite': '(?P<BsmEI>GAGTC)|(?P<BsmEI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmEI'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<BsmFI>GGGAC)|(?P<BsmFI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsmFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGTACA'),
        'compsite': '(?P<BsmGI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<BsmGII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmGII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<BsmHI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmHI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<BsmI>GAATGC)|(?P<BsmI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'M', 'N', 'S'),
    }


rest_dict['BsmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATC'),
        'compsite': '(?P<BsmNI>GCATC)|(?P<BsmNI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<BsmPI>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<BsmRI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmRI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<BsmSI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTACG'),
        'compsite': '(?P<BsmWI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNNNNNCTCC'),
        'compsite': '(?P<BsmXI>AC.....CTCC)|(?P<BsmXI_as>GGAG.....GT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNNNNNCTCC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmXI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BsmXII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmXII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<BsmYI>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsmYI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BsnI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BsnI'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<Bso31I>GGTCTC)|(?P<Bso31I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bso31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<BsoAI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BsoBI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsoBI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<BsoCI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGGCCG'),
        'compsite': '(?P<BsoDI>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<BsoEI>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoEI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<BsoFI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BsoGI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACTGG'),
        'compsite': '(?P<BsoHI>ACTGG)|(?P<BsoHI_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<BsoI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<BsoJI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<BsoKI>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoKI'] = _temp()


def _temp():
    return {
        'charac': (6, 5, None, None, 'GTCTC'),
        'compsite': '(?P<BsoMAI>GTCTC)|(?P<BsoMAI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoMAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<BsoPI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<BsoSI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsoSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp100I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp100I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp101I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp101I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp102I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp102I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bsp103I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp103I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp104I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp104I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bsp105I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp105I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp106I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp106I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp107I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp107I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp108I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp108I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsp116I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp116I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Bsp117I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp117I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp119I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsp119I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGGCCC'),
        'compsite': '(?P<Bsp120I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsp120I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<Bsp121I>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp121I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp122I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp122I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Bsp123I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp123I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp125I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp125I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp1260I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1260I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp1261I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1261I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp126I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp126I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp127I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp127I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<Bsp1286I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'K', 'N'),
    }


rest_dict['Bsp1286I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp128I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp128I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp129I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp129I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Bsp12I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp130I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp130I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp131I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp131I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp132I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp132I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp133I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp133I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp135I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp135I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp136I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp136I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp137I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp137I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp138I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp138I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp139I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp139I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsp13I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bsp13I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<Bsp1407I>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Bsp1407I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp140I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp140I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp141I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp141I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp142I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp142I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bsp143I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsp143I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGCGCY'),
        'compsite': '(?P<Bsp143II>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp143II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp144I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp144I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp145I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp145I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<Bsp146I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp146I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp147I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp147I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp148I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp148I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp151I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp151I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Bsp153AI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp153AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Bsp1591I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1591I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsp1591II>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1591II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp1593I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1593I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Bsp16I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp16I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCTNAGC'),
        'compsite': '(?P<Bsp1720I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bsp1720I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp17I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp17I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Bsp1894I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp1894I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp18I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp18I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCATGG'),
        'compsite': '(?P<Bsp19I>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bsp19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp2013I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp2013I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bsp2095I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp2095I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Bsp211I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp211I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RCCGGY'),
        'compsite': '(?P<Bsp21I>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp226I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp226I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsp228I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp228I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Bsp22I>CTGGAG)|(?P<Bsp22I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsp233I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp233I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp2362I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp2362I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp23I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp241I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp241I'] = _temp()


def _temp():
    return {
        'charac': (-8, -25, 24, 7, 'GACNNNNNNTGG'),
        'compsite': '(?P<Bsp24I>GAC......TGG)|(?P<Bsp24I_as>CCA......GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -25,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 24,
        'site': 'GACNNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp2500I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp2500I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp268I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp268I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Bsp28I>CTGGAG)|(?P<Bsp28I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<Bsp29I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp2I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCAT'),
        'compsite': '(?P<Bsp3004IV>CCGCAT)|(?P<Bsp3004IV_as>ATGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp3004IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp30I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bsp317I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp317I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp4009I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp4009I'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<Bsp423I>GCAGC)|(?P<Bsp423I_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp423I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp43I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bsp44I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp44I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp44II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp44II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCGCAG'),
        'compsite': '(?P<Bsp460III>CGCGCAG)|(?P<Bsp460III_as>CTGCGCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp460III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp46I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsp47I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp47I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsp48I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp49I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp49I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp4I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsp508I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp508I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Bsp50I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp50I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<Bsp519I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp519I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp51I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp52I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp52I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Bsp53I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp53I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Bsp548I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp548I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp54I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Bsp55I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp55I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bsp56I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp56I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp57I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp58I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp58I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp59I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp59I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsp5I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp60I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp60I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp61I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp61I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp63I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp63I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp64I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp64I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp65I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp66I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp66I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bsp67I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp67I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<Bsp68I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsp68I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<Bsp6I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<Bsp6II>CTGAAG)|(?P<Bsp6II_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp6II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Bsp70I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp70I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bsp71I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp71I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp72I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp72I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Bsp73I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp73I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp74I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp74I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp76I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp76I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp78I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp78I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Bsp7I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp81I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp81I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp82I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp82I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsp84I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp84I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<Bsp87I>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp87I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsp881I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp881I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Bsp8I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Bsp90I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp90I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp90II>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp90II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp91I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp91I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Bsp92I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp92I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bsp93I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp93I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Bsp98I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp98I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bsp9I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsp9I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<BspA2I>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspA2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<BspAAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspAAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCTAGA'),
        'compsite': '(?P<BspAAII>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspAAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<BspAAIII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspAAIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGC'),
        'compsite': '(?P<BspACI>CCGC)|(?P<BspACI_as>GCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BspACI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BspAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BspANI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('X',),
    }


rest_dict['BspANI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspBDG2I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBDG2I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<BspBI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BspBII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BspBRI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBRI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BspBS31I>GAAGAC)|(?P<BspBS31I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBS31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspBSE18I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBSE18I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspBake1I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspBake1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspCHE15I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspCHE15I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<BspCI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspCI'] = _temp()


def _temp():
    return {
        'charac': (14, 7, None, None, 'CTCAG'),
        'compsite': '(?P<BspCNI>CTCAG)|(?P<BspCNI_as>CTGAG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspCNI'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'GACTC'),
        'compsite': '(?P<BspD6I>GACTC)|(?P<BspD6I_as>GAGTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspD6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<BspD6II>CTGAAG)|(?P<BspD6II_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspD6II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BspDI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BspEI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<BspF105I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspF105I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<BspF4I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspF4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<BspF53I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspF53I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BspFI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspFI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BspFNI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BspFNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspGHA1I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspGHA1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAC'),
        'compsite': '(?P<BspGI>CTGGAC)|(?P<BspGI_as>GTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<BspH103I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH103I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<BspH106I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH106I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspH106II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH106II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<BspH226I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH226I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<BspH22I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BspH43I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspH43I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCATGA'),
        'compsite': '(?P<BspHI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BspI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BspIS4I>GAAGAC)|(?P<BspIS4I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspIS4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<BspJ105I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ105I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<BspJ106I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ106I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BspJ64I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ64I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<BspJ67I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ67I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<BspJ74I>CTGGAG)|(?P<BspJ74I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ74I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<BspJ76I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJ76I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BspJI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BspJII>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspJII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BspKI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspKI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BspKMI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspKMI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGAAG'),
        'compsite': '(?P<BspKT5I>CTGAAG)|(?P<BspKT5I_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspKT5I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATC'),
        'compsite': '(?P<BspKT6I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspKT6I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<BspKT8I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspKT8I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<BspLAI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<BspLAII>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<BspLAIII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLAIII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<BspLI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BspLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BspLRI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLRI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<BspLS2I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLS2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACATGT'),
        'compsite': '(?P<BspLU11I>ACATGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACATGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLU11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCTAGA'),
        'compsite': '(?P<BspLU11II>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLU11II'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<BspLU11III>GGGAC)|(?P<BspLU11III_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLU11III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BspLU4I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspLU4I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BspM39I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspM39I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<BspM90I>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspM90I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<BspMAI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('X',),
    }


rest_dict['BspMAI'] = _temp()


def _temp():
    return {
        'charac': (10, 8, None, None, 'ACCTGC'),
        'compsite': '(?P<BspMI>ACCTGC)|(?P<BspMI_as>GCAGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 8,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCTGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspMI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<BspMII>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspMII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<BspMKI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspMKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCAGA'),
        'compsite': '(?P<BspNCI>CCAGA)|(?P<BspNCI_as>TCTGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspNCI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BspNI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspNI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<BspO4I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspO4I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCTAGC'),
        'compsite': '(?P<BspOI>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BspOI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<BspOVI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspOVI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BspOVII>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspOVII'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<BspPI>GGATC)|(?P<BspPI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BspPI'] = _temp()


def _temp():
    return {
        'charac': (8, 4, None, None, 'GCTCTTC'),
        'compsite': '(?P<BspQI>GCTCTTC)|(?P<BspQI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 4,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BspQI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<BspR7I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspR7I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BspRI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<BspS122I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspS122I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BspSI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspSI'] = _temp()


def _temp():
    return {
        'charac': (10, 9, None, None, 'GCATC'),
        'compsite': '(?P<BspST5I>GCATC)|(?P<BspST5I_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspST5I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<BspT104I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['BspT104I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<BspT107I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['BspT107I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<BspTI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BspTI'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<BspTNI>GGTCTC)|(?P<BspTNI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('X',),
    }


rest_dict['BspTNI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BspTS514I>GAAGAC)|(?P<BspTS514I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspTS514I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCSGC'),
        'compsite': '(?P<BspUI>GC[CG]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'CSG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCSGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGAC'),
        'compsite': '(?P<BspVI>GAAGAC)|(?P<BspVI_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspVI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<BspWI>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspWI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BspXI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<BspXII>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspXII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BspZEI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BspZEI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<BsrAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCGCTC'),
        'compsite': '(?P<BsrBI>CCGCTC)|(?P<BsrBI_as>GAGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsrBI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<BsrBRI>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrBRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BsrCI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrCI'] = _temp()


def _temp():
    return {
        'charac': (8, 0, None, None, 'GCAATG'),
        'compsite': '(?P<BsrDI>GCAATG)|(?P<BsrDI_as>CATTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsrDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<BsrEI>CTCTTC)|(?P<BsrEI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrEI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<BsrFI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsrFI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<BsrGI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsrGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<BsrHI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrHI'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<BsrI>ACTGG)|(?P<BsrI_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BsrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BsrMI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BsrPII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrPII'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<BsrSI>ACTGG)|(?P<BsrSI_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGC'),
        'compsite': '(?P<BsrVI>GCAGC)|(?P<BsrVI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATC'),
        'compsite': '(?P<BsrWI>GGATC)|(?P<BsrWI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCTAGA'),
        'compsite': '(?P<BsrXI>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsrXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<BssAI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['BssAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<BssBI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BssCI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCNNGG'),
        'compsite': '(?P<BssECI>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CNNG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BssECI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<BssFI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCANNNNNNTGG'),
        'compsite': '(?P<BssGI>CCA......TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BssGII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssGII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<BssHI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGCGC'),
        'compsite': '(?P<BssHII>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'K', 'M', 'N', 'Q', 'R', 'X'),
    }


rest_dict['BssHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<BssI>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssI'] = _temp()


def _temp():
    return {
        'charac': (2, 0, None, None, 'GGGTC'),
        'compsite': '(?P<BssIMI>GGGTC)|(?P<BssIMI_as>GACCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssIMI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<BssKI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssKI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BssMI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BssMI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<BssNAI>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BssNAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<BssNI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BssNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CACGAG'),
        'compsite': '(?P<BssSI>CACGAG)|(?P<BssSI_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'ACGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BssSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<BssT1I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BssT1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<BssXI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BssXI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bst100I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst100I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<Bst1107I>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Bst1107I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bst1126I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1126I'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<Bst11I>ACTGG)|(?P<Bst11I_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bst1274I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1274I'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<Bst12I>GCAGC)|(?P<Bst12I_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'WCCGGW'),
        'compsite': '(?P<Bst1473I>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1473I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<Bst1473II>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1473II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<Bst158I>CTCTTC)|(?P<Bst158I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst158I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<Bst16I>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGTACA'),
        'compsite': '(?P<Bst170I>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst170I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Bst170II>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst170II'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'GCATC'),
        'compsite': '(?P<Bst19I>GCATC)|(?P<Bst19I_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst19I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Bst19II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst19II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<Bst1FBI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1FBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bst1I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<Bst224I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst224I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCNNNNNNNGG'),
        'compsite': '(?P<Bst22I>CC.......GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNNNNNNGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bst2464I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst2464I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bst28I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bst2902I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst2902I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<Bst295I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst295I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Bst29I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst29I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CACGAG'),
        'compsite': '(?P<Bst2BI>CACGAG)|(?P<Bst2BI_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'ACGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Bst2BI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bst2I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst2I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bst2UI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bst2UI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Bst30I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Bst31I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst31I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCGCTC'),
        'compsite': '(?P<Bst31NI>CCGCTC)|(?P<Bst31NI_as>GAGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst31NI'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<Bst31TI>GGATC)|(?P<Bst31TI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst31TI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Bst38I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst38I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<Bst40I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst40I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'ACNGT'),
        'compsite': '(?P<Bst4CI>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bst4CI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Bst4QI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst4QI'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Bst6I>CTCTTC)|(?P<Bst6I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Bst6I'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<Bst71I>GCAGC)|(?P<Bst71I_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst71I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Bst77I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst77I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Bst7QI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst7QI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Bst7QII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst7QII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<Bst98I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bst98I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<BstACI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstACI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<BstAFI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstAFI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCANNNNNTGC'),
        'compsite': '(?P<BstAPI>GCA.....TGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCANNNNNTGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['BstAPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<BstAUI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstAUI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<BstB7SI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstB7SI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'YACGTR'),
        'compsite': '(?P<BstBAI>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstBAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<BstBAII>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstBAII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<BstBI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BstBI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BstBS32I>GAAGAC)|(?P<BstBS32I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstBS32I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<BstBSI>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstBSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGCGC'),
        'compsite': '(?P<BstBZ153I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstBZ153I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNNGC'),
        'compsite': '(?P<BstC8I>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstC8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BstCI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstCI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCGCTC'),
        'compsite': '(?P<BstD102I>CCGCTC)|(?P<BstD102I_as>GAGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstD102I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTNAG'),
        'compsite': '(?P<BstDEI>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstDEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<BstDI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCRYGG'),
        'compsite': '(?P<BstDSI>CC[AG][CT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CRYG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRYGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstDSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGT'),
        'compsite': '(?P<BstDZ247I>CCCGT)|(?P<BstDZ247I_as>ACGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstDZ247I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BstEII>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('C', 'J', 'N', 'R'),
    }


rest_dict['BstEII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BstEIII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstEIII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<BstENI>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstENI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BstENII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstENII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTTAAC'),
        'compsite': '(?P<BstEZ359I>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstEZ359I'] = _temp()


def _temp():
    return {
        'charac': (7, 0, None, None, 'GGATG'),
        'compsite': '(?P<BstF5I>GGATG)|(?P<BstF5I_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstF5I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<BstFI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstFI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BstFNI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstFNI'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'CCCGC'),
        'compsite': '(?P<BstFZ438I>CCCGC)|(?P<BstFZ438I_as>GCGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstFZ438I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<BstGI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<BstGII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstGII'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'CGTCTC'),
        'compsite': '(?P<BstGZ53I>CGTCTC)|(?P<BstGZ53I_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstGZ53I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGCGCY'),
        'compsite': '(?P<BstH2I>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstH2I'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<BstH9I>GGATC)|(?P<BstH9I_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstH9I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<BstHHI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstHHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BstHI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstHI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTTAAC'),
        'compsite': '(?P<BstHPI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstHPI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'CCANNNNNNTGG'),
        'compsite': '(?P<BstHZ55I>CCA......TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstHZ55I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<BstI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CACNNNGTG'),
        'compsite': '(?P<BstIZ316I>CAC...GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNGTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstIZ316I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<BstJI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstJI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTNAG'),
        'compsite': '(?P<BstJZ301I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstJZ301I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<BstKI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstKI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATC'),
        'compsite': '(?P<BstKTI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstKTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BstLI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BstLVI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstLVI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BstM6I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstM6I'] = _temp()


def _temp():
    return {
        'charac': (6, 5, None, None, 'GTCTC'),
        'compsite': '(?P<BstMAI>GTCTC)|(?P<BstMAI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstMAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BstMBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstMBI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGRYCG'),
        'compsite': '(?P<BstMCI>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'RY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstMCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<BstMI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstMI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<BstMWI>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstMWI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<BstMZ611I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstMZ611I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BstNI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BstNI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<BstNSI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstNSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<BstNSII>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstNSII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BstNZ169I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstNZ169I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BstOI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstOI'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<BstOZ616I>GGGAC)|(?P<BstOZ616I_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstOZ616I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GACNNNNGTC'),
        'compsite': '(?P<BstPAI>GAC....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNGTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstPAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BstPI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['BstPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<BstPZ740I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstPZ740I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BstQI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstQI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<BstRI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstRI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ATTTAAAT'),
        'compsite': '(?P<BstRZ246I>ATTTAAAT)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTTAAAT',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstRZ246I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<BstSCI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstSCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<BstSFI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstSFI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<BstSI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstSI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GKGCMC'),
        'compsite': '(?P<BstSLI>G[GT]GC[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'KGCM',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKGCMC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstSLI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TACGTA'),
        'compsite': '(?P<BstSNI>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstSNI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ATTTAAAT'),
        'compsite': '(?P<BstSWI>ATTTAAAT)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTTAAAT',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstSWI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BstT10I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstT10I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<BstT7I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstT7I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<BstT9I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstT9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCANNNNNNTGG'),
        'compsite': '(?P<BstTI>CCA......TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstTI'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BstTS5I>GAAGAC)|(?P<BstTS5I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstTS5I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BstUI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BstUI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<BstV1I>GCAGC)|(?P<BstV1I_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BstV1I'] = _temp()


def _temp():
    return {
        'charac': (8, 6, None, None, 'GAAGAC'),
        'compsite': '(?P<BstV2I>GAAGAC)|(?P<BstV2I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 6,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstV2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<BstVI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<BstWI>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstWI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<BstX2I>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['BstX2I'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'CCANNNNNNTGG'),
        'compsite': '(?P<BstXI>CCA......TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'V', 'X', 'Y'),
    }


rest_dict['BstXI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BstXII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstXII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<BstYI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BstYI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<BstZ10I>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<BstZ10II>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ10II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<BstZ15I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<BstZ16I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ16I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<BstZ17I>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BstZ17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<BstZ1I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<BstZ1II>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ1II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<BstZ2I>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<BstZ3I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<BstZ4I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGRYCG'),
        'compsite': '(?P<BstZ5I>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<BstZ6I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<BstZ7I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<BstZ8I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGCGT'),
        'compsite': '(?P<BstZ9I>ACGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BstZ9I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<BstZI>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['BstZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsu1076I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1076I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Bsu1114I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1114I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Bsu1192I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1192I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Bsu1192II>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1192II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Bsu1193I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1193I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Bsu1532I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1532I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Bsu15I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Bsu15I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<Bsu1854I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu1854I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsu22I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu22I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<Bsu23I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<Bsu3610I>GACGAG)|(?P<Bsu3610I_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu3610I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<Bsu36I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Bsu36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Bsu5044I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu5044I'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<Bsu537I>GGTCTC)|(?P<Bsu537I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu537I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Bsu54I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Bsu6633I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu6633I'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Bsu6I>CTCTTC)|(?P<Bsu6I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<Bsu7003I>GACGAG)|(?P<Bsu7003I_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu7003I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsu8565I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu8565I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsu8646I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu8646I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Bsu90I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bsu90I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BsuB519I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuB519I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<BsuB763I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuB763I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<BsuBI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<BsuEII>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuEII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<BsuFI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuFI'] = _temp()


def _temp():
    return {
        'charac': (12, 5, None, None, 'GTATCC'),
        'compsite': '(?P<BsuI>GTATCC)|(?P<BsuI_as>GGATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BsuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<BsuJPCI>GACGAG)|(?P<BsuJPCI_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuJPCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BsuMI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsuMI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BsuRI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'I'),
    }


rest_dict['BsuRI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<BsuTUI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('X',),
    }


rest_dict['BsuTUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACTGGG'),
        'compsite': '(?P<BsxI>ACTGGG)|(?P<BsxI_as>CCCAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BsxI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BtcI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtcI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<BteI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BteI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<BtgAI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtgAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<BtgAII>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtgAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCRYGG'),
        'compsite': '(?P<BtgI>CC[AG][CT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CRYG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRYGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BtgI'] = _temp()


def _temp():
    return {
        'charac': (16, 14, None, None, 'GCGATG'),
        'compsite': '(?P<BtgZI>GCGATG)|(?P<BtgZI_as>CATCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BtgZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth1140I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1140I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth1141I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1141I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bth1202I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1202I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Bth171I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth171I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth1786I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1786I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Bth1795I>CTGGAG)|(?P<Bth1795I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1795I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth1997I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth1997I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth211I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth211I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth213I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth213I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth221I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth221I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Bth2350I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth2350I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGT'),
        'compsite': '(?P<Bth571I>GCAGT)|(?P<Bth571I_as>ACTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth571I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATC'),
        'compsite': '(?P<Bth617I>GGATC)|(?P<Bth617I_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth617I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth84I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth84I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Bth9411I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth9411I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Bth9415I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth9415I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Bth945I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Bth945I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<BthAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthAI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCNGC'),
        'compsite': '(?P<BthCI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'CNG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<BthCanI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthCanI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BthDI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthDI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<BthEI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<BthI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATC'),
        'compsite': '(?P<BthII>GGATC)|(?P<BthII_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<BthP35I>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BthP35I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<BtiI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtiI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<BtkI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtkI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<BtkII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtkII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACATC'),
        'compsite': '(?P<Btr192II>ACATC)|(?P<Btr192II_as>GATGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btr192II'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTC'),
        'compsite': '(?P<BtrI>CACGTC)|(?P<BtrI_as>GACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['BtrI'] = _temp()


def _temp():
    return {
        'charac': (7, 0, None, None, 'GGATG'),
        'compsite': '(?P<BtsCI>GGATG)|(?P<BtsCI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BtsCI'] = _temp()


def _temp():
    return {
        'charac': (8, 0, None, None, 'GCAGTG'),
        'compsite': '(?P<BtsI>GCAGTG)|(?P<BtsI_as>CACTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BtsI'] = _temp()


def _temp():
    return {
        'charac': (7, 0, None, None, 'CAGTG'),
        'compsite': '(?P<BtsIMutI>CAGTG)|(?P<BtsIMutI_as>CACTG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGTG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['BtsIMutI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGTC'),
        'compsite': '(?P<BtsPI>GGGTC)|(?P<BtsPI_as>GACCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtsPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu33I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu33I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu34I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<Btu34II>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu34II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu36I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu37I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu37I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu39I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Btu41I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Btu41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<BtuI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BtuI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<BtuMI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['BtuMI'] = _temp()


def _temp():
    return {
        'charac': (10, 8, None, None, 'ACCTGC'),
        'compsite': '(?P<BveI>ACCTGC)|(?P<BveI_as>GCAGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 8,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCTGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['BveI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<BvuBI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BvuBI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<BvuI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['BvuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Cac824I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cac824I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNNGC'),
        'compsite': '(?P<Cac8I>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Cac8I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<CacI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CacI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<CagI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CagI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CAGNNNCTG'),
        'compsite': '(?P<CaiI>CAG...CTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGNNNCTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['CaiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTTAG'),
        'compsite': '(?P<Cal14237I>GGTTAG)|(?P<Cal14237I_as>CTAACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTTAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cal14237I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRTTRAG'),
        'compsite': '(?P<CalB3II>G[AG]TT[AG]AG)|(?P<CalB3II_as>CT[CT]AA[CT]C)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRTTRAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CalB3II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Cas2I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cas2I'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<CatHI>CTCTTC)|(?P<CatHI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CatHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTAAT'),
        'compsite': '(?P<Cau10061II>GTTAAT)|(?P<Cau10061II_as>ATTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cau10061II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<CauB3I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CauB3I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<CauI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CauI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<CauII>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CauII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<CauIII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CauIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGAAT'),
        'compsite': '(?P<Cba13II>AGGAAT)|(?P<Cba13II_as>ATTCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cba13II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAYNC'),
        'compsite': '(?P<Cba16038I>CCT.A[CT].C)|(?P<Cba16038I_as>G.[AG]T.AGG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAYNC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cba16038I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGAG'),
        'compsite': '(?P<Cba4G11III>CACGAG)|(?P<Cba4G11III_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cba4G11III'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<CbeI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CbeI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<CbiI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CbiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<CboI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CboI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<CbrI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CbrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<CbuDI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CbuDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<CceI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CceI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<CchI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CchI'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'GGARGA'),
        'compsite': '(?P<CchII>GGA[AG]GA)|(?P<CchII_as>TC[CT]TCC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGARGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CchII'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'CCCAAG'),
        'compsite': '(?P<CchIII>CCCAAG)|(?P<CchIII_as>CTTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CchIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCATGA'),
        'compsite': '(?P<CciI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['CciI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGGCCGC'),
        'compsite': '(?P<CciNI>GCGGCCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGCCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['CciNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNNNRTG'),
        'compsite': '(?P<Cco14983III>GAG.....[AG]TG)|(?P<Cco14983III_as>CA[CT].....CTC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cco14983III'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<CcoI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCAG'),
        'compsite': '(?P<CcoMI>CAGCAG)|(?P<CcoMI_as>CTGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAYNNNNNRTG'),
        'compsite': '(?P<CcoP13III>CA[CT].....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP13III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<CcoP215I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP215I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<CcoP216I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP216I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CcoP219I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP219I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CcoP31I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<CcoP73I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP73I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CcoP76I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP76I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CcoP84I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP84I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<CcoP95I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP95I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CcoP95II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcoP95II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<CcrI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGACCAG'),
        'compsite': '(?P<CcrNAIII>CGACCAG)|(?P<CcrNAIII_as>CTGGTCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGACCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcrNAIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<CcuI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcuI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<CcyI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CcyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCAG'),
        'compsite': '(?P<Cdi11397I>GCGCAG)|(?P<Cdi11397I_as>CTGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cdi11397I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGGAG'),
        'compsite': '(?P<Cdi1678I>GCGGAG)|(?P<Cdi1678I_as>CTCCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cdi1678I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cdi27I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cdi27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCMGAAG'),
        'compsite': '(?P<Cdi81III>GC[AC]GAAG)|(?P<Cdi81III_as>CTTC[GT]GC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCMGAAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cdi81III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<CdiAI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CdiAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<CdiCD6I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CdiCD6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CdiCD6II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CdiCD6II'] = _temp()


def _temp():
    return {
        'charac': (4, -1, None, None, 'CATCG'),
        'compsite': '(?P<CdiI>CATCG)|(?P<CdiI_as>CGATG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATCG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CdiI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'GCGGAG'),
        'compsite': '(?P<CdpI>GCGGAG)|(?P<CdpI_as>CTCCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CdpI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGAAG'),
        'compsite': '(?P<Cdu23823II>GTGAAG)|(?P<Cdu23823II_as>CTTCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cdu23823II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<CelI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CelI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCTNAGC'),
        'compsite': '(?P<CelII>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CelII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<CeqI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CeqI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RAATTY'),
        'compsite': '(?P<CfaI>[AG]AATT[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RAATTY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfaI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<CflI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CflI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<CfoI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('M', 'R', 'S'),
    }


rest_dict['CfoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RCCGGY'),
        'compsite': '(?P<Cfr10I>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Cfr10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr11I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr11I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr13I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Cfr13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr14I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Cfr19I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr20I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr20I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr22I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr23I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr24I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr25I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr27I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr28I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr29I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr30I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr31I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Cfr32I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr33I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr33I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr35I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr35I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Cfr37I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr37I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr38I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr39I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr40I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Cfr41I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr41I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Cfr42I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Cfr42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Cfr43I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr45I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr45I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Cfr45II>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr45II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr46I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr47I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr47I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Cfr48I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr4I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Cfr51I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr52I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr52I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr54I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr55I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr55I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Cfr56I>GGTCTC)|(?P<Cfr56I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr56I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Cfr57I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr58I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr58I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Cfr59I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr59I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Cfr5I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr5I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Cfr6I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Cfr7I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Cfr8I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Cfr92I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfr92I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<Cfr9I>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Cfr9I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<CfrA4I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrA4I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<CfrBI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrBI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<CfrCI>C)|(?P<CfrCI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'YGGCCR'),
        'compsite': '(?P<CfrI>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCCGGG'),
        'compsite': '(?P<CfrJ4I>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrJ4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<CfrJ5I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrJ5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<CfrNI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<CfrS37I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfrS37I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GATC'),
        'compsite': '(?P<CfuI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfuI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<CfuII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CfuII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GARCAG'),
        'compsite': '(?P<Cfupf3II>GA[AG]CAG)|(?P<Cfupf3II_as>CTG[CT]TC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GARCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cfupf3II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCA'),
        'compsite': '(?P<Cgl13032I>GGCGCA)|(?P<Cgl13032I_as>TGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cgl13032I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGABGG'),
        'compsite': '(?P<Cgl13032II>ACGA[CGT]GG)|(?P<Cgl13032II_as>CC[ACG]TCGT)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGABGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cgl13032II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<CglAI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CglAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<CglAII>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CglAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCSGC'),
        'compsite': '(?P<CglI>GC[CG]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCSGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CglI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GATC'),
        'compsite': '(?P<ChaI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ChaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<ChuEI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ChuEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTYRAC'),
        'compsite': '(?P<ChuEII>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ChuEII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<ChyI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ChyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Cin1467I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cin1467I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<CjaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAAGG'),
        'compsite': '(?P<CjeFIII>GCAAGG)|(?P<CjeFIII_as>CCTTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeFIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGRCA'),
        'compsite': '(?P<CjeFV>GG[AG]CA)|(?P<CjeFV_as>TG[CT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGRCA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeFV'] = _temp()


def _temp():
    return {
        'charac': (-8, -25, 26, 9, 'CCANNNNNNGT'),
        'compsite': '(?P<CjeI>CCA......GT)|(?P<CjeI_as>AC......TGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -25,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 6,
        'ovhgseq': 'NNNNNN',
        'results': None,
        'scd3': 9,
        'scd5': 26,
        'site': 'CCANNNNNNGT',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNNNRTG'),
        'compsite': '(?P<CjeIAIII>GAG.....[AG]TG)|(?P<CjeIAIII_as>CA[CT].....CTC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeIAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNNNGT'),
        'compsite': '(?P<CjeNII>GAG.....GT)|(?P<CjeNII_as>AC.....CTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNNNGT',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeNII'] = _temp()


def _temp():
    return {
        'charac': (25, 17, None, None, 'GKAAYG'),
        'compsite': '(?P<CjeNIII>G[GT]AA[CT]G)|(?P<CjeNIII_as>C[AG]TT[AC]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 17,
        'fst5': 25,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GKAAYG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeNIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCYGA'),
        'compsite': '(?P<CjeNV>CC[CT]GA)|(?P<CjeNV_as>TC[AG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCYGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeNV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CjeP338I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeP338I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATC'),
        'compsite': '(?P<CjeP338II>GCATC)|(?P<CjeP338II_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeP338II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACNNNNNNNGAA'),
        'compsite': '(?P<CjeP659IV>CAC.......GAA)|(?P<CjeP659IV_as>TTC.......GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNNNNNGAA',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjeP659IV'] = _temp()


def _temp():
    return {
        'charac': (-7, -25, 26, 8, 'CCANNNNNNNTC'),
        'compsite': '(?P<CjePI>CCA.......TC)|(?P<CjePI_as>GA.......TGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -25,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 6,
        'ovhgseq': 'NNNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 26,
        'site': 'CCANNNNNNNTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjePI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAYNNNNNRTG'),
        'compsite': '(?P<CjuI>CA[CT].....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAYNNNNNCTC'),
        'compsite': '(?P<CjuII>CA[CT].....CTC)|(?P<CjuII_as>GAG.....[AG]TG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNNCTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CjuII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGAA'),
        'compsite': '(?P<Cla11845III>GCGAA)|(?P<Cla11845III_as>TTCGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGAA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cla11845III'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<ClaI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['ClaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<ClcI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ClcI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<ClcII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ClcII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<CliI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<CliII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CliII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<ClmI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ClmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<ClmII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ClmII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<CltI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CltI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAAAGRG'),
        'compsite': '(?P<Cly7489II>AAAAG[AG]G)|(?P<Cly7489II_as>C[CT]CTTTT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAAAGRG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cly7489II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGGAAG'),
        'compsite': '(?P<Cma23826I>CGGAAG)|(?P<Cma23826I_as>CTTCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cma23826I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<CmaLM2II>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CmaLM2II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Cpa1150I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cpa1150I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<CpaAI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CpaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CpaPI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CpaPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<CpeI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CpeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CpfAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CpfAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<CpfI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CpfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGGG'),
        'compsite': '(?P<CphBI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CphBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGGWCCG'),
        'compsite': '(?P<CpoI>CGG[AT]CCG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGWCCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['CpoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<CprJK722I>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CprJK722I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<CscI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CscI'] = _temp()


def _temp():
    return {
        'charac': (10, 10, None, None, 'GACGC'),
        'compsite': '(?P<CseI>GACGC)|(?P<CseI_as>GCGTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 10,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['CseI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<CsiAI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CsiAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGGCCGC'),
        'compsite': '(?P<CsiBI>GCGGCCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGCCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CsiBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCWGGT'),
        'compsite': '(?P<CsiI>ACC[AT]GGT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCWGGT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['CsiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<Csp12AI>GGATG)|(?P<Csp12AI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp12AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<Csp1470I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp1470I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGAGGC'),
        'compsite': '(?P<Csp2014I>GGAGGC)|(?P<Csp2014I_as>GCCTCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGAGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp2014I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Csp231I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp231I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Csp2I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp2I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Csp45I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp45I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Csp4I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Csp5I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp5I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Csp68KI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp68KI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Csp68KII>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp68KII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<Csp68KIII>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp68KIII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<Csp68KVI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Csp68KVI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTAC'),
        'compsite': '(?P<Csp6I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Csp6I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<CspAI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['CspAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGGCCGC'),
        'compsite': '(?P<CspBI>GCGGCCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGCCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CspBI'] = _temp()


def _temp():
    return {
        'charac': (-11, -25, 24, 10, 'CAANNNNNGTGG'),
        'compsite': '(?P<CspCI>CAA.....GTGG)|(?P<CspCI_as>CCAC.....TTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -25,
        'fst5': -11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 10,
        'scd5': 24,
        'site': 'CAANNNNNGTGG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['CspCI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGGWCCG'),
        'compsite': '(?P<CspI>CGG[AT]CCG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGWCCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['CspI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<CstI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CstI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'AAGGAG'),
        'compsite': '(?P<CstMI>AAGGAG)|(?P<CstMI_as>CTCCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CstMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Cte1179I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cte1179I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Cte1180I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cte1180I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Cte1I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Cte1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<CthI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CthI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<CthII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CthII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CtyI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CtyI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<CviAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CATG'),
        'compsite': '(?P<CviAII>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['CviAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GANTC'),
        'compsite': '(?P<CviBI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'ANT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<CviCI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<CviDI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<CviEI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<CviFI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<CviGI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<CviHI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviHI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGCY'),
        'compsite': '(?P<CviJI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['CviJI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGCY'),
        'compsite': '(?P<CviKI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviKI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGCY'),
        'compsite': '(?P<CviKI_1>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['CviKI_1'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCY'),
        'compsite': '(?P<CviLI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCY'),
        'compsite': '(?P<CviMI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCY'),
        'compsite': '(?P<CviNI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCY'),
        'compsite': '(?P<CviOI>[AG]GC[CT])',
        'dna': None,
        'freq': 64.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCY',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviOI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTAC'),
        'compsite': '(?P<CviQI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['CviQI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TGCA'),
        'compsite': '(?P<CviRI>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviRI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTAC'),
        'compsite': '(?P<CviRII>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviRII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<CviSIII>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CviSIII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<CvnI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['CvnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<DaqI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DaqI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Dde51507I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Dde51507I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTNAG'),
        'compsite': '(?P<DdeI>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['DdeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<DdeII>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DdeII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<DdsI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DdsI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGCGCC'),
        'compsite': '(?P<DinI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['DinI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<DmaI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DmaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Dor12838III>CTGGAG)|(?P<Dor12838III_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Dor12838III'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<DpaI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DpaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GATC'),
        'compsite': '(?P<DpnI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'E', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['DpnI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<DpnII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['DpnII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTTAAA'),
        'compsite': '(?P<DraI>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['DraI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGNCCY'),
        'compsite': '(?P<DraII>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DraII'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CACNNNGTG'),
        'compsite': '(?P<DraIII>CAC...GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNGTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('I', 'M', 'N', 'V'),
    }


rest_dict['DraIII'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CAAGNAC'),
        'compsite': '(?P<DraRI>CAAG.AC)|(?P<DraRI_as>GT.CTTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAAGNAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DraRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<DrdAI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<DrdBI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<DrdCI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<DrdDI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<DrdEI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<DrdFI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdFI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GACNNNNNNGTC'),
        'compsite': '(?P<DrdI>GAC......GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNNGTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['DrdI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAACCA'),
        'compsite': '(?P<DrdII>GAACCA)|(?P<DrdII_as>TGGTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAACCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<DrdIII>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DrdIII'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<DriI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['DriI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCRYGG'),
        'compsite': '(?P<DsaI>CC[AG][CT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CRYG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRYGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<DsaII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<DsaIII>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<DsaIV>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaIV'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<DsaV>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTMKAC'),
        'compsite': '(?P<DsaVI>GT[AC][GT]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTMKAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['DsaVI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GACNNNNNNGTC'),
        'compsite': '(?P<DseDI>GAC......GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNNGTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['DseDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Dsp1I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Dsp1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Dsp20I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Dsp20I'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GGATC'),
        'compsite': '(?P<EacI>GGATC)|(?P<EacI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EacI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Eae2I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eae2I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Eae46I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eae46I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<EaeAI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EaeAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'YGGCCR'),
        'compsite': '(?P<EaeI>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K', 'N'),
    }


rest_dict['EaeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<EaePI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EaePI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<EagBI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EagBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<EagI>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['EagI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EagKI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EagKI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<EagMI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EagMI'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Eam1104I>CTCTTC)|(?P<Eam1104I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eam1104I'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<Eam1105I>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Eam1105I'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<EarI>CTCTTC)|(?P<EarI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['EarI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<EcaI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EcaII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<EccI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EccI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<Eci125I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eci125I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<EciAI>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EciAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<EciBI>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EciBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<EciCI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EciCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<EciDI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EciDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<EciEI>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EciEI'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'GGCGGA'),
        'compsite': '(?P<EciI>GGCGGA)|(?P<EciI_as>TCCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['EciI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl133I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl133I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl136I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl136I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GAGCTC'),
        'compsite': '(?P<Ecl136II>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Ecl136II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<Ecl137I>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl137I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl137II>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl137II'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<Ecl18kI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl18kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ecl1I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl1zI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl1zI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl1zII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl1zII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ecl28I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl28I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl2zI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl2zI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAAYTC'),
        'compsite': '(?P<Ecl35734I>GAAA[CT]TC)|(?P<Ecl35734I_as>GA[AG]TTTC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAAYTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl35734I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ecl37I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl37I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl37kI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl37kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl37kII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl37kII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl54kI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl54kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl57kI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl57kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl593I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl593I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ecl66I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl66I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl699kI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl699kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ecl77I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ecl77I'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<EclHKI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclHKI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<EclI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EclII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<EclJI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclJI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<EclRI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EclS39I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EclS39I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<EclXI>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('S',),
    }


rest_dict['EclXI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco100I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco100I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco101I>GGTCTC)|(?P<Eco101I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco101I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco104I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco104I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TACGTA'),
        'compsite': '(?P<Eco105I>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco105I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Eco110kI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco110kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<Eco112I>CTGAAG)|(?P<Eco112I_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco112I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco113I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco113I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Eco115I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco115I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Eco118I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco118I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco120I>GGTCTC)|(?P<Eco120I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco120I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Eco121I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco121I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<Eco125I>CTGAAG)|(?P<Eco125I_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco125I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco127I>GGTCTC)|(?P<Eco127I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco127I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco128I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco128I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco129I>GGTCTC)|(?P<Eco129I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco129I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<Eco130I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco130I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco134I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco134I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco135I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco135I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<Eco137kI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco137kI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<Eco13kI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco13kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Eco143I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco143I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<Eco147I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco147I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Eco149I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco149I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco151I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco151I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<Eco1524I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco1524I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Eco152I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco152I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco153I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco153I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco155I>GGTCTC)|(?P<Eco155I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco155I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco156I>GGTCTC)|(?P<Eco156I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco156I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco157I>GGTCTC)|(?P<Eco157I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco157I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco158I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco158I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<Eco158II>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco158II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Eco159I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco159I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco161I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco161I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco162I>GGTCTC)|(?P<Eco162I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco162I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Eco164I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco164I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco167I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco167I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco168I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco168I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco169I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco169I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco170I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco170I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco171I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco171I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco173I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco173I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Eco178I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco178I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Eco179I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco179I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Eco17I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco180I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco180I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco182I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco182I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCSGG'),
        'compsite': '(?P<Eco1831I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCSGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco1831I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco185I>GGTCTC)|(?P<Eco185I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco185I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Eco188I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco188I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Eco190I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco190I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco191I>GGTCTC)|(?P<Eco191I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco191I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco193I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco193I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco195I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco195I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco196I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco196I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Eco196II>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco196II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco200I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco200I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Eco201I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco201I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco203I>GGTCTC)|(?P<Eco203I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco203I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco204I>GGTCTC)|(?P<Eco204I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco204I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco205I>GGTCTC)|(?P<Eco205I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco205I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco206I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco206I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco207I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco207I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco208I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco208I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<Eco208II>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco208II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco211I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco211I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco215I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco215I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco216I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco216I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco217I>GGTCTC)|(?P<Eco217I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco217I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<Eco21kI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco21kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco225I>GGTCTC)|(?P<Eco225I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco225I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Eco228I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco228I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Eco231I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco231I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco232I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco232I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco233I>GGTCTC)|(?P<Eco233I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco233I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Eco237I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco237I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco239I>GGTCTC)|(?P<Eco239I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco239I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco240I>GGTCTC)|(?P<Eco240I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco240I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco241I>GGTCTC)|(?P<Eco241I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco241I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco246I>GGTCTC)|(?P<Eco246I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco246I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco247I>GGTCTC)|(?P<Eco247I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco247I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco249I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco249I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco24I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Eco252I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco252I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco254I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco254I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<Eco255I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco255I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco256I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco256I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco25I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco260I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco260I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco261I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco261I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco262I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco262I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco263I>GGTCTC)|(?P<Eco263I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco263I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco26I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco26I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<Eco27kI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco27kI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco29kI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco29kI'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco31I>GGTCTC)|(?P<Eco31I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco31I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<Eco32I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco35I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco35I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco38I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Eco39I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco40I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco41I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco42I>GGTCTC)|(?P<Eco42I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco43I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAABCC'),
        'compsite': '(?P<Eco4465II>GAAA[CGT]CC)|(?P<Eco4465II_as>GG[ACG]TTTC)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco4465II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Eco47I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco47I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Eco47II>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco47II'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGCGCT'),
        'compsite': '(?P<Eco47III>AGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'M', 'R', 'S'),
    }


rest_dict['Eco47III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco48I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco49I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco49I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco50I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco50I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco51I>GGTCTC)|(?P<Eco51I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco51II>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco51II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<Eco52I>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Eco52I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GAGCTC'),
        'compsite': '(?P<Eco53kI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Eco53kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco55I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco55I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<Eco56I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco56I'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGAAG'),
        'compsite': '(?P<Eco57I>CTGAAG)|(?P<Eco57I_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco57I'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGRAG'),
        'compsite': '(?P<Eco57MI>CTG[AG]AG)|(?P<Eco57MI_as>CT[CT]CAG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco57MI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco60I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco60I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco61I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco61I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAABCC'),
        'compsite': '(?P<Eco644I>GAAA[CGT]CC)|(?P<Eco644I_as>GG[ACG]TTTC)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco644I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<Eco64I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco64I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Eco65I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco67I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco67I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco68I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco68I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco70I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco70I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Eco71I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco71I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco71KI>GGTCTC)|(?P<Eco71KI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco71KI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<Eco72I>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco72I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<Eco75KI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco75KI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Eco76I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco76I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGCGCC'),
        'compsite': '(?P<Eco78I>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco78I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco80I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco80I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<Eco81I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Eco81I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Eco82I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco82I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Eco83I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco83I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco85I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco85I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<Eco88I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco88I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Eco90I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco90I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<Eco91I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Eco91I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAABCC'),
        'compsite': '(?P<Eco9234II>GAAA[CGT]CC)|(?P<Eco9234II_as>GG[ACG]TTTC)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco9234II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco92I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco92I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAABCC'),
        'compsite': '(?P<Eco933II>GAAA[CGT]CC)|(?P<Eco933II_as>GG[ACG]TTTC)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco933II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Eco93I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco93I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco95I>GGTCTC)|(?P<Eco95I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco95I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco96I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco96I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Eco97I>GGTCTC)|(?P<Eco97I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco97I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Eco98I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco98I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Eco99I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eco99I'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<EcoA4I>GGTCTC)|(?P<EcoA4I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoA4I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RCSRC'),
        'compsite': '(?P<EcoBLMcrX>[AG]C[CG][AG]C)|(?P<EcoBLMcrX_as>G[CT][CG]G[CT])',
        'dna': None,
        'freq': 128.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCSRC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoBLMcrX'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCYAC'),
        'compsite': '(?P<EcoE1140I>ACC[CT]AC)|(?P<EcoE1140I_as>GT[AG]GGT)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCYAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoE1140I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<EcoGIII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoGIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCACC'),
        'compsite': '(?P<EcoGVIII>ACCACC)|(?P<EcoGVIII_as>GGTGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoGVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<EcoHAI>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoHAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCSGG'),
        'compsite': '(?P<EcoHI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCSGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'YGGCCR'),
        'compsite': '(?P<EcoHK31I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoHK31I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GAGCTC'),
        'compsite': '(?P<EcoICRI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'R', 'V'),
    }


rest_dict['EcoICRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CANCATC'),
        'compsite': '(?P<EcoMVII>CA.CATC)|(?P<EcoMVII_as>GATG.TG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CANCATC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoMVII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<EcoNI>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['EcoNI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGNCCY'),
        'compsite': '(?P<EcoO109I>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'N'),
    }


rest_dict['EcoO109I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<EcoO128I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoO128I'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'GGTCTC'),
        'compsite': '(?P<EcoO44I>GGTCTC)|(?P<EcoO44I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoO44I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<EcoO65I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['EcoO65I'] = _temp()


def _temp():
    return {
        'charac': (31, 27, None, None, 'CAGCAG'),
        'compsite': '(?P<EcoP15I>CAGCAG)|(?P<EcoP15I_as>CTGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 27,
        'fst5': 31,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['EcoP15I'] = _temp()


def _temp():
    return {
        'charac': (30, 27, None, None, 'AGACC'),
        'compsite': '(?P<EcoPI>AGACC)|(?P<EcoPI_as>GGTCT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 27,
        'fst5': 30,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGACC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAABCC'),
        'compsite': '(?P<EcoPT54I>GAAA[CGT]CC)|(?P<EcoPT54I_as>GG[ACG]TTTC)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAABCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoPT54I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<EcoRI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['EcoRI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<EcoRII>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'J'),
    }


rest_dict['EcoRII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<EcoRV>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['EcoRV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<EcoT104I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoT104I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<EcoT14I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['EcoT14I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<EcoT22I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['EcoT22I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<EcoT38I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J',),
    }


rest_dict['EcoT38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<EcoT88I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoT88I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<EcoT93I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoT93I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<EcoT95I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoT95I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<EcoVIII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EcoVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Efa1KI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Efa1KI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCTC'),
        'compsite': '(?P<Efa31KI>GTCTC)|(?P<Efa31KI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Efa31KI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGCGCC'),
        'compsite': '(?P<EgeI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['EgeI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGCGCC'),
        'compsite': '(?P<EheI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['EheI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<EhoI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EhoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGGAG'),
        'compsite': '(?P<Eli8509II>CCGGAG)|(?P<Eli8509II_as>CTCCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Eli8509II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<ElmI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ElmI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<ErhB9I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ErhB9I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<ErhB9II>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ErhB9II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<ErhI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['ErhI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<ErpI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ErpI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TCGA'),
        'compsite': '(?P<EsaBC3I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaBC3I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<EsaBC4I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaBC4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<EsaBS9I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaBS9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<EsaLHCI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaLHCI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<EsaMMI>C)|(?P<EsaMMI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaMMI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<EsaNI>C)|(?P<EsaNI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACCAC'),
        'compsite': '(?P<EsaSSI>GACCAC)|(?P<EsaSSI_as>GTGGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaSSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<EsaWC1I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EsaWC1I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<EscI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EscI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ese3I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ese3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Ese4I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ese4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ese6I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ese6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Ese6II>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ese6II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp10I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp11I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp12I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp12I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<Esp1396I>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp1396I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp13I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Esp141I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp141I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp14I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp15I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTCTC'),
        'compsite': '(?P<Esp16I>CGTCTC)|(?P<Esp16I_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Esp19I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp1I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp21I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp22I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTCTC'),
        'compsite': '(?P<Esp23I>CGTCTC)|(?P<Esp23I_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Esp24I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp25I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Esp2I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGAAG'),
        'compsite': '(?P<Esp3007I>CAGAAG)|(?P<Esp3007I_as>CTTCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp3007I'] = _temp()


def _temp():
    return {
        'charac': (7, 5, None, None, 'CGTCTC'),
        'compsite': '(?P<Esp3I>CGTCTC)|(?P<Esp3I_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 5,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Esp3I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<Esp4I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Esp5I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Esp5II>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Esp638I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp638I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp6I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Esp7I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Esp8I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Esp9I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Esp9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<EspHK16I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EspHK22I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<EspHK24I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<EspHK26I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK26I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<EspHK29I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EspHK30I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<EspHK7I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspHK7I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCTNAGC'),
        'compsite': '(?P<EspI>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['EspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGAC'),
        'compsite': '(?P<Exi27195I>GCCGAC)|(?P<Exi27195I_as>GTCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Exi27195I'] = _temp()


def _temp():
    return {
        'charac': (16, -12, None, None, 'GCACGAGCGCAACGCTCACAACTT'),
        'compsite': '(?P<F_CphI>GCACGAGCGCAACGCTCACAACTT)|(?P<F_CphI_as>AAGTTGTGAGCGTTGCGCTCGTGC)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -12,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCACGAGCGCAACGCTCACAACTT',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_CphI'] = _temp()


def _temp():
    return {
        'charac': (0, -20, 0, 0, 'GTACATGGCATGGGTACATGATGAAATCCAAGTAGGCTGC'),
        'compsite': '(?P<F_EcoT3I>GTACATGGCATGGGTACATGATGAAATCCAAGTAGGCTGC)|(?P<F_EcoT3I_as>GCAGCCTACTTGGATTTCATCATGTACCCATGCCATGTAC)',
        'dna': None,
        'freq': 1.2089258196146292e+24,
        'fst3': -20,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -20,
        'ovhgseq': 'GTACATGGCATGGGTACATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GTACATGGCATGGGTACATGATGAAATCCAAGTAGGCTGC',
        'size': 40,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_EcoT3I'] = _temp()


def _temp():
    return {
        'charac': (16, 0, 0, 0, 'TGGCGACGAAAACCGCTTGGAAAGTGGCTG'),
        'compsite': '(?P<F_EcoT5I>TGGCGACGAAAACCGCTTGGAAAGTGGCTG)|(?P<F_EcoT5I_as>CAGCCACTTTCCAAGCGGTTTTCGTCGCCA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': 0,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -16,
        'ovhgseq': 'TGGCGACGAAAACCGC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'TGGCGACGAAAACCGCTTGGAAAGTGGCTG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_EcoT5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCTACCATTAACGGAGTCAAAGGCCATTG'),
        'compsite': '(?P<F_EcoT5II>ACCTACCATTAACGGAGTCAAAGGCCATTG)|(?P<F_EcoT5II_as>CAATGGCCTTTGACTCCGTTAATGGTAGGT)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCTACCATTAACGGAGTCAAAGGCCATTG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_EcoT5II'] = _temp()


def _temp():
    return {
        'charac': (15, -16, None, None, 'TAGGTACTGGACTTAAAATTCAGGTTTTGT'),
        'compsite': '(?P<F_EcoT5IV>TAGGTACTGGACTTAAAATTCAGGTTTTGT)|(?P<F_EcoT5IV_as>ACAAAACCTGAATTTTAAGTCCAGTACCTA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -16,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'A',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGGTACTGGACTTAAAATTCAGGTTTTGT',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_EcoT5IV'] = _temp()


def _temp():
    return {
        'charac': (10, -12, None, None, 'AATAACCTGAAGTATCAATC'),
        'compsite': '(?P<F_PhiU5I>AATAACCTGAAGTATCAATC)|(?P<F_PhiU5I_as>GATTGATACTTCAGGTTATT)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': -12,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATAACCTGAAGTATCAATC',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_PhiU5I'] = _temp()


def _temp():
    return {
        'charac': (12, -16, None, None, 'GATGCTGTAGGCATAGGCTTGGTT'),
        'compsite': '(?P<F_SceI>GATGCTGTAGGCATAGGCTTGGTT)|(?P<F_SceI_as>AACCAAGCCTATGCCTACAGCATC)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -16,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATGCTGTAGGCATAGGCTTGGTT',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_SceI'] = _temp()


def _temp():
    return {
        'charac': (12, -12, None, None, 'CTTTCCGCAACAGTAAAATT'),
        'compsite': '(?P<F_SceII>CTTTCCGCAACAGTAAAATT)|(?P<F_SceII_as>AATTTTACTGTTGCGGAAAG)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': -12,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AACA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTTCCGCAACAGTAAAATT',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_SceII'] = _temp()


def _temp():
    return {
        'charac': (11, 14, None, None, 'GAAACACAAGAAATGTTTAGTAAA'),
        'compsite': '(?P<F_TevI>GAAACACAAGAAATGTTTAGTAAA)|(?P<F_TevI_as>TTTACTAAACATTTCTTGTGTTTC)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': 14,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -27,
        'ovhgseq': 'AATGTTTAGTAAANNNNNNNNNNNNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAACACAAGAAATGTTTAGTAAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_TevI'] = _temp()


def _temp():
    return {
        'charac': (15, -16, None, None, 'TTTAATCCTCGCTTCAGATATGGCAACTG'),
        'compsite': '(?P<F_TevII>TTTAATCCTCGCTTCAGATATGGCAACTG)|(?P<F_TevII_as>CAGTTGCCATATCTGAAGCGAGGATTAAA)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -16,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'TC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAATCCTCGCTTCAGATATGGCAACTG',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_TevII'] = _temp()


def _temp():
    return {
        'charac': (10, -11, None, None, 'AGAAGAACATGTGGTATTG'),
        'compsite': '(?P<F_TevIII>AGAAGAACATGTGGTATTG)|(?P<F_TevIII_as>CAATACCACATGTTCTTCT)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -11,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGAAGAACATGTGGTATTG',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_TevIII'] = _temp()


def _temp():
    return {
        'charac': (30, -7, None, None, 'TATAGGTTCGAATCCTATCACGTCCGCCAAATACG'),
        'compsite': '(?P<F_TevIV>TATAGGTTCGAATCCTATCACGTCCGCCAAATACG)|(?P<F_TevIV_as>CGTATTTGGCGGACGTGATAGGATTCGAACCTATA)',
        'dna': None,
        'freq': 1.1805916207174113e+21,
        'fst3': -7,
        'fst5': 30,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TATAGGTTCGAATCCTATCACGTCCGCCAAATACG',
        'size': 35,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['F_TevIV'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CATG'),
        'compsite': '(?P<FaeI>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['FaeI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'YATR'),
        'compsite': '(?P<FaiI>[CT]AT[AG])',
        'dna': None,
        'freq': 64.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YATR',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['FaiI'] = _temp()


def _temp():
    return {
        'charac': (-8, -24, 24, 8, 'AAGNNNNNCTT'),
        'compsite': '(?P<FalI>AAG.....CTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -24,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 24,
        'site': 'AAGNNNNNCTT',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['FalI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<FalII>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FalII'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGGAC'),
        'compsite': '(?P<FaqI>GGGAC)|(?P<FaqI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['FaqI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CATG'),
        'compsite': '(?P<FatI>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['FatI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CATG'),
        'compsite': '(?P<FatII>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FatII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<FauBII>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FauBII'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'CCCGC'),
        'compsite': '(?P<FauI>CCCGC)|(?P<FauI_as>GCGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['FauI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CATATG'),
        'compsite': '(?P<FauNDI>CATATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['FauNDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<FbaI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['FbaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTMKAC'),
        'compsite': '(?P<FblI>GT[AC][GT]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'MK',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTMKAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['FblI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<FbrI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FbrI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<FdiI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FdiI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<FdiII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FdiII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<FgoI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FgoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGAC'),
        'compsite': '(?P<FinI>GGGAC)|(?P<FinI_as>GTCCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FinI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<FinII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FinII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<FinSI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FinSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<FisI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FisI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCRGAG'),
        'compsite': '(?P<Fla104114II>CC[AG]GAG)|(?P<Fla104114II_as>CTC[CT]GG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Fla104114II'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GGNCC'),
        'compsite': '(?P<FmuI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FmuI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<Fnu4HI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Fnu4HI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GANTC'),
        'compsite': '(?P<FnuAI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'ANT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<FnuAII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuAII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<FnuCI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuCI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<FnuDI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuDI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<FnuDII>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuDII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<FnuDIII>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuDIII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<FnuEI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FnuEI'] = _temp()


def _temp():
    return {
        'charac': (14, 13, None, None, 'GGATG'),
        'compsite': '(?P<FokI>GGATG)|(?P<FokI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 13,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'V', 'X', 'Y'),
    }


rest_dict['FokI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNNNRTG'),
        'compsite': '(?P<Fph2801I>GAG.....[AG]TG)|(?P<Fph2801I_as>CA[CT].....CTC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Fph2801I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<FpsJI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FpsJI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<FriOI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['FriOI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<FscI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FscI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GGCCGGCC'),
        'compsite': '(?P<FseI>GGCCGGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCCGGCC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['FseI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<FsfI>CTGAAG)|(?P<FsfI_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FsfI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RAATTY'),
        'compsite': '(?P<FsiI>[AG]AATT[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RAATTY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FsiI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Fsp1604I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Fsp1604I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<Fsp4HI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Fsp4HI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'RTGCGCAY'),
        'compsite': '(?P<FspAI>[AG]TGCGCA[CT])',
        'dna': None,
        'freq': 16384.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RTGCGCAY',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['FspAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<FspBI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['FspBI'] = _temp()


def _temp():
    return {
        'charac': (14, 16, None, None, 'CC'),
        'compsite': '(?P<FspEI>CC)|(?P<FspEI_as>GG)',
        'dna': None,
        'freq': 16.0,
        'fst3': 16,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CC',
        'size': 2,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['FspEI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<FspI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'N'),
    }


rest_dict['FspI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<FspII>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FspII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<FspMI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FspMI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<FspMSI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FspMSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<FssI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FssI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<FsuI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FsuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGACC'),
        'compsite': '(?P<FtnUIII>AGACC)|(?P<FtnUIII_as>GGTCT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGACC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FtnUIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<FtnUIV>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FtnUIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAACA'),
        'compsite': '(?P<FtnUV>GAAACA)|(?P<FtnUV_as>TGTTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FtnUV'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGCGCT'),
        'compsite': '(?P<FunI>AGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FunI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<FunII>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['FunII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<GalI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GalI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCGCAGG'),
        'compsite': '(?P<GauT27I>CGCGCAGG)|(?P<GauT27I_as>CCTGCGCG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCGCAGG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GauT27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAC'),
        'compsite': '(?P<Gba708II>ATGCAC)|(?P<Gba708II_as>GTGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Gba708II'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<GceGLI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GceGLI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<GceI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GceI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<GdiI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GdiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCR'),
        'compsite': '(?P<GdiII>CGGCC[AG])|(?P<GdiII_as>[CT]GGCCG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GdiII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<GdoI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GdoI'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<GeoICI>GCAGC)|(?P<GeoICI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GeoICI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<GinI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GinI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGC'),
        'compsite': '(?P<GlaI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['GlaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<GluI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['GluI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCAGG'),
        'compsite': '(?P<GmeII>TCCAGG)|(?P<GmeII_as>CCTGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GmeII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<GobAI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GobAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<GoxI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GoxI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CCCAGC'),
        'compsite': '(?P<GsaI>CCCAGC)|(?P<GsaI_as>GCTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CCAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['GsaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<GseI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GseI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<GseII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GseII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<GseIII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GseIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<GspAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GspAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<GspAII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GspAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<GspI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Gst1588I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Gst1588I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Gst1588II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Gst1588II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<GstI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['GstI'] = _temp()


def _temp():
    return {
        'charac': (22, 14, None, None, 'CTGGAG'),
        'compsite': '(?P<GsuI>CTGGAG)|(?P<GsuI_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 14,
        'fst5': 22,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['GsuI'] = _temp()


def _temp():
    return {
        'charac': (13, -15, None, None, 'CAAAACGTCGTAAGTTCCGGCGCG'),
        'compsite': '(?P<H_DreI>CAAAACGTCGTAAGTTCCGGCGCG)|(?P<H_DreI_as>CGCGCCGGAACTTACGACGTTTTG)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -15,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAAAACGTCGTAAGTTCCGGCGCG',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['H_DreI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<HacI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HacI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'WGGCCW'),
        'compsite': '(?P<HaeI>[AT]GGCC[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WGGCCW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HaeI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGCGCY'),
        'compsite': '(?P<HaeII>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'K', 'N', 'R'),
    }


rest_dict['HaeII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<HaeIII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['HaeIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Hal22I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hal22I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<HalI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HalI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<HalII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HalII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<HapII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['HapII'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'TGGCCA'),
        'compsite': '(?P<HauII>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HauII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCCAG'),
        'compsite': '(?P<HbaII>GCCCAG)|(?P<HbaII_as>CTGGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HbaII'] = _temp()


def _temp():
    return {
        'charac': (10, 10, None, None, 'GACGC'),
        'compsite': '(?P<HgaI>GACGC)|(?P<HgaI_as>GCGTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 10,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['HgaI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<HgiAI>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<HgiBI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<HgiCI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<HgiCII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiCII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<HgiCIII>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiCIII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<HgiDI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<HgiDII>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiDII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<HgiEI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCNNNNNNGGT'),
        'compsite': '(?P<HgiEII>ACC......GGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCNNNNNNGGT',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiEII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<HgiGI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiGI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<HgiHI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiHI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<HgiHII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiHII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<HgiHIII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiHIII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<HgiI>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<HgiJI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiJI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<HgiJII>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiJII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<HgiS21I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiS21I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<HgiS22I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HgiS22I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCGC'),
        'compsite': '(?P<HhaI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'N', 'Q', 'R', 'X'),
    }


rest_dict['HhaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GANTC'),
        'compsite': '(?P<HhaII>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'ANT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HhaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<HhdI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HhdI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HhgI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HhgI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Hin1056I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin1056I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Hin1076III>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin1076III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTYRAC'),
        'compsite': '(?P<Hin1160II>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin1160II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTYRAC'),
        'compsite': '(?P<Hin1161II>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin1161II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Hin173I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin173I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<Hin1I>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Hin1I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CATG'),
        'compsite': '(?P<Hin1II>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Hin1II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<Hin2I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Hin3I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin3I'] = _temp()


def _temp():
    return {
        'charac': (-8, -24, 24, 8, 'GAYNNNNNVTC'),
        'compsite': '(?P<Hin4I>GA[CT].....[ACG]TC)|(?P<Hin4I_as>GA[CGT].....[AG]TC)',
        'dna': None,
        'freq': 682.6666666666666,
        'fst3': -24,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 24,
        'site': 'GAYNNNNNVTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin4I'] = _temp()


def _temp():
    return {
        'charac': (11, 5, None, None, 'CCTTC'),
        'compsite': '(?P<Hin4II>CCTTC)|(?P<Hin4II_as>GAAGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin4II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Hin5I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Hin5II>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Hin5III>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin5III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGC'),
        'compsite': '(?P<Hin6I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Hin6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<Hin7I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<Hin8I>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CATG'),
        'compsite': '(?P<Hin8II>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hin8II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<HinGUI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinGUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<HinGUII>GGATG)|(?P<HinGUII_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinGUII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<HinHI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinHI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTYRAC'),
        'compsite': '(?P<HinJCI>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinJCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<HinJCII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinJCII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGC'),
        'compsite': '(?P<HinP1I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['HinP1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<HinS1I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinS1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<HinS2I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinS2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<HinSAFI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinSAFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<HinbIII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinbIII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTYRAC'),
        'compsite': '(?P<HincII>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'N', 'O', 'Q', 'R', 'X'),
    }


rest_dict['HincII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTYRAC'),
        'compsite': '(?P<HindII>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'M', 'S', 'V'),
    }


rest_dict['HindII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<HindIII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['HindIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGAAT'),
        'compsite': '(?P<HineI>CGAAT)|(?P<HineI_as>ATTCG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGAAT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HineI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GANTC'),
        'compsite': '(?P<HinfI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'ANT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['HinfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<HinfII>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinfII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGAAT'),
        'compsite': '(?P<HinfIII>CGAAT)|(?P<HinfIII_as>ATTCG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGAAT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HinfIII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<HjaI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HjaI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTTAAC'),
        'compsite': '(?P<HpaI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['HpaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<HpaII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'N', 'Q', 'R', 'V', 'X'),
    }


rest_dict['HpaII'] = _temp()


def _temp():
    return {
        'charac': (13, 7, None, None, 'GGTGA'),
        'compsite': '(?P<HphI>GGTGA)|(?P<HphI_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'N'),
    }


rest_dict['HphI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<Hpy166I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy166I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTNNAC'),
        'compsite': '(?P<Hpy166II>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Hpy166II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTC'),
        'compsite': '(?P<Hpy166III>CCTC)|(?P<Hpy166III_as>GAGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy166III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGA'),
        'compsite': '(?P<Hpy178II>GAAGA)|(?P<Hpy178II_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy178II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TCNNGA'),
        'compsite': '(?P<Hpy178III>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy178III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<Hpy178VI>GGATG)|(?P<Hpy178VI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy178VI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Hpy178VII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy178VII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCNGA'),
        'compsite': '(?P<Hpy188I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Hpy188I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TCNNGA'),
        'compsite': '(?P<Hpy188III>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Hpy188III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<Hpy26I>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy26I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Hpy26II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy26II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Hpy299IX>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy299IX'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy303I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy303I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATC'),
        'compsite': '(?P<Hpy30XI>CCATC)|(?P<Hpy30XI_as>GATGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy30XI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy312I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy312I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy401I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy401I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy421I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy421I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy423I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy423I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy471I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy471I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<Hpy501I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy501I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GTSAC'),
        'compsite': '(?P<Hpy51I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTSAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<Hpy87AI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy87AI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTNNAC'),
        'compsite': '(?P<Hpy8I>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Hpy8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<Hpy8II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy8II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<Hpy8III>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy8III'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CGWCG'),
        'compsite': '(?P<Hpy99I>CG[AT]CG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'CGWCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGWCG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Hpy99I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<Hpy99II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<Hpy99III>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<Hpy99IV>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCTA'),
        'compsite': '(?P<Hpy99XIII>GCCTA)|(?P<Hpy99XIII_as>TAGGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCTA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99XIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWTAA'),
        'compsite': '(?P<Hpy99XIV>GG[AT]TAA)|(?P<Hpy99XIV_as>TTA[AT]CC)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWTAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99XIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCNA'),
        'compsite': '(?P<Hpy99XIV_mut1>GG[AT]C.A)|(?P<Hpy99XIV_mut1_as>T.G[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCNA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99XIV_mut1'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCANNNNNNTRG'),
        'compsite': '(?P<Hpy99XXII>TCA......T[AG]G)|(?P<Hpy99XXII_as>C[CT]A......TGA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCANNNNNNTRG',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hpy99XXII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGA'),
        'compsite': '(?P<HpyAII>GAAGA)|(?P<HpyAII_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<HpyAIII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyAIV>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAIV'] = _temp()


def _temp():
    return {
        'charac': (11, 5, None, None, 'CCTTC'),
        'compsite': '(?P<HpyAV>CCTTC)|(?P<HpyAV_as>GAAGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['HpyAV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGTA'),
        'compsite': '(?P<HpyAXIV>GCGTA)|(?P<HpyAXIV_as>TACGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGTA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAXIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRTTAA'),
        'compsite': '(?P<HpyAXVI_mut1>C[AG]TTAA)|(?P<HpyAXVI_mut1_as>TTAA[CT]G)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRTTAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAXVI_mut1'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRTCNA'),
        'compsite': '(?P<HpyAXVI_mut2>C[AG]TC.A)|(?P<HpyAXVI_mut2_as>T.GA[CT]G)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRTCNA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyAXVI_mut2'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTAC'),
        'compsite': '(?P<HpyBI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyBII>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyBII'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'CCATC'),
        'compsite': '(?P<HpyC1I>CCATC)|(?P<HpyC1I_as>GATGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyC1I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CATG'),
        'compsite': '(?P<HpyCH4I>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyCH4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyCH4II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyCH4II'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'ACNGT'),
        'compsite': '(?P<HpyCH4III>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['HpyCH4III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACGT'),
        'compsite': '(?P<HpyCH4IV>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['HpyCH4IV'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TGCA'),
        'compsite': '(?P<HpyCH4V>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['HpyCH4V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyCH4VI>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyCH4VI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<HpyCI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<HpyF10I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF10II>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF10II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<HpyF10III>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF10III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF10IV>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF10IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF10V>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF10V'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<HpyF10VI>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['HpyF10VI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF11I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF11II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF11II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF12I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF12II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF12II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF13I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF13II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF13II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<HpyF13III>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF13III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF13IV>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF13IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<HpyF14I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyF14II>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF14II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF14III>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF14III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<HpyF15I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF15II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF15II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF16I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyF16II>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF16II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF17I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF18I>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF18I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF19I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF19II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF19II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyF19III>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF19III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF1I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF20I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF20I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF21I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF21II>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF21II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF22I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF22II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF22II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyF22III>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF22III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF23I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF24I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF24II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF24II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF25I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF25II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF25II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<HpyF26I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF26I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF26II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF26II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF26III>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF26III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF27I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF27II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF27II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF28I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF29I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTRYAG'),
        'compsite': '(?P<HpyF2I>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF2II>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF2II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF30I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF30II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF30II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF31I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF31II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF31II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF32I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF33I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF33I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF33II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF33II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF34I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF34II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF34II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF35I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF35I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<HpyF35II>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF35II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF35III>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF35III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF35IV>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF35IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF36I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF36II>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF36II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF36III>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF36III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<HpyF36IV>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF36IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF37I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF37I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF38I>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF38II>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF38II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF3I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['HpyF3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF40I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF40II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF40II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF40III>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF40III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF41I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF41II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF41II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF42I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF42II>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF42II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF42III>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF42III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF42IV>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF42IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<HpyF43I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF44I>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF44I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<HpyF44II>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF44II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TGCA'),
        'compsite': '(?P<HpyF44III>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF44III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyF44IV>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF44IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF44V>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF44V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF45I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF45I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF45II>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF45II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF46I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<HpyF46II>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF46II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyF46III>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF46III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF46IV>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF46IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF46V>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF46V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<HpyF47I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF47I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF48I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF48II>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF48II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF48III>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF48III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF49I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF49I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF49II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF49II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyF49III>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF49III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF49IV>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF49IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF49V>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF49V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF4I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF4II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF4II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyF50I>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF50I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF50II>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF50II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF51I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF51II>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF51II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF52I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF52I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<HpyF52II>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF52II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF52III>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF52III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF53I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF53I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF53II>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF53II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF54I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF55I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF55I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF55II>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF55II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF56I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF56I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF57I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF58I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF58I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF59I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF59I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF59II>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF59II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF59III>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF59III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF5I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF5II>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF60I>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF60I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF60II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF60II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF61I>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF61I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<HpyF61II>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF61II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGWCG'),
        'compsite': '(?P<HpyF61III>CG[AT]CG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGWCG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF61III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF62I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF62I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF62II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF62II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF62III>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF62III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF63I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF63I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF64I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF64I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF64II>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF64II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNGA'),
        'compsite': '(?P<HpyF64III>TC.GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF64III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<HpyF64IV>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF64IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF64V>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF64V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF65I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF65II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF65II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF65III>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF65III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<HpyF66I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF66I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF66II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF66II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyF66III>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF66III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF66IV>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF66IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF67I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF67I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyF67II>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF67II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<HpyF67III>GGATG)|(?P<HpyF67III_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF67III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<HpyF67IV>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF67IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF68I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF68I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF68II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF68II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF69I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF69I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF69II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF69II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<HpyF6I>GGATG)|(?P<HpyF6I_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF6II>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF6II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF6III>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF6III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF70I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF70I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF71I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF71I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<HpyF71II>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF71II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF71III>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF71III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF72I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF72I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF72II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF72II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyF72III>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF72III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<HpyF73I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF73I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyF73II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF73II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<HpyF73III>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF73III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<HpyF73IV>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF73IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF74I>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF74I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<HpyF74II>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF74II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF7I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<HpyF7II>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF7II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<HpyF7III>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF7III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTSAC'),
        'compsite': '(?P<HpyF9I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyF9II>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF9II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACNGT'),
        'compsite': '(?P<HpyF9III>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyF9III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyGI>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyGII>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyGII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyHI>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyHII>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTNAG'),
        'compsite': '(?P<HpyHPK5I>CT.AG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTNAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyHPK5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<HpyHPK5II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyHPK5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGA'),
        'compsite': '(?P<HpyII>GAAGA)|(?P<HpyII_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<HpyIV>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCA'),
        'compsite': '(?P<HpyJP26I>TGCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyJP26I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyJP26II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyJP26II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<HpyNI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<HpyNSH57I>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyNSH57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCNNGA'),
        'compsite': '(?P<HpyNSH57II>TC..GA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCNNGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyNSH57II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACGT'),
        'compsite': '(?P<HpySE526I>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['HpySE526I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYANNNNNNNTRG'),
        'compsite': '(?P<HpyUM032XIII>C[CT]A.......T[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYANNNNNNNTRG',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyUM032XIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYANNNNNNNTTC'),
        'compsite': '(?P<HpyUM032XIII_mut1>C[CT]A.......TTC)|(?P<HpyUM032XIII_mut1_as>GAA.......T[AG]G)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYANNNNNNNTTC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyUM032XIII_mut1'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAAG'),
        'compsite': '(?P<HpyUM032XIV>GAAAG)|(?P<HpyUM032XIV_as>CTTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyUM032XIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TNGGNAG|GTGGNAG'),
        'compsite': '(?P<HpyUM037X>T.GG.AG)|(?P<HpyUM037X_as>CT.CC.A)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TNGGNAG|GTGGNAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyUM037X'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<HpyV>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<HpyVIII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HpyVIII'] = _temp()


def _temp():
    return {
        'charac': (-8, -25, 25, 8, 'CAYNNNNNRTG'),
        'compsite': '(?P<HsoII>CA[CT].....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -25,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 6,
        'ovhgseq': 'NNNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 25,
        'site': 'CAYNNNNNRTG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HsoII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Hsp2I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Hsp2I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<Hsp92I>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['Hsp92I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CATG'),
        'compsite': '(?P<Hsp92II>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['Hsp92II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGC'),
        'compsite': '(?P<HspAI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['HspAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<HsuI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['HsuI'] = _temp()


def _temp():
    return {
        'charac': (14, -16, None, None, 'CAGGTACCCTTTAAACCTACTAACCC'),
        'compsite': '(?P<I_AabMI>CAGGTACCCTTTAAACCTACTAACCC)|(?P<I_AabMI_as>GGGTTAGTAGGTTTAAAGGGTACCTG)',
        'dna': None,
        'freq': 4503599627370496.0,
        'fst3': -16,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGGTACCCTTTAAACCTACTAACCC',
        'size': 26,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_AabMI'] = _temp()


def _temp():
    return {
        'charac': (12, -12, None, None, 'TGGGGAGGTTTTTCAGTATC'),
        'compsite': '(?P<I_AchMI>TGGGGAGGTTTTTCAGTATC)|(?P<I_AchMI_as>GATACTGAAAAACCTCCCCA)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': -12,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTTT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGGGAGGTTTTTCAGTATC',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_AchMI'] = _temp()


def _temp():
    return {
        'charac': (13, -15, None, None, 'TTGAGGAGGTTTCTCTGTAAATAA'),
        'compsite': '(?P<I_AniI>TTGAGGAGGTTTCTCTGTAAATAA)|(?P<I_AniI_as>TTATTTACAGAGAAACCTCCTCAA)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -15,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTGAGGAGGTTTCTCTGTAAATAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_AniI'] = _temp()


def _temp():
    return {
        'charac': (13, -11, None, None, 'GCAAGGCTGAAACTTAAAGG'),
        'compsite': '(?P<I_ApeKI>GCAAGGCTGAAACTTAAAGG)|(?P<I_ApeKI_as>CCTTTAAGTTTCAGCCTTGC)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': -11,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AAAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAAGGCTGAAACTTAAAGG',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_ApeKI'] = _temp()


def _temp():
    return {
        'charac': (10, -14, None, None, 'ATTGAATTCCTGGATACCAAAA'),
        'compsite': '(?P<I_BanI>ATTGAATTCCTGGATACCAAAA)|(?P<I_BanI_as>TTTTGGTATCCAGGAATTCAAT)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -14,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTGAATTCCTGGATACCAAAA',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_BanI'] = _temp()


def _temp():
    return {
        'charac': (0, -18, 0, 0, 'AACGCTCAGCAATTCCCACGT'),
        'compsite': '(?P<I_BasI>AACGCTCAGCAATTCCCACGT)|(?P<I_BasI_as>ACGTGGGAATTGCTGAGCGTT)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -18,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'AAC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'AACGCTCAGCAATTCCCACGT',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_BasI'] = _temp()


def _temp():
    return {
        'charac': (13, -18, None, None, 'GAGTAAGAGCCCGTAGTAATGACATGGC'),
        'compsite': '(?P<I_BmoI>GAGTAAGAGCCCGTAGTAATGACATGGC)|(?P<I_BmoI_as>GCCATGTCATTACTACGGGCTCTTACTC)',
        'dna': None,
        'freq': 7.205759403792794e+16,
        'fst3': -18,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'CCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTAAGAGCCCGTAGTAATGACATGGC',
        'size': 28,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_BmoI'] = _temp()


def _temp():
    return {
        'charac': (20, -17, None, None, 'ATGTAAACTCACGCTTCGGTGATCCAAACGTGACAACTG'),
        'compsite': '(?P<I_Bth0305I>ATGTAAACTCACGCTTCGGTGATCCAAACGTGACAACTG)|(?P<I_Bth0305I_as>CAGTTGTCACGTTTGGATCACCGAAGCGTGAGTTTACAT)',
        'dna': None,
        'freq': 3.022314549036573e+23,
        'fst3': -17,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'GA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGTAAACTCACGCTTCGGTGATCCAAACGTGACAACTG',
        'size': 39,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_Bth0305I'] = _temp()


def _temp():
    return {
        'charac': (2, -23, None, None, 'ATTATCCGTGATGAGTCAATTCA'),
        'compsite': '(?P<I_BthII>ATTATCCGTGATGAGTCAATTCA)|(?P<I_BthII_as>TGAATTGACTCATCACGGATAAT)',
        'dna': None,
        'freq': 70368744177664.0,
        'fst3': -23,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTATCCGTGATGAGTCAATTCA',
        'size': 23,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_BthII'] = _temp()


def _temp():
    return {
        'charac': (18, -13, None, None, 'TAACTATAACGGTCCTAAGGTAGCGAA'),
        'compsite': '(?P<I_CeuI>TAACTATAACGGTCCTAAGGTAGCGAA)|(?P<I_CeuI_as>TTCGCTACCTTAGGACCGTTATAGTTA)',
        'dna': None,
        'freq': 1.8014398509481984e+16,
        'fst3': -13,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAACTATAACGGTCCTAAGGTAGCGAA',
        'size': 27,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['I_CeuI'] = _temp()


def _temp():
    return {
        'charac': (17, -17, None, None, 'GAAGGTTTGGCACCTCGATGTCGGCTCATC'),
        'compsite': '(?P<I_ChuI>GAAGGTTTGGCACCTCGATGTCGGCTCATC)|(?P<I_ChuI_as>GATGAGCCGACATCGAGGTGCCAAACCTTC)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -17,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGGTTTGGCACCTCGATGTCGGCTCATC',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_ChuI'] = _temp()


def _temp():
    return {
        'charac': (11, -11, None, None, 'TCGTAGCAGCTCACGGTT'),
        'compsite': '(?P<I_CmoeI>TCGTAGCAGCTCACGGTT)|(?P<I_CmoeI_as>AACCGTGAGCTGCTACGA)',
        'dna': None,
        'freq': 68719476736.0,
        'fst3': -11,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGTAGCAGCTCACGGTT',
        'size': 18,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CmoeI'] = _temp()


def _temp():
    return {
        'charac': (18, -9, None, None, 'CGATCCTAAGGTAGCGAAATTCA'),
        'compsite': '(?P<I_CpaI>CGATCCTAAGGTAGCGAAATTCA)|(?P<I_CpaI_as>TGAATTTCGCTACCTTAGGATCG)',
        'dna': None,
        'freq': 70368744177664.0,
        'fst3': -9,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CGAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCCTAAGGTAGCGAAATTCA',
        'size': 23,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CpaI'] = _temp()


def _temp():
    return {
        'charac': (12, -12, None, None, 'CCCGGCTAACTCTGTGCCAG'),
        'compsite': '(?P<I_CpaII>CCCGGCTAACTCTGTGCCAG)|(?P<I_CpaII_as>CTGGCACAGAGTTAGCCGGG)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': -12,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGCTAACTCTGTGCCAG',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CpaII'] = _temp()


def _temp():
    return {
        'charac': (15, -17, None, None, 'CCTAGCCCACAATATTAAGGCCATCCCA'),
        'compsite': '(?P<I_CpaMI>CCTAGCCCACAATATTAAGGCCATCCCA)|(?P<I_CpaMI_as>TGGGATGGCCTTAATATTGTGGGCTAGG)',
        'dna': None,
        'freq': 7.205759403792794e+16,
        'fst3': -17,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGCCCACAATATTAAGGCCATCCCA',
        'size': 28,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CpaMI'] = _temp()


def _temp():
    return {
        'charac': (20, -14, None, None, 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG'),
        'compsite': '(?P<I_CreI>CTGGGTTCAAAACGTCGTGAGACAGTTTGG)|(?P<I_CreI_as>CCAAACTGTCTCACGACGTTTTGAACCCAG)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -14,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CreI'] = _temp()


def _temp():
    return {
        'charac': (9, -10, None, None, 'TGTAGCTGCTCATGGTT'),
        'compsite': '(?P<I_CreII>TGTAGCTGCTCATGGTT)|(?P<I_CreII_as>AACCATGAGCAGCTACA)',
        'dna': None,
        'freq': 17179869184.0,
        'fst3': -10,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTAGCTGCTCATGGTT',
        'size': 17,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CreII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTACTAGCATGGGGTCAAATGTCTTTCTGG'),
        'compsite': '(?P<I_CsmI>GTACTAGCATGGGGTCAAATGTCTTTCTGG)|(?P<I_CsmI_as>CCAGAAAGACATTTGACCCCATGCTAGTAC)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTACTAGCATGGGGTCAAATGTCTTTCTGG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CsmI'] = _temp()


def _temp():
    return {
        'charac': (20, -14, None, None, 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG'),
        'compsite': '(?P<I_CvuI>CTGGGTTCAAAACGTCGTGAGACAGTTTGG)|(?P<I_CvuI_as>CCAAACTGTCTCACGACGTTTTGAACCCAG)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -14,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_CvuI'] = _temp()


def _temp():
    return {
        'charac': (0, -14, 0, 0, 'TTTTTTGGTCATCCAGAAGTATAT'),
        'compsite': '(?P<I_DdiI>TTTTTTGGTCATCCAGAAGTATAT)|(?P<I_DdiI_as>ATATACTTCTGGATGACCAAAAAA)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -14,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -10,
        'ovhgseq': 'TTTTTTGGTC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'TTTTTTGGTCATCCAGAAGTATAT',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_DdiI'] = _temp()


def _temp():
    return {
        'charac': (16, -18, None, None, 'ATGCCTTGCCGGGTAAGTTCCGGCGCGCAT'),
        'compsite': '(?P<I_DmoI>ATGCCTTGCCGGGTAAGTTCCGGCGCGCAT)|(?P<I_DmoI_as>ATGCGCGCCGGAACTTACCCGGCAAGGCAT)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -18,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCCTTGCCGGGTAAGTTCCGGCGCGCAT',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_DmoI'] = _temp()


def _temp():
    return {
        'charac': (15, -16, None, None, 'CCTTTCCGCTTATTCAACCCTTTACCC'),
        'compsite': '(?P<I_GpeMI>CCTTTCCGCTTATTCAACCCTTTACCC)|(?P<I_GpeMI_as>GGGTAAAGGGTTGAATAAGCGGAAAGG)',
        'dna': None,
        'freq': 1.8014398509481984e+16,
        'fst3': -16,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTTTCCGCTTATTCAACCCTTTACCC',
        'size': 27,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_GpeMI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'TTTTCCTGTATATGACTTAAAT'),
        'compsite': '(?P<I_GpiI>TTTTCCTGTATATGACTTAAAT)|(?P<I_GpiI_as>ATTTAAGTCATATACAGGAAAA)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTTCCTGTATATGACTTAAAT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_GpiI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'GCCCCTCATAACCCGTATCAAG'),
        'compsite': '(?P<I_GzeI>GCCCCTCATAACCCGTATCAAG)|(?P<I_GzeI_as>CTTGATACGGGTTATGAGGGGC)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AACC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCCCTCATAACCCGTATCAAG',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_GzeI'] = _temp()


def _temp():
    return {
        'charac': (15, -16, None, None, 'CCTTTGTACCAATATGGTACCCATCCC'),
        'compsite': '(?P<I_GzeII>CCTTTGTACCAATATGGTACCCATCCC)|(?P<I_GzeII_as>GGGATGGGTACCATATTGGTACAAAGG)',
        'dna': None,
        'freq': 1.8014398509481984e+16,
        'fst3': -16,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTTTGTACCAATATGGTACCCATCCC',
        'size': 27,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_GzeII'] = _temp()


def _temp():
    return {
        'charac': (12, -16, None, None, 'TGAGGAGGTTTCTCTGTAAATTAA'),
        'compsite': '(?P<I_HjeMI>TGAGGAGGTTTCTCTGTAAATTAA)|(?P<I_HjeMI_as>TTAATTTACAGAGAAACCTCCTCA)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -16,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGAGGAGGTTTCTCTGTAAATTAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_HjeMI'] = _temp()


def _temp():
    return {
        'charac': (0, -18, 0, 0, 'AACGCTCAGCAATTCCCACGT'),
        'compsite': '(?P<I_HmuI>AACGCTCAGCAATTCCCACGT)|(?P<I_HmuI_as>ACGTGGGAATTGCTGAGCGTT)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -18,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'AAC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'AACGCTCAGCAATTCCCACGT',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_HmuI'] = _temp()


def _temp():
    return {
        'charac': (0, -14, 0, 0, 'ATTATTCCAGTATAACTTTGAGATTAAG'),
        'compsite': '(?P<I_HmuII>ATTATTCCAGTATAACTTTGAGATTAAG)|(?P<I_HmuII_as>CTTAATCTCAAAGTTATACTGGAATAAT)',
        'dna': None,
        'freq': 7.205759403792794e+16,
        'fst3': -14,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -14,
        'ovhgseq': 'ATTATTCCAGTATA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'ATTATTCCAGTATAACTTTGAGATTAAG',
        'size': 28,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_HmuII'] = _temp()


def _temp():
    return {
        'charac': (12, -3, None, None, 'CACATCCATAACCATATCATTTTT'),
        'compsite': '(?P<I_LlaI>CACATCCATAACCATATCATTTTT)|(?P<I_LlaI_as>AAAAATGATATGGTTATGGATGTG)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -3,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -9,
        'ovhgseq': 'CATATCATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACATCCATAACCATATCATTTTT',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_LlaI'] = _temp()


def _temp():
    return {
        'charac': (16, -10, None, None, 'TATCTAAACGTCGTATAGGAGC'),
        'compsite': '(?P<I_LtrI>TATCTAAACGTCGTATAGGAGC)|(?P<I_LtrI_as>GCTCCTATACGACGTTTAGATA)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -10,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TATCTAAACGTCGTATAGGAGC',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_LtrI'] = _temp()


def _temp():
    return {
        'charac': (13, -17, None, None, 'AGTAGTGAAGTATGTTATTTAATTCG'),
        'compsite': '(?P<I_LtrWI>AGTAGTGAAGTATGTTATTTAATTCG)|(?P<I_LtrWI_as>CGAATTAAATAACATACTTCACTACT)',
        'dna': None,
        'freq': 4503599627370496.0,
        'fst3': -17,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTAGTGAAGTATGTTATTTAATTCG',
        'size': 26,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_LtrWI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'TAGATAACCATAAGTGGCTAAT'),
        'compsite': '(?P<I_MpeMI>TAGATAACCATAAGTGGCTAAT)|(?P<I_MpeMI_as>ATTAGCCACTTATGGTTATCTA)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGATAACCATAAGTGGCTAAT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_MpeMI'] = _temp()


def _temp():
    return {
        'charac': (20, -14, None, None, 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG'),
        'compsite': '(?P<I_MsoI>CTGGGTTCAAAACGTCGTGAGACAGTTTGG)|(?P<I_MsoI_as>CCAAACTGTCTCACGACGTTTTGAACCCAG)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -14,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_MsoI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'AAGTCTGGTGCCAGCACCCGC'),
        'compsite': '(?P<I_NanI>AAGTCTGGTGCCAGCACCCGC)|(?P<I_NanI_as>GCGGGTGCTGGCACCAGACTT)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'TGCCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGTCTGGTGCCAGCACCCGC',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_NanI'] = _temp()


def _temp():
    return {
        'charac': (13, -15, None, None, 'TTGAGGAGGTTTCCCTGTAAATAA'),
        'compsite': '(?P<I_NfiI>TTGAGGAGGTTTCCCTGTAAATAA)|(?P<I_NfiI_as>TTATTTACAGGGAAACCTCCTCAA)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -15,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTGAGGAGGTTTCCCTGTAAATAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_NfiI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'AAGTCTGGTGCCAGCACCCGC'),
        'compsite': '(?P<I_NitI>AAGTCTGGTGCCAGCACCCGC)|(?P<I_NitI_as>GCGGGTGCTGGCACCAGACTT)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'TGCCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGTCTGGTGCCAGCACCCGC',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_NitI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'AAGTCTGGTGCCAGCACCCGC'),
        'compsite': '(?P<I_NjaI>AAGTCTGGTGCCAGCACCCGC)|(?P<I_NjaI_as>GCGGGTGCTGGCACCAGACTT)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'TGCCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGTCTGGTGCCAGCACCCGC',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_NjaI'] = _temp()


def _temp():
    return {
        'charac': (12, -13, None, None, 'GTAGTGAAGTATGGTTATTTA'),
        'compsite': '(?P<I_OmiII>GTAGTGAAGTATGGTTATTTA)|(?P<I_OmiII_as>TAAATAACCATACTTCACTAC)',
        'dna': None,
        'freq': 4398046511104.0,
        'fst3': -13,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAGTGAAGTATGGTTATTTA',
        'size': 21,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_OmiII'] = _temp()


def _temp():
    return {
        'charac': (8, -10, None, None, 'GGTTGAATAAGTGG'),
        'compsite': '(?P<I_OnuI>GGTTGAATAAGTGG)|(?P<I_OnuI_as>CCACTTATTCAACC)',
        'dna': None,
        'freq': 268435456.0,
        'fst3': -10,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GAAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTTGAATAAGTGG',
        'size': 14,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_OnuI'] = _temp()


def _temp():
    return {
        'charac': (20, -14, None, None, 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG'),
        'compsite': '(?P<I_PakI>CTGGGTTCAAAACGTCGTGAGACAGTTTGG)|(?P<I_PakI_as>CCAAACTGTCTCACGACGTTTTGAACCCAG)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -14,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGGTTCAAAACGTCGTGAGACAGTTTGG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PakI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'GCTCCTCATAATCCTTATCAAG'),
        'compsite': '(?P<I_PanMI>GCTCCTCATAATCCTTATCAAG)|(?P<I_PanMI_as>CTTGATAAGGATTATGAGGAGC)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCCTCATAATCCTTATCAAG',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PanMI'] = _temp()


def _temp():
    return {
        'charac': (16, 0, 0, 0, 'GACTATCATCATCTAAGCCTAACATCCAA'),
        'compsite': '(?P<I_PfoP3I>GACTATCATCATCTAAGCCTAACATCCAA)|(?P<I_PfoP3I_as>TTGGATGTTAGGCTTAGATGATGATAGTC)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': 0,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -16,
        'ovhgseq': 'GACTATCATCATCTAA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GACTATCATCATCTAAGCCTAACATCCAA',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PfoP3I'] = _temp()


def _temp():
    return {
        'charac': (12, -16, None, None, 'TGAGGTGGTTTCTCTGTAAATTAA'),
        'compsite': '(?P<I_PnoMI>TGAGGTGGTTTCTCTGTAAATTAA)|(?P<I_PnoMI_as>TTAATTTACAGAGAAACCACCTCA)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -16,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGAGGTGGTTTCTCTGTAAATTAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PnoMI'] = _temp()


def _temp():
    return {
        'charac': (9, -14, None, None, 'CTTCAGTATGCCCCGAAAC'),
        'compsite': '(?P<I_PogTE7I>CTTCAGTATGCCCCGAAAC)|(?P<I_PogTE7I_as>GTTTCGGGGCATACTGAAG)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -14,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTCAGTATGCCCCGAAAC',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PogTE7I'] = _temp()


def _temp():
    return {
        'charac': (16, -13, None, None, 'GCGAGCCCGTAAGGGTGTGTACGGG'),
        'compsite': '(?P<I_PorI>GCGAGCCCGTAAGGGTGTGTACGGG)|(?P<I_PorI_as>CCCGTACACACCCTTACGGGCTCGC)',
        'dna': None,
        'freq': 1125899906842624.0,
        'fst3': -13,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GGGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGAGCCCGTAAGGGTGTGTACGGG',
        'size': 25,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_PorI'] = _temp()


def _temp():
    return {
        'charac': (18, -15, None, None, 'TAACTATGACTCTCTTAAGGTAGCCAAAT'),
        'compsite': '(?P<I_PpoI>TAACTATGACTCTCTTAAGGTAGCCAAAT)|(?P<I_PpoI_as>ATTTGGCTACCTTAAGAGAGTCATAGTTA)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -15,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAACTATGACTCTCTTAAGGTAGCCAAAT',
        'size': 29,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['I_PpoI'] = _temp()


def _temp():
    return {
        'charac': (19, -13, None, None, 'TGTCACATTGAGGTGCACTAGTTATTAC'),
        'compsite': '(?P<I_ScaI>TGTCACATTGAGGTGCACTAGTTATTAC)|(?P<I_ScaI_as>GTAATAACTAGTGCACCTCAATGTGACA)',
        'dna': None,
        'freq': 7.205759403792794e+16,
        'fst3': -13,
        'fst5': 19,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CACT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTCACATTGAGGTGCACTAGTTATTAC',
        'size': 28,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_ScaI'] = _temp()


def _temp():
    return {
        'charac': (9, -13, None, None, 'TAGGGATAACAGGGTAAT'),
        'compsite': '(?P<I_SceI>TAGGGATAACAGGGTAAT)|(?P<I_SceI_as>ATTACCCTGTTATCCCTA)',
        'dna': None,
        'freq': 68719476736.0,
        'fst3': -13,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGGGATAACAGGGTAAT',
        'size': 18,
        'substrat': 'DNA',
        'suppl': ('B', 'M', 'N'),
    }


rest_dict['I_SceI'] = _temp()


def _temp():
    return {
        'charac': (20, -13, None, None, 'TTTTGATTCTTTGGTCACCCTGAAGTATA'),
        'compsite': '(?P<I_SceII>TTTTGATTCTTTGGTCACCCTGAAGTATA)|(?P<I_SceII_as>TATACTTCAGGGTGACCAAAGAATCAAAA)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -13,
        'fst5': 20,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTTGATTCTTTGGTCACCCTGAAGTATA',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceII'] = _temp()


def _temp():
    return {
        'charac': (18, -15, None, None, 'ATTGGAGGTTTTGGTAACTATTTATTACC'),
        'compsite': '(?P<I_SceIII>ATTGGAGGTTTTGGTAACTATTTATTACC)|(?P<I_SceIII_as>GGTAATAAATAGTTACCAAAACCTCCAAT)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -15,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TAAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTGGAGGTTTTGGTAACTATTTATTACC',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceIII'] = _temp()


def _temp():
    return {
        'charac': (16, -17, None, None, 'TCTTTTCTCTTGATTAGCCCTAATCTACG'),
        'compsite': '(?P<I_SceIV>TCTTTTCTCTTGATTAGCCCTAATCTACG)|(?P<I_SceIV_as>CGTAGATTAGGGCTAATCAAGAGAAAAGA)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -17,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ATTA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTTTTCTCTTGATTAGCCCTAATCTACG',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceIV'] = _temp()


def _temp():
    return {
        'charac': (11, -3, None, None, 'AATAATTTTCTTCTTAGTAATGCC'),
        'compsite': '(?P<I_SceV>AATAATTTTCTTCTTAGTAATGCC)|(?P<I_SceV_as>GGCATTACTAAGAAGAAAATTATT)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -3,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -10,
        'ovhgseq': 'TCTTAGTAAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATAATTTTCTTCTTAGTAATGCC',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceV'] = _temp()


def _temp():
    return {
        'charac': (11, -3, None, None, 'GTTATTTAATGTTTTAGTAGTTGG'),
        'compsite': '(?P<I_SceVI>GTTATTTAATGTTTTAGTAGTTGG)|(?P<I_SceVI_as>CCAACTACTAAAACATTAAATAAC)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -3,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -10,
        'ovhgseq': 'TTTTAGTAGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTATTTAATGTTTTAGTAGTTGG',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGTCACATTGAGGTGCACTAGTTATTAC'),
        'compsite': '(?P<I_SceVII>TGTCACATTGAGGTGCACTAGTTATTAC)|(?P<I_SceVII_as>GTAATAACTAGTGCACCTCAATGTGACA)',
        'dna': None,
        'freq': 7.205759403792794e+16,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTCACATTGAGGTGCACTAGTTATTAC',
        'size': 28,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SceVII'] = _temp()


def _temp():
    return {
        'charac': (15, -14, None, None, 'GGTATCCTCCATTATCAGGTGTACG'),
        'compsite': '(?P<I_SmaMI>GGTATCCTCCATTATCAGGTGTACG)|(?P<I_SmaMI_as>CGTACACCTGATAATGGAGGATACC)',
        'dna': None,
        'freq': 1125899906842624.0,
        'fst3': -14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTATCCTCCATTATCAGGTGTACG',
        'size': 25,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SmaMI'] = _temp()


def _temp():
    return {
        'charac': (15, -14, None, None, 'GTGGTTGGACGGTATATCCACCACT'),
        'compsite': '(?P<I_SpomI>GTGGTTGGACGGTATATCCACCACT)|(?P<I_SpomI_as>AGTGGTGGATATACCGTCCAACCAC)',
        'dna': None,
        'freq': 1125899906842624.0,
        'fst3': -14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGGTTGGACGGTATATCCACCACT',
        'size': 25,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SpomI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'AGGTACCCTTTAAACCTATTAA'),
        'compsite': '(?P<I_SscMI>AGGTACCCTTTAAACCTATTAA)|(?P<I_SscMI_as>TTAATAGGTTTAAAGGGTACCT)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGTACCCTTTAAACCTATTAA',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_SscMI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'GTCGGGCTCATAACCCGAA'),
        'compsite': '(?P<I_Ssp6803I>GTCGGGCTCATAACCCGAA)|(?P<I_Ssp6803I_as>TTCGGGTTATGAGCCCGAC)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGGGCTCATAACCCGAA',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_Ssp6803I'] = _temp()


def _temp():
    return {
        'charac': (12, -14, None, None, 'AGTGGTATCAACGCTCAGTAGATG'),
        'compsite': '(?P<I_TevI>AGTGGTATCAACGCTCAGTAGATG)|(?P<I_TevI_as>CATCTACTGAGCGTTGATACCACT)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -14,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTGGTATCAACGCTCAGTAGATG',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TevI'] = _temp()


def _temp():
    return {
        'charac': (25, -7, None, None, 'GCTTATGAGTATGAAGTGAACACGTTATTC'),
        'compsite': '(?P<I_TevII>GCTTATGAGTATGAAGTGAACACGTTATTC)|(?P<I_TevII_as>GAATAACGTGTTCACTTCATACTCATAAGC)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -7,
        'fst5': 25,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTTATGAGTATGAAGTGAACACGTTATTC',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TevII'] = _temp()


def _temp():
    return {
        'charac': (0, -28, 0, 0, 'TATGTATCTTTTGCGTGTACCTTTAACTTC'),
        'compsite': '(?P<I_TevIII>TATGTATCTTTTGCGTGTACCTTTAACTTC)|(?P<I_TevIII_as>GAAGTTAAAGGTACACGCAAAAGATACATA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -28,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'TATGTATCTTTTGCGTGTACCTTTAACTTC',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TevIII'] = _temp()


def _temp():
    return {
        'charac': (0, -20, 0, 0, 'GTACATGGCGTGGGTGCATGATGAAATCCAAGTAGGTTGC'),
        'compsite': '(?P<I_TslI>GTACATGGCGTGGGTGCATGATGAAATCCAAGTAGGTTGC)|(?P<I_TslI_as>GCAACCTACTTGGATTTCATCATGCACCCACGCCATGTAC)',
        'dna': None,
        'freq': 1.2089258196146292e+24,
        'fst3': -20,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -20,
        'ovhgseq': 'GTACATGGCGTGGGTGCATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GTACATGGCGTGGGTGCATGATGAAATCCAAGTAGGTTGC',
        'size': 40,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TslI'] = _temp()


def _temp():
    return {
        'charac': (0, -20, 0, 0, 'GTACATGGCGTGGGTGCATGATGAGATTCAAGTAGGTTGC'),
        'compsite': '(?P<I_TslWI>GTACATGGCGTGGGTGCATGATGAGATTCAAGTAGGTTGC)|(?P<I_TslWI_as>GCAACCTACTTGAATCTCATCATGCACCCACGCCATGTAC)',
        'dna': None,
        'freq': 1.2089258196146292e+24,
        'fst3': -20,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -20,
        'ovhgseq': 'GTACATGGCGTGGGTGCATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GTACATGGCGTGGGTGCATGATGAGATTCAAGTAGGTTGC',
        'size': 40,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TslWI'] = _temp()


def _temp():
    return {
        'charac': (9, -14, None, None, 'CTTCAGTATGCCCCGAAAC'),
        'compsite': '(?P<I_Tsp061I>CTTCAGTATGCCCCGAAAC)|(?P<I_Tsp061I_as>GTTTCGGGGCATACTGAAG)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -14,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTCAGTATGCCCCGAAAC',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_Tsp061I'] = _temp()


def _temp():
    return {
        'charac': (7, 0, 0, 0, 'TCTTGCACCTACACAATCCA'),
        'compsite': '(?P<I_TwoI>TCTTGCACCTACACAATCCA)|(?P<I_TwoI_as>TGGATTGTGTAGGTGCAAGA)',
        'dna': None,
        'freq': 1099511627776.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -7,
        'ovhgseq': 'TCTTGCA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'TCTTGCACCTACACAATCCA',
        'size': 20,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_TwoI'] = _temp()


def _temp():
    return {
        'charac': (14, -14, None, None, 'CCTGACTCTCTTAAGGTAGCCAAA'),
        'compsite': '(?P<I_Vdi141I>CCTGACTCTCTTAAGGTAGCCAAA)|(?P<I_Vdi141I_as>TTTGGCTACCTTAAGAGAGTCAGG)',
        'dna': None,
        'freq': 281474976710656.0,
        'fst3': -14,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTGACTCTCTTAAGGTAGCCAAA',
        'size': 24,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['I_Vdi141I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<ItaI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ItaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTATNAC'),
        'compsite': '(?P<Jma19592I>GTAT.AC)|(?P<Jma19592I_as>GT.ATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATNAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Jma19592I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCRAC'),
        'compsite': '(?P<Jma19592II>G[AG]GC[AG]AC)|(?P<Jma19592II_as>GT[CT]GC[CT]C)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCRAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Jma19592II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRNGAAT'),
        'compsite': '(?P<Jsp2502II>G[AG].GAAT)|(?P<Jsp2502II_as>ATTC.[CT]C)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRNGAAT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Jsp2502II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGCGCC'),
        'compsite': '(?P<KasI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['KasI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGGNCCY'),
        'compsite': '(?P<Kaz48kI>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kaz48kI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGGWCCC'),
        'compsite': '(?P<KflI>GGG[AT]CCC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGWCCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['KflI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RTCGAG'),
        'compsite': '(?P<Kor51II>[AG]TCGAG)|(?P<Kor51II_as>CTCGA[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kor51II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Kox165I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kox165I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<KoxI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KoxI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<KoxII>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KoxII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<KoyI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KoyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Kpl79I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpl79I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Kpn10I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Kpn12I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Kpn13I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Kpn14I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Kpn16I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Kpn19I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn19I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<Kpn2I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Kpn2I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<Kpn2kI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn2kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Kpn30I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn30I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Kpn378I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn378I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CANCATC'),
        'compsite': '(?P<Kpn39795III>CA.CATC)|(?P<Kpn39795III_as>GATG.TG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CANCATC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn39795III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<Kpn49kI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn49kI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCSGG'),
        'compsite': '(?P<Kpn49kII>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCSGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kpn49kII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGTACC'),
        'compsite': '(?P<KpnI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['KpnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<KpnK14I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KpnK14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTCNAC'),
        'compsite': '(?P<KpnNIH30III>GTTC.AC)|(?P<KpnNIH30III_as>GT.GAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTCNAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KpnNIH30III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<KroI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['KroI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<Ksp22I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Ksp22I'] = _temp()


def _temp():
    return {
        'charac': (7, 4, None, None, 'CTCTTC'),
        'compsite': '(?P<Ksp632I>CTCTTC)|(?P<Ksp632I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 4,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ksp632I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTTAAC'),
        'compsite': '(?P<KspAI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['KspAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<KspHK12I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KspHK12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<KspHK14I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KspHK14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<KspHK15I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KspHK15I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<KspI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'S'),
    }


rest_dict['KspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGGG'),
        'compsite': '(?P<KteAI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['KteAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Kzo49I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Kzo49I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Kzo9I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Kzo9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYAAANG'),
        'compsite': '(?P<Lba2029III>C[CT]AAA.G)|(?P<Lba2029III_as>C.TTT[AG]G)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYAAANG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lba2029III'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<LcaI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LcaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGC'),
        'compsite': '(?P<LfeI>GCAGC)|(?P<LfeI_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LfeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGGAG'),
        'compsite': '(?P<LfuRB21I>AAGGAG)|(?P<LfuRB21I_as>CTCCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LfuRB21I'] = _temp()


def _temp():
    return {
        'charac': (8, 4, None, None, 'GCTCTTC'),
        'compsite': '(?P<LguI>GCTCTTC)|(?P<LguI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 4,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['LguI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Lla497I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lla497I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<LlaAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<LlaBI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<LlaCI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<LlaDCHI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaDCHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<LlaDI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<LlaDII>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaDII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCTAGC'),
        'compsite': '(?P<LlaG2I>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaG2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<LlaKR2I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaKR2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<LlaMI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LlaMI'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'GCTCC'),
        'compsite': '(?P<LmnI>GCTCC)|(?P<LmnI_as>GGAGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['LmnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAGRAG'),
        'compsite': '(?P<Lmo11AII>TAG[AG]AG)|(?P<Lmo11AII_as>CT[CT]CTA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmo11AII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAGRAG'),
        'compsite': '(?P<Lmo23459II>TAG[AG]AG)|(?P<Lmo23459II_as>CT[CT]CTA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmo23459II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCGCCG'),
        'compsite': '(?P<Lmo370I>AGCGCCG)|(?P<Lmo370I_as>CGGCGCT)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmo370I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAGRAG'),
        'compsite': '(?P<Lmo6907II>TAG[AG]AG)|(?P<Lmo6907II_as>CT[CT]CTA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmo6907II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAGRAG'),
        'compsite': '(?P<Lmo911II>TAG[AG]AG)|(?P<Lmo911II_as>CT[CT]CTA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmo911II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTATCC'),
        'compsite': '(?P<LmoH7I>GTATCC)|(?P<LmoH7I_as>GGATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LmoH7I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<Lmu60I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lmu60I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGRAG'),
        'compsite': '(?P<Lpl116III>CAG[AG]AG)|(?P<Lpl116III_as>CT[CT]CTG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lpl116III'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<LplI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LplI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'RGCGCY'),
        'compsite': '(?P<LpnI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LpnI'] = _temp()


def _temp():
    return {
        'charac': (14, 14, None, None, 'CCDG'),
        'compsite': '(?P<LpnPI>CC[AGT]G)|(?P<LpnPI_as>C[ACT]GG)',
        'dna': None,
        'freq': 85.33333333333333,
        'fst3': 14,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCDG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['LpnPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<LsaM18I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LsaM18I'] = _temp()


def _temp():
    return {
        'charac': (13, 12, None, None, 'GCAGC'),
        'compsite': '(?P<Lsp1109I>GCAGC)|(?P<Lsp1109I_as>GCTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 12,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Lsp1109I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Lsp1109II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lsp1109II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RCATGY'),
        'compsite': '(?P<Lsp1270I>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lsp1270I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCACC'),
        'compsite': '(?P<Lsp48III>AGCACC)|(?P<Lsp48III_as>GGTGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lsp48III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRAGCAC'),
        'compsite': '(?P<Lsp6406VI>C[AG]AGCAC)|(?P<Lsp6406VI_as>GTGCT[CT]G)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRAGCAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Lsp6406VI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<LspI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['LspI'] = _temp()


def _temp():
    return {
        'charac': (10, 9, None, None, 'GCATC'),
        'compsite': '(?P<LweI>GCATC)|(?P<LweI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['LweI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCWGGT'),
        'compsite': '(?P<MabI>ACC[AT]GGT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCWGGT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['MabI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<Mae7806III>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mae7806III'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<MaeI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['MaeI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACGT'),
        'compsite': '(?P<MaeII>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['MaeII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GTNAC'),
        'compsite': '(?P<MaeIII>GT.AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('M', 'S'),
    }


rest_dict['MaeIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<MaeK81I>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MaeK81I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<MaeK81II>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MaeK81II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Maf25II>CACGCAG)|(?P<Maf25II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Maf25II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GATC'),
        'compsite': '(?P<MalI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['MalI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GATNNNNATC'),
        'compsite': '(?P<MamI>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MamI'] = _temp()


def _temp():
    return {
        'charac': (28, 19, None, None, 'CRTTGAC'),
        'compsite': '(?P<MaqI>C[AG]TTGAC)|(?P<MaqI_as>GTCAA[CT]G)',
        'dna': None,
        'freq': 8192.0,
        'fst3': 19,
        'fst5': 28,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRTTGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MaqI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<MarI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MarI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<MauAI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MauAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCGCGCG'),
        'compsite': '(?P<MauBI>CGCGCGCG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCGCGCG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['MauBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<MauI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MauI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<MavI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MavI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCGA'),
        'compsite': '(?P<Mba11I>AGGCGA)|(?P<Mba11I_as>TCGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mba11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<MbaR4I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MbaR4I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCGCTC'),
        'compsite': '(?P<MbiI>CCGCTC)|(?P<MbiI_as>GAGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['MbiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mbo26II>CACGCAG)|(?P<Mbo26II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mbo26II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mbo30II>CACGCAG)|(?P<Mbo30II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mbo30II'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<MboI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'K', 'N', 'Q', 'R', 'X', 'Y'),
    }


rest_dict['MboI'] = _temp()


def _temp():
    return {
        'charac': (13, 7, None, None, 'GAAGA'),
        'compsite': '(?P<MboII>GAAGA)|(?P<MboII_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'N', 'Q', 'R', 'V', 'X'),
    }


rest_dict['MboII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<McaAI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['McaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATC'),
        'compsite': '(?P<McaCI>CCATC)|(?P<McaCI_as>GATGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['McaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<McaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['McaI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCGCGC'),
        'compsite': '(?P<McaTI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['McaTI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGGCCGC'),
        'compsite': '(?P<MchAI>GCGGCCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGCCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MchAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<MchAII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MchAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGGAG'),
        'compsite': '(?P<MchCM4I>GAGGAG)|(?P<MchCM4I_as>CTCCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MchCM4I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<MchI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MchI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGNNNNNCTC'),
        'compsite': '(?P<Mcr10I>GAAG.....CTC)|(?P<Mcr10I_as>GAG.....CTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGNNNNNCTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mcr10I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGRYCG'),
        'compsite': '(?P<McrI>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'RY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['McrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MecI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MecI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel2TI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel2TI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel3JI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel3JI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel4OI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel4OI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel5JI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel5JI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel5OI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel5OI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel5TI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel5TI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mel7JI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mel7JI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MeuI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MeuI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CAATTG'),
        'compsite': '(?P<MfeI>CAATTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAATTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['MfeI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<MflI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['MflI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<MfoAI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MfoAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<MfoI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MfoI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<Mgl14481I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mgl14481I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<MgoI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MgoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<Mha185III>CTGAAG)|(?P<Mha185III_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mha185III'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<MhaAI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MhaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MhaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MhaI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<MhlI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['MhlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<Mho2111I>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mho2111I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<Mho2965I>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mho2965I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<MhoI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MhoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<MisI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MisI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<MizI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MizI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<MjaI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MjaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<MjaII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MjaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MjaIII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MjaIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTNNAC'),
        'compsite': '(?P<MjaIV>GT..AC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTNNAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MjaIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAC'),
        'compsite': '(?P<MjaV>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MjaV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGAYGT'),
        'compsite': '(?P<MkaDII>GAGA[CT]GT)|(?P<MkaDII_as>AC[AG]TCTC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGAYGT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MkaDII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<MkiI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MkiI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<MkrAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MkrAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<MkrI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MkrI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<MlaAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MlaAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<MlaI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MlaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<MleI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MleI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<MliI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MliI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<MlsI>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['MlsI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AGCT'),
        'compsite': '(?P<MltI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MltI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGGWCCY'),
        'compsite': '(?P<Mlu1106I>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu1106I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Mlu2300I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu2300I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Mlu23I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu23I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<Mlu31I>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<Mlu40I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<Mlu9273I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu9273I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Mlu9273II>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mlu9273II'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<MluB2I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MluB2I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'AATT'),
        'compsite': '(?P<MluCI>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MluCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACGCGT'),
        'compsite': '(?P<MluI>ACGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['MluI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<MluNI>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['MluNI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<Mly113I>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Mly113I'] = _temp()


def _temp():
    return {
        'charac': (10, 5, None, None, 'GAGTC'),
        'compsite': '(?P<MlyI>GAGTC)|(?P<MlyI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MlyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<MmaI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmaI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'TCCRAC'),
        'compsite': '(?P<MmeI>TCC[AG]AC)|(?P<MmeI_as>GT[CT]GGA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N', 'X'),
    }


rest_dict['MmeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MmeII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmeII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<MmoSTI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmoSTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mmu5I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mmu5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MmuP2I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmuP2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGAG'),
        'compsite': '(?P<MmyCI>TGAG)|(?P<MmyCI_as>CTCA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmyCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATC'),
        'compsite': '(?P<MmyCVI>CCATC)|(?P<MmyCVI_as>GATGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MmyCVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<MniI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MniI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<MniII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MniII'] = _temp()


def _temp():
    return {
        'charac': (11, 6, None, None, 'CCTC'),
        'compsite': '(?P<MnlI>CCTC)|(?P<MnlI_as>GAGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 6,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'N', 'Q', 'V', 'X'),
    }


rest_dict['MnlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTYRAC'),
        'compsite': '(?P<MnnI>GT[CT][AG]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYRAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MnnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<MnnII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MnnII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<MnnIV>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MnnIV'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<MnoI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MnoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MnoIII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MnoIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MosI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MosI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<Mox20I>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Mox20I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<Mph1103I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Mph1103I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mph1103II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mph1103II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<MphI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MphI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Mpr154I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mpr154I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<MpsI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MpsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MpuI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MpuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<MraI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MraI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCCGGCG'),
        'compsite': '(?P<MreI>CGCCGGCG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCGGCG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['MreI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MrhI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MrhI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<MroI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'O'),
    }


rest_dict['MroI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<MroNI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['MroNI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<MroXI>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['MroXI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<MsaI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MsaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MscAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MscAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<MscI>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N', 'O'),
    }


rest_dict['MscI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TTAA'),
        'compsite': '(?P<MseI>TTAA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTAA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MseI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<MsiI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MsiI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CAYNNNNRTG'),
        'compsite': '(?P<MslI>CA[CT]....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNRTG',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MslI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Msp11I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGGCCA'),
        'compsite': '(?P<Msp16I>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp16I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<Msp17I>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Msp199I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp199I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGGCCA'),
        'compsite': '(?P<Msp20I>TGGCCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['Msp20I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCTAGA'),
        'compsite': '(?P<Msp23I>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Msp23II>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp23II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Msp24I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp24I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCNGG'),
        'compsite': '(?P<Msp67I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp67I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Msp67II>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Msp67II'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CMGCKG'),
        'compsite': '(?P<MspA1I>C[AC]GC[GT]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CMGCKG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'R', 'V'),
    }


rest_dict['MspA1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<MspAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<MspAK21I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspAK21I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<MspB4I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspB4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MspBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<MspCI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['MspCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCGCC'),
        'compsite': '(?P<MspCY2I>AGCGCC)|(?P<MspCY2I_as>GGCGCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspCY2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<MspI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'J', 'K', 'N', 'Q', 'R', 'V', 'X'),
    }


rest_dict['MspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGRAG'),
        'compsite': '(?P<MspI7II>ACG[AG]AG)|(?P<MspI7II_as>CT[CT]CGT)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspI7II'] = _temp()


def _temp():
    return {
        'charac': (13, 13, None, None, 'CNNR'),
        'compsite': '(?P<MspJI>C..[AG])|(?P<MspJI_as>[CT]..G)',
        'dna': None,
        'freq': 8.0,
        'fst3': 13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CNNR',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MspJI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<MspNI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<MspNII>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspNII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCNGG'),
        'compsite': '(?P<MspR9I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['MspR9I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ATTTAAAT'),
        'compsite': '(?P<MspSWI>ATTTAAAT)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTTAAAT',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspSWI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GWGCWC'),
        'compsite': '(?P<MspV281I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'WGCW',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspV281I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'YACGTR'),
        'compsite': '(?P<MspYI>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MspYI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GTTTAAAC'),
        'compsite': '(?P<MssI>GTTTAAAC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTTAAAC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['MssI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<MstI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MstI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<MstII>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MstII'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<Mte37I>C)|(?P<Mte37I_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mte37I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCGCNGCGC'),
        'compsite': '(?P<MteI>GCGC.GCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCNGCGC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['MteI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Mth1047I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mth1047I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MthAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<MthBI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<MthFI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<MthI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<MthTI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthTI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<MthZI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MthZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu18II>CACGCAG)|(?P<Mtu18II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu18II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu22115I>CACGCAG)|(?P<Mtu22115I_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu22115I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu2242II>CACGCAG)|(?P<Mtu2242II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu2242II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu2279II>CACGCAG)|(?P<Mtu2279II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu2279II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu26105I>CACGCAG)|(?P<Mtu26105I_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu26105I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<Mtu37004I>CACGCAG)|(?P<Mtu37004I_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mtu37004I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<MtuBlII>CACGCAG)|(?P<MtuBlII_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MtuBlII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGCAG'),
        'compsite': '(?P<MtuHN878II>CACGCAG)|(?P<MtuHN878II_as>CTGCGTG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MtuHN878II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CAATTG'),
        'compsite': '(?P<MunI>CAATTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAATTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K', 'M', 'S'),
    }


rest_dict['MunI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<Mva1269I>GAATGC)|(?P<Mva1269I_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Mva1269I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATC'),
        'compsite': '(?P<Mva1312II>GCATC)|(?P<Mva1312II_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mva1312II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Mva16I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Mva16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<MvaAI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvaAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<MvaI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B', 'M'),
    }


rest_dict['MvaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<MvnI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('M',),
    }


rest_dict['MvnI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<MvrI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsAI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsBI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsCI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsDI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsEI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<MvsI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MvsI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTAAC'),
        'compsite': '(?P<MwhI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MwhI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCNNNNNNNGC'),
        'compsite': '(?P<MwoI>GC.......GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNNNNNNGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['MwoI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GAGCTC'),
        'compsite': '(?P<MxaI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MxaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<MziI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['MziI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<NaeI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C', 'K', 'N'),
    }


rest_dict['NaeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCAGC'),
        'compsite': '(?P<Nal45188II>ACCAGC)|(?P<Nal45188II_as>GCTGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nal45188II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<NamI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NamI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<NanI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NanI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NanII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NanII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGRAG'),
        'compsite': '(?P<Nar7I>CTG[AG]AG)|(?P<Nar7I_as>CT[CT]CAG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nar7I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<NarI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NarI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<NasBI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NasBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<NasI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NasI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<NasSI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NasSI'] = _temp()


def _temp():
    return {
        'charac': (0, -2, 0, 0, 'CCTCAGC'),
        'compsite': '(?P<Nb_BbvCI>CCTCAGC)|(?P<Nb_BbvCI_as>GCTGAGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -2,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCTCA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCTCAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nb_BbvCI'] = _temp()


def _temp():
    return {
        'charac': (0, -2, 0, 0, 'CCTNAGC'),
        'compsite': '(?P<Nb_Bpu10I>CCT.AGC)|(?P<Nb_Bpu10I_as>GCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCTNA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Nb_Bpu10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Nb_BsaI>GGTCTC)|(?P<Nb_BsaI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nb_BsaI'] = _temp()


def _temp():
    return {
        'charac': (0, 5, 0, 0, 'GTCTC'),
        'compsite': '(?P<Nb_BsmAI>GTCTC)|(?P<Nb_BsmAI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -10,
        'ovhgseq': 'GTCTCNNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nb_BsmAI'] = _temp()


def _temp():
    return {
        'charac': (0, -1, 0, 0, 'GAATGC'),
        'compsite': '(?P<Nb_BsmI>GAATGC)|(?P<Nb_BsmI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GAATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nb_BsmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTCTTC'),
        'compsite': '(?P<Nb_BspQI>GCTCTTC)|(?P<Nb_BspQI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nb_BspQI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, 0, 0, 'GCAATG'),
        'compsite': '(?P<Nb_BsrDI>GCAATG)|(?P<Nb_BsrDI_as>CATTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -6,
        'ovhgseq': 'GCAATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GCAATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nb_BsrDI'] = _temp()


def _temp():
    return {
        'charac': (0, -1, 0, 0, 'CACGAG'),
        'compsite': '(?P<Nb_BssSI>CACGAG)|(?P<Nb_BssSI_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CACGA',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nb_BssSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<Nb_BtsCI>GGATG)|(?P<Nb_BtsCI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nb_BtsCI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, 0, 0, 'GCAGTG'),
        'compsite': '(?P<Nb_BtsI>GCAGTG)|(?P<Nb_BtsI_as>CACTGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -6,
        'ovhgseq': 'GCAGTG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GCAGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nb_BtsI'] = _temp()


def _temp():
    return {
        'charac': (0, -1, 0, 0, 'GAATGC'),
        'compsite': '(?P<Nb_Mva1269I>GAATGC)|(?P<Nb_Mva1269I_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GAATG',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Nb_Mva1269I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTCTTC'),
        'compsite': '(?P<Nb_SapI>GCTCTTC)|(?P<Nb_SapI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nb_SapI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NbaI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NbaI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<NblI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NblI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACCGAC'),
        'compsite': '(?P<Nbr128II>ACCGAC)|(?P<Nbr128II_as>GTCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nbr128II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NbrI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NbrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<NcaI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NcaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NciAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NciAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCSGG'),
        'compsite': '(?P<NciI>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'S',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('J', 'N', 'R'),
    }


rest_dict['NciI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCATGG'),
        'compsite': '(?P<NcoI>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X', 'Y'),
    }


rest_dict['NcoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AGATCT'),
        'compsite': '(?P<NcrI>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NcrI'] = _temp()


def _temp():
    return {
        'charac': (13, 7, None, None, 'GAAGA'),
        'compsite': '(?P<NcuI>GAAGA)|(?P<NcuI_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NcuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCG'),
        'compsite': '(?P<NcuII>CCCG)|(?P<NcuII_as>CGGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NcuII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<NdaI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NdaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CATATG'),
        'compsite': '(?P<NdeI>CATATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NdeI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<NdeII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('J', 'M'),
    }


rest_dict['NdeII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<NflAI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NflAII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NflBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGGAG'),
        'compsite': '(?P<NflHI>GCGGAG)|(?P<NflHI_as>CTCCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<NflHII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NflI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NflI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<NgbI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgbI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoAI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NgoAII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoAIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<NgoAIV>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NgoAVI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAVI'] = _temp()


def _temp():
    return {
        'charac': (12, 7, None, None, 'GCCGC'),
        'compsite': '(?P<NgoAVII>GCCGC)|(?P<NgoAVII_as>GCGGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 7,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAVII'] = _temp()


def _temp():
    return {
        'charac': (-12, -25, 24, 11, 'GACNNNNNTGA'),
        'compsite': '(?P<NgoAVIII>GAC.....TGA)|(?P<NgoAVIII_as>TCA.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -25,
        'fst5': -12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 11,
        'scd5': 24,
        'site': 'GACNNNNNTGA',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCACC'),
        'compsite': '(?P<NgoAX>CCACC)|(?P<NgoAX_as>GGTGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCACC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAX'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTGA'),
        'compsite': '(?P<NgoAXVI>GGTGA)|(?P<NgoAXVI_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoAXVI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoBI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<NgoBV>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoBV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTGA'),
        'compsite': '(?P<NgoBVIII>GGTGA)|(?P<NgoBVIII_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoBVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoCI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NgoCII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoCII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoDIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoDIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTGA'),
        'compsite': '(?P<NgoDVIII>GGTGA)|(?P<NgoDVIII_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoDVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NgoDXIV>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoDXIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGC'),
        'compsite': '(?P<NgoEII>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoEII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCSGC'),
        'compsite': '(?P<NgoFVII>GC[CG]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCSGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoFVII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoGI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoGIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoGIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<NgoGV>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoGV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoJI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoJIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoJIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTGA'),
        'compsite': '(?P<NgoJVIII>GGTGA)|(?P<NgoJVIII_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoJVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoKIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoKIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoMI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoMIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoMIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<NgoMIV>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['NgoMIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<NgoMV>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoMV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTGA'),
        'compsite': '(?P<NgoMVIII>GGTGA)|(?P<NgoMVIII_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoMVIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCACC'),
        'compsite': '(?P<NgoMX>CCACC)|(?P<NgoMX_as>GGTGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCACC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoMX'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NgoNII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoNII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<NgoPII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoPII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<NgoPIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoPIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NgoSII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoSII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NgoTII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoTII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGCGCY'),
        'compsite': '(?P<NgoWI>[AG]GCGC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGCGCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NgoWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAAGRAG'),
        'compsite': '(?P<NhaXI>CAAG[AG]AG)|(?P<NhaXI_as>CT[CT]CTTG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAAGRAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NhaXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCTAGC'),
        'compsite': '(?P<NheI>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NheI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<NhoI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NhoI'] = _temp()


def _temp():
    return {
        'charac': (25, 17, None, None, 'CATCAC'),
        'compsite': '(?P<NlaCI>CATCAC)|(?P<NlaCI_as>GTGATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 17,
        'fst5': 25,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NlaDI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<NlaDII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaDII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NlaDIII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaDIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<NlaI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<NlaII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CATG'),
        'compsite': '(?P<NlaIII>CATG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['NlaIII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<NlaIV>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['NlaIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<NlaSI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<NlaSII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NlaSII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CYCGRG'),
        'compsite': '(?P<Nli3877I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nli3877I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Nli3877II>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nli3877II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<NliI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NliII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NliII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NmeAII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeAII'] = _temp()


def _temp():
    return {
        'charac': (27, 19, None, None, 'GCCGAG'),
        'compsite': '(?P<NmeAIII>GCCGAG)|(?P<NmeAIII_as>CTCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 19,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['NmeAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGC'),
        'compsite': '(?P<NmeBI>GACGC)|(?P<NmeBI_as>GCGTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NmeBL859I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeBL859I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<NmeCI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeCI'] = _temp()


def _temp():
    return {
        'charac': (-12, -13, 13, 12, 'RCCGGY'),
        'compsite': '(?P<NmeDI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -13,
        'fst5': -12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 12,
        'scd5': 13,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeDI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<NmeRI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<NmeSI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmeSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<NmiI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<NmuAI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NmuAII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuAII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GTSAC'),
        'compsite': '(?P<NmuCI>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTSAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['NmuCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NmuDI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NmuEI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<NmuEII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuEII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NmuFI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NmuI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<NmuSI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NmuSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<NocI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NocI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<NopI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NopI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCGGCCGC'),
        'compsite': '(?P<NotI>GCGGCCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGCCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NotI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<NovII>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NovII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCGAC'),
        'compsite': '(?P<NpeUS61II>GATCGAC)|(?P<NpeUS61II_as>GTCGATC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NpeUS61II'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<NphI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NphI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<NruGI>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NruGI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<NruI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NruI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<NsbI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['NsbI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NsiAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsiAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<NsiCI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsiCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GANTC'),
        'compsite': '(?P<NsiHI>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsiHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<NsiI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['NsiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<NsoJS138I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsoJS138I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Nsp29132I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nsp29132I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Nsp29132II>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nsp29132II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Nsp7121I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nsp7121I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NspAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<NspBI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CMGCKG'),
        'compsite': '(?P<NspBII>C[AC]GC[GT]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CMGCKG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspBII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<NspDI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NspDII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspDII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<NspEI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<NspFI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NspGI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspGI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<NspHI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NspHII>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspHII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<NspHIII>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspHIII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<NspI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['NspI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<NspII>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<NspIII>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<NspIV>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<NspJI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<NspKI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<NspLI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<NspLII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspLII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<NspLKI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspLKI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AGATCT'),
        'compsite': '(?P<NspMACI>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspMACI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGCGCA'),
        'compsite': '(?P<NspMI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspMI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<NspSAI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspSAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<NspSAII>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspSAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCATGG'),
        'compsite': '(?P<NspSAIII>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspSAIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<NspSAIV>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspSAIV'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<NspV>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('J',),
    }


rest_dict['NspV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NspWI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NspWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NsuDI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsuDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<NsuI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NsuI'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GGATC'),
        'compsite': '(?P<Nt_AlwI>GGATC)|(?P<Nt_AlwI_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GGATCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nt_AlwI'] = _temp()


def _temp():
    return {
        'charac': (2, 0, 0, 0, 'CCTCAGC'),
        'compsite': '(?P<Nt_BbvCI>CCTCAGC)|(?P<Nt_BbvCI_as>GCTGAGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 0,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCTCAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nt_BbvCI'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_BhaIII>GAGTC)|(?P<Nt_BhaIII_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GAGTCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BhaIII'] = _temp()


def _temp():
    return {
        'charac': (2, 0, 0, 0, 'CCTNAGC'),
        'compsite': '(?P<Nt_Bpu10I>CCT.AGC)|(?P<Nt_Bpu10I_as>GCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Nt_Bpu10I'] = _temp()


def _temp():
    return {
        'charac': (2, 0, 0, 0, 'CCTNAGC'),
        'compsite': '(?P<Nt_Bpu10IB>CCT.AGC)|(?P<Nt_Bpu10IB_as>GCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CC',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_Bpu10IB'] = _temp()


def _temp():
    return {
        'charac': (7, 0, 0, 0, 'GGTCTC'),
        'compsite': '(?P<Nt_BsaI>GGTCTC)|(?P<Nt_BsaI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 7,
        'ovhgseq': 'GGTCTCN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BsaI'] = _temp()


def _temp():
    return {
        'charac': (6, 0, 0, 0, 'GTCTC'),
        'compsite': '(?P<Nt_BsmAI>GTCTC)|(?P<Nt_BsmAI_as>GAGAC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 6,
        'ovhgseq': 'GTCTCN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GTCTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nt_BsmAI'] = _temp()


def _temp():
    return {
        'charac': (7, 0, 0, 0, 'CGTCTC'),
        'compsite': '(?P<Nt_BsmBI>CGTCTC)|(?P<Nt_BsmBI_as>GAGACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 0,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 7,
        'ovhgseq': 'CGTCTCN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BsmBI'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_BspD6I>GAGTC)|(?P<Nt_BspD6I_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GAGTCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BspD6I'] = _temp()


def _temp():
    return {
        'charac': (8, 0, 0, 0, 'GCTCTTC'),
        'compsite': '(?P<Nt_BspQI>GCTCTTC)|(?P<Nt_BspQI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 0,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 8,
        'ovhgseq': 'GCTCTTCN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nt_BspQI'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_Bst9I>GAGTC)|(?P<Nt_Bst9I_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GAGTCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Nt_Bst9I'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_BstNBI>GAGTC)|(?P<Nt_BstNBI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GAGTCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Nt_BstNBI'] = _temp()


def _temp():
    return {
        'charac': (9, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_BstSEI>GAGTC)|(?P<Nt_BstSEI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 9,
        'ovhgseq': 'GAGTCNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BstSEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<Nt_BtsCI>GGATG)|(?P<Nt_BtsCI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_BtsCI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, 0, 0, 'CCD'),
        'compsite': '(?P<Nt_CviPII>CC[AGT])|(?P<Nt_CviPII_as>[ACT]GG)',
        'dna': None,
        'freq': 21.333333333333332,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'CCD',
        'size': 3,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_CviPII'] = _temp()


def _temp():
    return {
        'charac': (1, 0, 0, 0, 'RAG'),
        'compsite': '(?P<Nt_CviQII>[AG]AG)|(?P<Nt_CviQII_as>CT[CT])',
        'dna': None,
        'freq': 32.0,
        'fst3': 0,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'R',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'RAG',
        'size': 3,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_CviQII'] = _temp()


def _temp():
    return {
        'charac': (1, 0, 0, 0, 'RAG'),
        'compsite': '(?P<Nt_CviQXI>[AG]AG)|(?P<Nt_CviQXI_as>CT[CT])',
        'dna': None,
        'freq': 32.0,
        'fst3': 0,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'R',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'RAG',
        'size': 3,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_CviQXI'] = _temp()


def _temp():
    return {
        'charac': (10, 0, 0, 0, 'GAGTC'),
        'compsite': '(?P<Nt_MlyI>GAGTC)|(?P<Nt_MlyI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 10,
        'ovhgseq': 'GAGTCNNNNN',
        'results': None,
        'scd3': 0,
        'scd5': 0,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_MlyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTCTTC'),
        'compsite': '(?P<Nt_SapI>GCTCTTC)|(?P<Nt_SapI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Nt_SapI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<NtaI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NtaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<NtaSI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NtaSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<NtaSII>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NtaSII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<NunII>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['NunII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<OchI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OchI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<OcoI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OcoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<OfoI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OfoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<OkrAI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OkrAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CACNNNNGTG'),
        'compsite': '(?P<OliI>CAC....GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACNNNNGTG',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['OliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<OmiAI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OmiAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<OmiBI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OmiBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTMKAC'),
        'compsite': '(?P<OmiBII>GT[AC][GT]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTMKAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OmiBII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YAGGAG'),
        'compsite': '(?P<OspHL35III>[CT]AGGAG)|(?P<OspHL35III_as>CTCCT[AG])',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OspHL35III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<OspI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<OtuI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OtuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<OtuNI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OtuNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<OxaI>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OxaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<OxaNI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['OxaNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTGCAGGCAATATCCGGCGTAGTGCCGGAATGCGTCAG'),
        'compsite': '(?P<PI_AvaI>GTTGCAGGCAATATCCGGCGTAGTGCCGGAATGCGTCAG)|(?P<PI_AvaI_as>CTGACGCATTCCGGCACTACGCCGGATATTGCCTGCAAC)',
        'dna': None,
        'freq': 3.022314549036573e+23,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTGCAGGCAATATCCGGCGTAGTGCCGGAATGCGTCAG',
        'size': 39,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_AvaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGGGAAAAAGCCAGTGGGTTCGAAGAGTCTATG'),
        'compsite': '(?P<PI_BciPI>TGGGAAAAAGCCAGTGGGTTCGAAGAGTCTATG)|(?P<PI_BciPI_as>CATAGACTCTTCGAACCCACTGGCTTTTTCCCA)',
        'dna': None,
        'freq': 7.378697629483821e+19,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGGAAAAAGCCAGTGGGTTCGAAGAGTCTATG',
        'size': 33,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_BciPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGGCCTACGGCGACACCGACAGCGTCATG'),
        'compsite': '(?P<PI_HvoWI>GTGGCCTACGGCGACACCGACAGCGTCATG)|(?P<PI_HvoWI_as>CATGACGCTGTCGGTGTCGCCGTAGGCCAC)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGGCCTACGGCGACACCGACAGCGTCATG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_HvoWI'] = _temp()


def _temp():
    return {
        'charac': (16, -10, None, None, 'CGTAGCTGCCCAGTATGAGTCA'),
        'compsite': '(?P<PI_MgaI>CGTAGCTGCCCAGTATGAGTCA)|(?P<PI_MgaI_as>TGACTCATACTGGGCAGCTACG)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -10,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTAGCTGCCCAGTATGAGTCA',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_MgaI'] = _temp()


def _temp():
    return {
        'charac': (0, 13, None, None, 'AGAAGATTGGGGTGATGATGTTCGGGTCTCCCGAAAC'),
        'compsite': '(?P<PI_MleSI>AGAAGATTGGGGTGATGATGTTCGGGTCTCCCGAAAC)|(?P<PI_MleSI_as>GTTTCGGGAGACCCGAACATCATCACCCCAATCTTCT)',
        'dna': None,
        'freq': 1.888946593147858e+22,
        'fst3': 13,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -51,
        'ovhgseq': 'AGAAGATTGGGGTGATGATGTTCGGGTCTCCCGAAACNNNNNNNNNNNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGAAGATTGGGGTGATGATGTTCGGGTCTCCCGAAAC',
        'size': 37,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_MleSI'] = _temp()


def _temp():
    return {
        'charac': (21, -27, None, None, 'AACGCGGTCGGCAACCGCACCCGGGTCAC'),
        'compsite': '(?P<PI_MtuI>AACGCGGTCGGCAACCGCACCCGGGTCAC)|(?P<PI_MtuI_as>GTGACCCGGGTGCGGTTGCCGACCGCGTT)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -27,
        'fst5': 21,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 19,
        'ovhgseq': 'CGCGGTCGGCAACCGCACC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AACGCGGTCGGCAACCGCACCCGGGTCAC',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_MtuI'] = _temp()


def _temp():
    return {
        'charac': (13, -13, None, None, 'GGGGGCAGCCAGTGGTCCCGTT'),
        'compsite': '(?P<PI_PabI>GGGGGCAGCCAGTGGTCCCGTT)|(?P<PI_PabI_as>AACGGGACCACTGGCTGCCCCC)',
        'dna': None,
        'freq': 17592186044416.0,
        'fst3': -13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CAGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGGGCAGCCAGTGGTCCCGTT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PabI'] = _temp()


def _temp():
    return {
        'charac': (13, -14, None, None, 'ACCCCTGTGGAGAGGAGCCCCTC'),
        'compsite': '(?P<PI_PabII>ACCCCTGTGGAGAGGAGCCCCTC)|(?P<PI_PabII_as>GAGGGGCTCCTCTCCACAGGGGT)',
        'dna': None,
        'freq': 70368744177664.0,
        'fst3': -14,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GAGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCCCTGTGGAGAGGAGCCCCTC',
        'size': 23,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PabII'] = _temp()


def _temp():
    return {
        'charac': (16, -18, None, None, 'GAAGATGGGAGGAGGGACCGGACTCAACTT'),
        'compsite': '(?P<PI_PfuI>GAAGATGGGAGGAGGGACCGGACTCAACTT)|(?P<PI_PfuI_as>AAGTTGAGTCCGGTCCCTCCTCCCATCTTC)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -18,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGATGGGAGGAGGGACCGGACTCAACTT',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PfuI'] = _temp()


def _temp():
    return {
        'charac': (17, -16, None, None, 'ACGAATCCATGTGGAGAAGAGCCTCTATA'),
        'compsite': '(?P<PI_PfuII>ACGAATCCATGTGGAGAAGAGCCTCTATA)|(?P<PI_PfuII_as>TATAGAGGCTCTTCTCCACATGGATTCGT)',
        'dna': None,
        'freq': 2.8823037615171174e+17,
        'fst3': -16,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GAGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGAATCCATGTGGAGAAGAGCCTCTATA',
        'size': 29,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PfuII'] = _temp()


def _temp():
    return {
        'charac': (10, -13, None, None, 'GATTTTAGATCCCTGTACC'),
        'compsite': '(?P<PI_PkoI>GATTTTAGATCCCTGTACC)|(?P<PI_PkoI_as>GGTACAGGGATCTAAAATC)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -13,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATTTTAGATCCCTGTACC',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PkoI'] = _temp()


def _temp():
    return {
        'charac': (10, -9, None, None, 'CAGTACTACGGTTAC'),
        'compsite': '(?P<PI_PkoII>CAGTACTACGGTTAC)|(?P<PI_PkoII_as>GTAACCGTAGTACTG)',
        'dna': None,
        'freq': 1073741824.0,
        'fst3': -9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TACG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGTACTACGGTTAC',
        'size': 15,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_PkoII'] = _temp()


def _temp():
    return {
        'charac': (17, -17, None, None, 'TGGCAAACAGCTATTATGGGTATTATGGGT'),
        'compsite': '(?P<PI_PspI>TGGCAAACAGCTATTATGGGTATTATGGGT)|(?P<PI_PspI_as>ACCCATAATACCCATAATAGCTGTTTGCCA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': -17,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TTAT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGGCAAACAGCTATTATGGGTATTATGGGT',
        'size': 30,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PI_PspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TAAGTCGGGTGCGGAGAAAGAGGAAAAGAG'),
        'compsite': '(?P<PI_ScaI>TAAGTCGGGTGCGGAGAAAGAGGAAAAGAG)|(?P<PI_ScaI_as>CTCTTTTCCTCTTTCTCCGCACCCGACTTA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAAGTCGGGTGCGGAGAAAGAGGAAAAGAG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_ScaI'] = _temp()


def _temp():
    return {
        'charac': (15, -26, None, None, 'ATCTATGTCGGGTGCGGAGAAAGAGGTAATGAAATGG'),
        'compsite': '(?P<PI_SceI>ATCTATGTCGGGTGCGGAGAAAGAGGTAATGAAATGG)|(?P<PI_SceI_as>CCATTTCATTACCTCTTTCTCCGCACCCGACATAGAT)',
        'dna': None,
        'freq': 1.888946593147858e+22,
        'fst3': -26,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GTGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCTATGTCGGGTGCGGAGAAAGAGGTAATGAAATGG',
        'size': 37,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PI_SceI'] = _temp()


def _temp():
    return {
        'charac': (12, -18, None, None, 'TAGATTTTAGGTCGCTATATCCTTCC'),
        'compsite': '(?P<PI_TfuI>TAGATTTTAGGTCGCTATATCCTTCC)|(?P<PI_TfuI_as>GGAAGGATATAGCGACCTAAAATCTA)',
        'dna': None,
        'freq': 4503599627370496.0,
        'fst3': -18,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAGATTTTAGGTCGCTATATCCTTCC',
        'size': 26,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TfuI'] = _temp()


def _temp():
    return {
        'charac': (12, -14, None, None, 'TAYGCNGAYACNGACGGYTTYT'),
        'compsite': '(?P<PI_TfuII>TA[CT]GC.GA[CT]AC.GACGG[CT]TT[CT]T)|(?P<PI_TfuII_as>A[AG]AA[AG]CCGTC.GT[AG]TC.GC[AG]TA)',
        'dna': None,
        'freq': 68719476736.0,
        'fst3': -14,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'YACN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAYGCNGAYACNGACGGYTTYT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TfuII'] = _temp()


def _temp():
    return {
        'charac': (12, -14, None, None, 'TAYGCNGAYACNGACGGYTTYT'),
        'compsite': '(?P<PI_ThyI>TA[CT]GC.GA[CT]AC.GACGG[CT]TT[CT]T)|(?P<PI_ThyI_as>A[AG]AA[AG]CCGTC.GT[AG]TC.GC[AG]TA)',
        'dna': None,
        'freq': 68719476736.0,
        'fst3': -14,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'YACN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAYGCNGAYACNGACGGYTTYT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_ThyI'] = _temp()


def _temp():
    return {
        'charac': (17, -9, None, None, 'TAYGCNGAYACNGACGGYTTYT'),
        'compsite': '(?P<PI_TliI>TA[CT]GC.GA[CT]AC.GACGG[CT]TT[CT]T)|(?P<PI_TliI_as>A[AG]AA[AG]CCGTC.GT[AG]TC.GC[AG]TA)',
        'dna': None,
        'freq': 68719476736.0,
        'fst3': -9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TAYGCNGAYACNGACGGYTTYT',
        'size': 22,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAATTGCTTGCAAACAGCTATTACGGCTAT'),
        'compsite': '(?P<PI_TliII>AAATTGCTTGCAAACAGCTATTACGGCTAT)|(?P<PI_TliII_as>ATAGCCGTAATAGCTGTTTGCAAGCAATTT)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAATTGCTTGCAAACAGCTATTACGGCTAT',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TliII'] = _temp()


def _temp():
    return {
        'charac': (13, -10, None, None, 'GAACAGTTACTACGGCTAC'),
        'compsite': '(?P<PI_TmaI>GAACAGTTACTACGGCTAC)|(?P<PI_TmaI_as>GTAGCCGTAGTAACTGTTC)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -10,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAACAGTTACTACGGCTAC',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TmaI'] = _temp()


def _temp():
    return {
        'charac': (13, -10, None, None, 'GAACAGTTACTACGGCTAC'),
        'compsite': '(?P<PI_TmaKI>GAACAGTTACTACGGCTAC)|(?P<PI_TmaKI_as>GTAGCCGTAGTAACTGTTC)',
        'dna': None,
        'freq': 274877906944.0,
        'fst3': -10,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAACAGTTACTACGGCTAC',
        'size': 19,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_TmaKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTTGGTTGTGGTGAAAGAGGAAAAGAG'),
        'compsite': '(?P<PI_ZbaI>TACGTTGGTTGTGGTGAAAGAGGAAAAGAG)|(?P<PI_ZbaI_as>CTCTTTTCCTCTTTCACCACAACCAACGTA)',
        'dna': None,
        'freq': 1.152921504606847e+18,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTTGGTTGTGGTGAAAGAGGAAAAGAG',
        'size': 30,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PI_ZbaI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTAC'),
        'compsite': '(?P<PabI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PabI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Pac1110I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pac1110I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Pac1110II>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pac1110II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTTGA'),
        'compsite': '(?P<Pac19842II>CCTTGA)|(?P<Pac19842II_as>TCAAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTTGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pac19842II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<Pac25I>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pac25I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'TTAATTAA'),
        'compsite': '(?P<PacI>TTAATTAA)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTAATTAA',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B', 'N', 'O'),
    }


rest_dict['PacI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTAATC'),
        'compsite': '(?P<PacIII>GTAATC)|(?P<PacIII_as>GATTAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PacIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae14I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae14I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae14kI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae14kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae15I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Pae177I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae177I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae17I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae17I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Pae17kI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae17kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Pae181I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae181I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AGATCT'),
        'compsite': '(?P<Pae18kI>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae18kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae22I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae24I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae25I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae26I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae26I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AGATCT'),
        'compsite': '(?P<Pae2kI>AGATCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGATCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae2kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae36I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae39I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae40I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae41I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae42I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae43I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae44I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae44I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae5kI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae5kI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pae7I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae8I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pae9I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pae9I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<PaeAI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCCGGG'),
        'compsite': '(?P<PaeBI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<PaeCI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeCI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<PaeHI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<PaeHII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeHII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<PaeI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PaeI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNNGC'),
        'compsite': '(?P<PaePS50I>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaePS50I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<PaeQI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaeQI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<PaeR7I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PaeR7I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCATGA'),
        'compsite': '(?P<PagI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PagI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<PaiI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PaiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCRTGAG'),
        'compsite': '(?P<Pal408I>CC[AG]TGAG)|(?P<Pal408I_as>CTCA[CT]GG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRTGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pal408I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCGCC'),
        'compsite': '(?P<PalAI>GGCGCGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCGCC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PalAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<PalI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PalI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCATGG'),
        'compsite': '(?P<Pam7686I>CCATGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCATGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pam7686I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNNGC'),
        'compsite': '(?P<Pam7902I>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pam7902I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<PamI>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PamI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GRCGYC'),
        'compsite': '(?P<PamII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PamII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Pan13I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pan13I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<PanI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PanI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGATCA'),
        'compsite': '(?P<ParI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ParI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCCWGGG'),
        'compsite': '(?P<PasI>CCC[AT]GGG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCWGGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PasI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<PatAI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PatAI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<PatTI>C)|(?P<PatTI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PatTI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<PauAI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PauAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTTAAA'),
        'compsite': '(?P<PauAII>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PauAII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGCGC'),
        'compsite': '(?P<PauI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PauI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<PboCI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PboCI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<PbrTI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PbrTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATG'),
        'compsite': '(?P<PbuJKI>GGATG)|(?P<PbuJKI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PbuJKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<PbuMZI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PbuMZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Pca17AI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pca17AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<PcaII>GACGAG)|(?P<PcaII_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PcaII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<PceI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['PceI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACATGT'),
        'compsite': '(?P<PciI>ACATGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACATGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['PciI'] = _temp()


def _temp():
    return {
        'charac': (8, 4, None, None, 'GCTCTTC'),
        'compsite': '(?P<PciSI>GCTCTTC)|(?P<PciSI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 4,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PciSI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'WCGNNNNNNNCGW'),
        'compsite': '(?P<PcsI>[AT]CG.......CG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCGNNNNNNNCGW',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PcsI'] = _temp()


def _temp():
    return {
        'charac': (7, -1, None, None, 'GAATGC'),
        'compsite': '(?P<PctI>GAATGC)|(?P<PctI_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'CN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['PctI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Pde12I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pde12I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Pde133I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pde133I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<Pde137I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pde137I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGGNAG'),
        'compsite': '(?P<Pdi8503III>CCGG.AG)|(?P<Pdi8503III_as>CT.CCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGGNAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pdi8503III'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<PdiI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PdiI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<PdmI>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PdmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACCAC'),
        'compsite': '(?P<Pdu1735I>CACCAC)|(?P<Pdu1735I_as>GTGGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pdu1735I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Pei9403I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pei9403I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGT'),
        'compsite': '(?P<PenI>GCAGT)|(?P<PenI_as>ACTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PenI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGYRCC'),
        'compsite': '(?P<PfaAI>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GYRC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfaAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CATATG'),
        'compsite': '(?P<PfaAII>CATATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfaAII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<PfaAIII>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfaAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<PfaI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAWTC'),
        'compsite': '(?P<PfeI>GA[AT]TC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'AWT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAWTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PfeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGTAG'),
        'compsite': '(?P<Pfl1108I>TCGTAG)|(?P<Pfl1108I_as>CTACGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGTAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl1108I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Pfl1108II>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl1108II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Pfl16I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<Pfl18I>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl18I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Pfl19I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl19I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Pfl21I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<Pfl23I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl23I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<Pfl23II>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Pfl23II'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<Pfl27I>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pfl37I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl37I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Pfl67I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl67I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNNGC'),
        'compsite': '(?P<Pfl8569I>GC..GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNNGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl8569I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Pfl8I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfl8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<PflAI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PflAI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<PflBI>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PflBI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<PflFI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PflFI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<PflKI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PflKI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<PflMI>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PflMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<PflNI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PflNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<PflWI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PflWI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCNGGA'),
        'compsite': '(?P<PfoI>TCC.GGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCNGGA',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PfoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<Pfr12I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pfr12I'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<PfrCI>C)|(?P<PfrCI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfrCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTCNAC'),
        'compsite': '(?P<PfrUF1II>CTTC.AC)|(?P<PfrUF1II_as>GT.GAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTCNAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfrUF1II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTACG'),
        'compsite': '(?P<PfuNI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PfuNI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<PgaI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PgaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<Pgl34I>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pgl34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<PglI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PglI'] = _temp()


def _temp():
    return {
        'charac': (10, 9, None, None, 'GCATC'),
        'compsite': '(?P<PhaI>GCATC)|(?P<PhaI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PhaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<PhoI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PhoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCGGT'),
        'compsite': '(?P<PinAI>ACCGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCGGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['PinAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<PinBI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PinBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<PinBII>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PinBII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<PinI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PinI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCNGC'),
        'compsite': '(?P<PkrI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PkrI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<PlaAI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PlaAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTAC'),
        'compsite': '(?P<PlaAII>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PlaAII'] = _temp()


def _temp():
    return {
        'charac': (27, 19, None, None, 'CATCAG'),
        'compsite': '(?P<PlaDI>CATCAG)|(?P<PlaDI_as>CTGATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 19,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PlaDI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<PlaI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PlaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<PlaII>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PlaII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<Ple19I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Ple19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Ple214I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ple214I'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GAGTC'),
        'compsite': '(?P<PleI>GAGTC)|(?P<PleI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PleI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<PliI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCCGAC'),
        'compsite': '(?P<PliMI>CGCCGAC)|(?P<PliMI_as>GTCGGCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PliMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<PluI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PluI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGCGCC'),
        'compsite': '(?P<PluTI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PluTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pma44I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pma44I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<PmaCI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['PmaCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<PmaI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PmaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTCAGC'),
        'compsite': '(?P<PmdI>CCTCAGC)|(?P<PmdI_as>GCTGAGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTCAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PmdI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Pme35I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pme35I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<Pme55I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pme55I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<Pme5II>GACGAG)|(?P<Pme5II_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pme5II'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GTTTAAAC'),
        'compsite': '(?P<PmeI>GTTTAAAC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTTAAAC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PmeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGAG'),
        'compsite': '(?P<PmeS132I>GACGAG)|(?P<PmeS132I_as>CTCGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PmeS132I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<PmlI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PmlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<PmnI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PmnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<PmyI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PmyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<PntI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PntI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<PolI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PolI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<PovI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PovI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<PpaAI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpaAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCGA'),
        'compsite': '(?P<PpaAII>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpaAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<PpaI>GGTCTC)|(?P<PpaI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpaI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<PpeHI>C)|(?P<PpeHI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpeHI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GGGCCC'),
        'compsite': '(?P<PpeI>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Pph14I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Pph1579I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph1579I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Pph1773I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph1773I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pph2059I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph2059I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Pph2066I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph2066I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Pph288I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph288I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GWGCWC'),
        'compsite': '(?P<Pph3215I>G[AT]GC[AT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GWGCWC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pph3215I'] = _temp()


def _temp():
    return {
        'charac': (-7, -24, 25, 8, 'GAACNNNNNCTC'),
        'compsite': '(?P<PpiI>GAAC.....CTC)|(?P<PpiI_as>GAG.....GTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -24,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 8,
        'scd5': 25,
        'site': 'GAACNNNNNCTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Pps170I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pps170I'] = _temp()


def _temp():
    return {
        'charac': (9, 5, None, None, 'GAGTC'),
        'compsite': '(?P<PpsI>GAGTC)|(?P<PpsI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PpsI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ATGCAT'),
        'compsite': '(?P<Ppu10I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu10I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<Ppu111I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu111I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YACGTR'),
        'compsite': '(?P<Ppu11I>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACGTC'),
        'compsite': '(?P<Ppu1253I>GACGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu1253I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Ppu13I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Ppu20I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu20I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'YACGTR'),
        'compsite': '(?P<Ppu21I>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Ppu21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YACGTR'),
        'compsite': '(?P<Ppu6I>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ppu6I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<PpuAI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpuAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<PpuI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpuI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<PpuMI>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PpuMI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<PpuXI>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PpuXI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Pru2I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pru2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Pru4541I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pru4541I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Psb9879I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psb9879I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Psc27I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psc27I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Psc28I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psc28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<Psc2I>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psc2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACATGT'),
        'compsite': '(?P<PscI>ACATGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACATGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PscI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RCCGAAG'),
        'compsite': '(?P<Pse18267I>[AG]CCGAAG)|(?P<Pse18267I_as>CTTCGG[CT])',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGAAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pse18267I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<PseI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PseI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GACNNNNGTC'),
        'compsite': '(?P<PshAI>GAC....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNGTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('K', 'N'),
    }


rest_dict['PshAI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<PshBI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['PshBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<PshCI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PshCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<PshDI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PshDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<PshEI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PshEI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTATAA'),
        'compsite': '(?P<PsiI>TTATAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTATAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['PsiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGAAG'),
        'compsite': '(?P<Psp0357II>GCGAAG)|(?P<Psp0357II_as>CTTCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp0357II'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GGWCC'),
        'compsite': '(?P<Psp03I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp03I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<Psp1009I>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp1009I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRAGCAG'),
        'compsite': '(?P<Psp10HII>G[AG]AGCAG)|(?P<Psp10HII_as>CTGCT[CT]C)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRAGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp10HII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAGCTC'),
        'compsite': '(?P<Psp124BI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Psp124BI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AACGTT'),
        'compsite': '(?P<Psp1406I>AACGTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AACGTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Psp1406I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Psp23I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Psp28I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp28I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Psp29I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp29I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Psp30I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Psp31I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Psp32I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Psp33I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp33I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<Psp38I>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Psp39I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Psp3I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Psp46I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Psp4I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Psp56I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp56I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Psp5I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp5I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<Psp5II>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Psp5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Psp61I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp61I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<Psp6I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['Psp6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Psp89I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psp89I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<PspAI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCCGGG'),
        'compsite': '(?P<PspALI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspALI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<PspBI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CACGTG'),
        'compsite': '(?P<PspCI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['PspCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<PspDI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspDI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTNACC'),
        'compsite': '(?P<PspEI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTNAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['PspEI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCAGC'),
        'compsite': '(?P<PspFI>CCCAGC)|(?P<PspFI_as>GCTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PspFI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<PspGI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['PspGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<PspI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<PspLI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PspLI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGNNCC'),
        'compsite': '(?P<PspN4I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PspN4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<PspNI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGGCCC'),
        'compsite': '(?P<PspOMI>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['PspOMI'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CGCCCAR'),
        'compsite': '(?P<PspOMII>CGCCCA[AG])|(?P<PspOMII_as>[CT]TGGGCG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCCAR',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspOMII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<PspPI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['PspPI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'RGGWCCY'),
        'compsite': '(?P<PspPPI>[AG]GG[AT]CC[CT])',
        'dna': None,
        'freq': 2048.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGWCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PspPPI'] = _temp()


def _temp():
    return {
        'charac': (21, 13, None, None, 'CCYCAG'),
        'compsite': '(?P<PspPRI>CC[CT]CAG)|(?P<PspPRI_as>CTG[AG]GG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 13,
        'fst5': 21,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCYCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspPRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<PspSI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PspSI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'VCTCGAGB'),
        'compsite': '(?P<PspXI>[ACG]CTCGAG[CGT])',
        'dna': None,
        'freq': 7281.777777777777,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'VCTCGAGB',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I', 'N'),
    }


rest_dict['PspXI'] = _temp()


def _temp():
    return {
        'charac': (-7, -25, 25, 7, 'GAACNNNNNNTAC'),
        'compsite': '(?P<PsrI>GAAC......TAC)|(?P<PsrI_as>GTA......GTTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -25,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 25,
        'site': 'GAACNNNNNNTAC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PsrI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RGGNCCY'),
        'compsite': '(?P<PssI>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PssI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CNYACAC'),
        'compsite': '(?P<Pst14472I>C.[CT]ACAC)|(?P<Pst14472I_as>GTGT[AG].G)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CNYACAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pst14472I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCGAG'),
        'compsite': '(?P<Pst273I>GATCGAG)|(?P<Pst273I_as>CTCGATC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pst273I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<PstI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['PstI'] = _temp()


def _temp():
    return {
        'charac': (31, 27, None, None, 'CTGATG'),
        'compsite': '(?P<PstII>CTGATG)|(?P<PstII_as>CATCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 27,
        'fst5': 31,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PstII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCTAGC'),
        'compsite': '(?P<PstNHI>GCTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PstNHI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CAGNNNCTG'),
        'compsite': '(?P<PstNI>CAG...CTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGNNNCTG',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['PstNI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<Psu161I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Psu161I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'YACGTR'),
        'compsite': '(?P<PsuAI>[CT]ACGT[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YACGTR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PsuAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'BBCGD'),
        'compsite': '(?P<PsuGI>[CGT][CGT]CG[AGT])|(?P<PsuGI_as>[ACT]CG[ACG][ACG])',
        'dna': None,
        'freq': 37.925925925925924,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'BBCGD',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PsuGI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<PsuI>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PsuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRCCGGYG'),
        'compsite': '(?P<PsuNI>C[AG]CCGG[CT]G)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRCCGGYG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PsuNI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<PsyI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PsyI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCCGGA'),
        'compsite': '(?P<PtaI>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PtaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGCGC'),
        'compsite': '(?P<PteI>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['PteI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TGCGCA'),
        'compsite': '(?P<Pun14627I>TGCGCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGCGCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pun14627I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Pun14627II>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pun14627II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CYCGRG'),
        'compsite': '(?P<PunAI>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'YCGR',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PunAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<PunAII>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PunAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Pvu84I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pvu84I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Pvu84II>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Pvu84II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<PvuHKUI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PvuHKUI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<PvuI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['PvuI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<PvuII>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['PvuII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<PxyARI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PxyARI'] = _temp()


def _temp():
    return {
        'charac': (12, 9, None, None, 'C'),
        'compsite': '(?P<PxyI>C)|(?P<PxyI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 12,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PxyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<PxyJKI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PxyJKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<PxyMZI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['PxyMZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCGCC'),
        'compsite': '(?P<R1_BbrUI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_BbrUI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<R1_BsuMI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_BsuMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_Ssu11318I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_Ssu11318I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_Ssu2479I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_Ssu2479I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_Ssu4109I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_Ssu4109I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_Ssu4961I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_Ssu4961I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_Ssu8074I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_Ssu8074I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R1_SsuDAT1I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R1_SsuDAT1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<R2_BsuMI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_BsuMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_Ssu11318I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_Ssu11318I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_Ssu2479I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_Ssu2479I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_Ssu4109I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_Ssu4109I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_Ssu4961I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_Ssu4961I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_Ssu8074I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_Ssu8074I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<R2_SsuDAT1I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R2_SsuDAT1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<R3_BsuMI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['R3_BsuMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATC'),
        'compsite': '(?P<Ral8I>GGATC)|(?P<Ral8I_as>GATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ral8I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<RalF40I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RalF40I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<RaqI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RaqI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGAGH'),
        'compsite': '(?P<Rba2021I>CACGAG[ACT])|(?P<Rba2021I_as>[AGT]CTCGTG)',
        'dna': None,
        'freq': 5461.333333333333,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAGH',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rba2021I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCATGA'),
        'compsite': '(?P<RcaI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RcaI'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CATCGAC'),
        'compsite': '(?P<RceI>CATCGAC)|(?P<RceI_as>GTCGATG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATCGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RceI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCAG'),
        'compsite': '(?P<RdeGBI>CCGCAG)|(?P<RdeGBI_as>CTGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RdeGBI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'ACCCAG'),
        'compsite': '(?P<RdeGBII>ACCCAG)|(?P<RdeGBII_as>CTGGGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RdeGBII'] = _temp()


def _temp():
    return {
        'charac': (-9, -17, 17, 9, 'TGRYCA'),
        'compsite': '(?P<RdeGBIII>TG[AG][CT]CA)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -17,
        'fst5': -9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 9,
        'scd5': 17,
        'site': 'TGRYCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RdeGBIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<RdeR2I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RdeR2I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<Rfl17I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rfl17I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<RflFI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RflFI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<RflFII>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RflFII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCCAG'),
        'compsite': '(?P<RflFIII>CGCCAG)|(?P<RflFIII_as>CTGGCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RflFIII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCGATCGC'),
        'compsite': '(?P<RgaI>GCGATCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGATCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['RgaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCATGA'),
        'compsite': '(?P<RhcI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RhcI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<RheI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RheI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<RhpI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RhpI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<RhsI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RhsI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'GGCCGGCC'),
        'compsite': '(?P<RigI>GGCCGGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCCGGCC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['RigI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'VCW'),
        'compsite': '(?P<RlaI>[ACG]C[AT])|(?P<RlaI_as>[AT]G[CGT])',
        'dna': None,
        'freq': 10.666666666666666,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'VCW',
        'size': 3,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RlaI'] = _temp()


def _temp():
    return {
        'charac': (26, 18, None, None, 'ACACAG'),
        'compsite': '(?P<RlaII>ACACAG)|(?P<RlaII_as>CTGTGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 18,
        'fst5': 26,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACACAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RlaII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Rle69I>GGTCTC)|(?P<Rle69I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rle69I'] = _temp()


def _temp():
    return {
        'charac': (18, 9, None, None, 'CCCACA'),
        'compsite': '(?P<RleAI>CCCACA)|(?P<RleAI_as>TGTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RleAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Rlu1I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rlu1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<Rlu3I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rlu3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Rlu4I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rlu4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<RluI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RluI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Rma376I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma376I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma485I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma485I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma486I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma486I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma490I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma490I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma495I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma495I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Rma495II>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma495II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma496I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma496I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Rma496II>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma496II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma497I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma497I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Rma497II>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma497II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma500I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma500I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma501I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma501I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma503I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma503I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma506I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma506I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma509I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma509I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma510I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma510I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma515I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma515I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma516I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma516I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma517I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma517I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma518I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma518I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma519I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma519I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<Rma522I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma522I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Rma523I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rma523I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<RmaI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RmaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Rme21I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rme21I'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CGRGGAC'),
        'compsite': '(?P<RpaB5I>CG[AG]GGAC)|(?P<RpaB5I_as>GTCC[CT]CG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRGGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RpaB5I'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CCCGCAG'),
        'compsite': '(?P<RpaBI>CCCGCAG)|(?P<RpaBI_as>CTGCGGG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RpaBI'] = _temp()


def _temp():
    return {
        'charac': (18, 9, None, None, 'GTYGGAG'),
        'compsite': '(?P<RpaI>GT[CT]GGAG)|(?P<RpaI_as>CTCC[AG]AC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': 9,
        'fst5': 18,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTYGGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RpaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRTGGAG'),
        'compsite': '(?P<RpaTI>G[AG]TGGAG)|(?P<RpaTI_as>CTCCA[CT]C)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRTGGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RpaTI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<Rrh4273I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rrh4273I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<RrhI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RrhI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<RrhJ1I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RrhJ1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<RroI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RroI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<RruI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['RruI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTAC'),
        'compsite': '(?P<RsaI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'M', 'N', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['RsaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTAC'),
        'compsite': '(?P<RsaNI>GTAC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTAC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['RsaNI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CAYNNNNRTG'),
        'compsite': '(?P<RseI>CA[CT]....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNRTG',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['RseI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<RshI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RshI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<RshII>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RshII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGCAG'),
        'compsite': '(?P<Rsp008IV>ACGCAG)|(?P<Rsp008IV_as>CTGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rsp008IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCCAT'),
        'compsite': '(?P<Rsp008V>GCCCAT)|(?P<Rsp008V_as>ATGGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rsp008V'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<RspI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<RspLKI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspLKI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<RspLKII>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspLKII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTCGAG'),
        'compsite': '(?P<RspPBTS2III>CTTCGAG)|(?P<RspPBTS2III_as>CTCGAAG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTCGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspPBTS2III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<RspRSI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspRSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCATGA'),
        'compsite': '(?P<RspXI>TCATGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCATGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RspXI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGGWCCG'),
        'compsite': '(?P<Rsr2I>CGG[AT]CCG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGWCCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Rsr2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<RsrI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RsrI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGGWCCG'),
        'compsite': '(?P<RsrII>CGG[AT]CCG)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGWCCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N', 'Q', 'X'),
    }


rest_dict['RsrII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGAC'),
        'compsite': '(?P<Rtr20I>GAAGAC)|(?P<Rtr20I_as>GTCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rtr20I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<Rtr63I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Rtr63I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<RtrI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['RtrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SaaI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SaaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SabI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SabI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SacAI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SacAI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAGCTC'),
        'compsite': '(?P<SacI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['SacI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SacII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'N', 'O', 'Q', 'R', 'X'),
    }


rest_dict['SacII'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GRGCYC'),
        'compsite': '(?P<SacNI>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'RGCY',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SacNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAATNAG'),
        'compsite': '(?P<Saf8902III>CAAT.AG)|(?P<Saf8902III_as>CT.ATTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAATNAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Saf8902III'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Sag16I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sag16I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Sag23I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sag23I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<SagI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SagI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGTC'),
        'compsite': '(?P<SaiI>GGGTC)|(?P<SaiI_as>GACCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SaiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SakI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SakI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Sal13I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sal13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sal1974I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sal1974I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SalAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SalAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SalCI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SalCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<SalDI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SalDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SalHI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SalHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<SalI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['SalI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<SalPI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SalPI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGGWCCC'),
        'compsite': '(?P<SanDI>GGG[AT]CCC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGWCCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SanDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SaoI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SaoI'] = _temp()


def _temp():
    return {
        'charac': (8, 4, None, None, 'GCTCTTC'),
        'compsite': '(?P<SapI>GCTCTTC)|(?P<SapI_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 4,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SapI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TTAA'),
        'compsite': '(?P<SaqAI>TTAA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTAA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SaqAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<SarI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SarI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGGAG'),
        'compsite': '(?P<SasI>GAGGAG)|(?P<SasI_as>CTCCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SasI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<SatI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SatI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Sau10I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Sau12I>GGTCTC)|(?P<Sau12I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau13I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau14I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Sau15I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Sau16I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau17I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau2I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau2I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<Sau3239I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau3239I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau32I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau33I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau33I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Sau3AI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('C', 'J', 'K', 'M', 'N', 'R', 'X'),
    }


rest_dict['Sau3AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau557I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau557I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Sau5I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Sau6782I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau6782I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTYRAG'),
        'compsite': '(?P<Sau90I>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau90I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTYRAG'),
        'compsite': '(?P<Sau93I>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau93I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGNCC'),
        'compsite': '(?P<Sau96I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GNC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('J', 'N'),
    }


rest_dict['Sau96I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTYRAG'),
        'compsite': '(?P<Sau96mI>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau96mI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTYRAG'),
        'compsite': '(?P<Sau98I>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sau98I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SauAI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<SauBI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SauBMKI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauBMKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SauCI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SauDI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SauEI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SauFI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SauGI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<SauHI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauHI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SauHPI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauHPI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<SauI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SauLPI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauLPI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<SauLPII>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauLPII'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<SauMI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauMI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SauNI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauNI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SauSI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SauSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<SbaI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SbaI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CCTGCAGG'),
        'compsite': '(?P<SbfI>CCTGCAGG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTGCAGG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['SbfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SbgI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SbgI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<Sbi68I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sbi68I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<SblAI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SblAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<SblBI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SblBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<SblCI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SblCI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<Sbo13I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sbo13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGAAC'),
        'compsite': '(?P<Sbo46I>TGAAC)|(?P<Sbo46I_as>GTTCA)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGAAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sbo46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SboI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SboI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<SbvI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SbvI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sca1827I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sca1827I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<ScaI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['ScaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<SceAI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SceAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<SceIII>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SceIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Scg2I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Scg2I'] = _temp()


def _temp():
    return {
        'charac': (10, 5, None, None, 'GAGTC'),
        'compsite': '(?P<SchI>GAGTC)|(?P<SchI_as>GACTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 5,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SchI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SchZI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SchZI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sci1831I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sci1831I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<SciAI>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SciAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<SciAII>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SciAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SciBI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SciBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CTCGAG'),
        'compsite': '(?P<SciI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SciI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCGC'),
        'compsite': '(?P<SciNI>GCGC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SciNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<ScoAI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ScoAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTAAT'),
        'compsite': '(?P<ScoDS2II>GCTAAT)|(?P<ScoDS2II_as>ATTAGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ScoDS2II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<ScoI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ScoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<ScoNI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ScoNI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCNGG'),
        'compsite': '(?P<ScrFI>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('J', 'N'),
    }


rest_dict['ScrFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<ScuI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ScuI'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CCTGCAGG'),
        'compsite': '(?P<SdaI>CCTGCAGG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTGCAGG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SdaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<Sde240I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sde240I'] = _temp()


def _temp():
    return {
        'charac': (27, 19, None, None, 'CAGRAG'),
        'compsite': '(?P<SdeAI>CAG[AG]AG)|(?P<SdeAI_as>CT[CT]CTG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 19,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdeAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<SdeAII>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdeAII'] = _temp()


def _temp():
    return {
        'charac': (-11, -24, 23, 10, 'GACNNNNRTGA'),
        'compsite': '(?P<SdeOSI>GAC....[AG]TGA)|(?P<SdeOSI_as>TCA[CT]....GTC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -24,
        'fst5': -11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 10,
        'scd5': 23,
        'site': 'GACNNNNRTGA',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdeOSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SdiAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdiAI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'GGCCNNNNNGGCC'),
        'compsite': '(?P<SdiI>GGCC.....GGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCCNNNNNGGCC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdiI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GDGCHC'),
        'compsite': '(?P<SduI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'DGCH',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SduI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<SdyI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SdyI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCNNGG'),
        'compsite': '(?P<SecI>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CNNG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SecI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<SecII>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SecII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<SecIII>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SecIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<SelAI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SelAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CGCG'),
        'compsite': '(?P<SelI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SelI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SelPI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SelPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen13311III>GATCAG)|(?P<Sen13311III_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen13311III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen13III>GATCAG)|(?P<Sen13III_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen13III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1736II>GATCAG)|(?P<Sen1736II_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1736II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1878IV>GATCAG)|(?P<Sen1878IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1878IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1880IV>GATCAG)|(?P<Sen1880IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1880IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1896IV>GATCAG)|(?P<Sen1896IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1896IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1898IV>GATCAG)|(?P<Sen1898IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1898IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1906IV>GATCAG)|(?P<Sen1906IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1906IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1908IV>GATCAG)|(?P<Sen1908IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1908IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sen1910IV>GATCAG)|(?P<Sen1910IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sen1910IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGAG'),
        'compsite': '(?P<SenAZII>CAGAG)|(?P<SenAZII_as>CTCTG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenAZII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<SenC1808III>GATCAG)|(?P<SenC1808III_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenC1808III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<SenC1810IV>GATCAG)|(?P<SenC1810IV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenC1810IV'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SenPT14bI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenPT14bI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<SenPT16I>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenPT16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACRCAG'),
        'compsite': '(?P<SenSARA26III>AC[AG]CAG)|(?P<SenSARA26III_as>CTG[CT]GT)',
        'dna': None,
        'freq': 2048.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACRCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenSARA26III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<SenTFIV>GATCAG)|(?P<SenTFIV_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenTFIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SenpCI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SenpCI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<SepI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SepI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GATATC'),
        'compsite': '(?P<SepMI>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SepMI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ASST'),
        'compsite': '(?P<SetI>A[CG][CG]T)',
        'dna': None,
        'freq': 64.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ASST',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ASST',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['SetI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACCWGGT'),
        'compsite': '(?P<SexAI>ACC[AT]GGT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACCWGGT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': ('M', 'N'),
    }


rest_dict['SexAI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SexBI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SexBI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SexCI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SexCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SexI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SexI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCGATCGC'),
        'compsite': '(?P<SfaAI>GCGATCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGATCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SfaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<SfaGUI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SfaGUI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<SfaI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SfaI'] = _temp()


def _temp():
    return {
        'charac': (10, 9, None, None, 'GCATC'),
        'compsite': '(?P<SfaNI>GCATC)|(?P<SfaNI_as>GATGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 10,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['SfaNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<SfcI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SfcI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<SfeI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SfeI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'GGCCNNNNNGGCC'),
        'compsite': '(?P<SfiI>GGCC.....GGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCCNNNNNGGCC',
        'size': 13,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['SfiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Sfl2aI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sfl2aI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Sfl2bI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sfl2bI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<SflHK10695I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK10695I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK10790I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK10790I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<SflHK11086I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK11086I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<SflHK11087I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK11087I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<SflHK11572I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK11572I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<SflHK115731I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK115731I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK1794I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK1794I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK2374I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK2374I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK2731I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK2731I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK6873I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK6873I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK7234I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK7234I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK7462I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK7462I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<SflHK8401I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflHK8401I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<SflI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SflI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SfnI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SfnI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GGCGCC'),
        'compsite': '(?P<SfoI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SfoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<Sfr274I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Sfr274I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<Sfr303I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Sfr303I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Sfr382I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sfr382I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SfrI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SfrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sfu1762I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sfu1762I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<SfuI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('M', 'S'),
    }


rest_dict['SfuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SgaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SgaI'] = _temp()


def _temp():
    return {
        'charac': (13, 13, None, None, 'CNNG'),
        'compsite': '(?P<SgeI>C..G)',
        'dna': None,
        'freq': 16.0,
        'fst3': 13,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CNNG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SgeI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCGATCGC'),
        'compsite': '(?P<SgfI>GCGATCGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGATCGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('R',),
    }


rest_dict['SgfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Sgh1835I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgh1835I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SghWII>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SghWII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<SgiI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SgiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SgoI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SgoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<Sgr13350I>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgr13350I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTCTTC'),
        'compsite': '(?P<Sgr13350III>GCTCTTC)|(?P<Sgr13350III_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgr13350III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Sgr1839I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgr1839I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sgr1841I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgr1841I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Sgr20I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sgr20I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CRCCGGYG'),
        'compsite': '(?P<SgrAI>C[AG]CCGG[CT]G)',
        'dna': None,
        'freq': 16384.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRCCGGYG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SgrAI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SgrBI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['SgrBI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGTCGACG'),
        'compsite': '(?P<SgrDI>CGTCGACG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTCGACG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SgrDI'] = _temp()


def _temp():
    return {
        'charac': (14, 14, None, None, 'CCDS'),
        'compsite': '(?P<SgrTI>CC[AGT][CG])|(?P<SgrTI_as>[CG][ACT]GG)',
        'dna': None,
        'freq': 42.666666666666664,
        'fst3': 14,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCDS',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SgrTI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCGCC'),
        'compsite': '(?P<SgsI>GGCGCGCC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CGCG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCGCC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SgsI'] = _temp()


def _temp():
    return {
        'charac': (14, 16, None, None, 'CC'),
        'compsite': '(?P<SguI>CC)|(?P<SguI_as>GG)',
        'dna': None,
        'freq': 16.0,
        'fst3': 16,
        'fst5': 14,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CC',
        'size': 2,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SguI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGTC'),
        'compsite': '(?P<ShaI>GGGTC)|(?P<ShaI_as>GACCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ShaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Shy1766I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Shy1766I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<ShyI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ShyI'] = _temp()


def _temp():
    return {
        'charac': (2, 0, None, None, 'GGGTC'),
        'compsite': '(?P<SimI>GGGTC)|(?P<SimI_as>GACCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 0,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GTC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SimI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinAI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinBI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinCI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinDI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinEI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinFI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinGI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinHI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<SinI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('X',),
    }


rest_dict['SinI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SinJI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SinMI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SinMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<SkaI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SkaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<SkaII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SkaII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<SlaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C', 'Y'),
    }


rest_dict['SlaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<SlbI>GGTCTC)|(?P<SlbI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SlbI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<SleI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SleI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<Slu1777I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Slu1777I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SluI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SluI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTACG'),
        'compsite': '(?P<SmaAI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<SmaAII>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmaAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<SmaAIII>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmaAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<SmaAIV>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmaAIV'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CCCGGG'),
        'compsite': '(?P<SmaI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X', 'Y'),
    }


rest_dict['SmaI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ATTTAAAT'),
        'compsite': '(?P<SmiI>ATTTAAAT)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTTAAAT',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'K', 'V'),
    }


rest_dict['SmiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<SmiMBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmiMBI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CAYNNNNRTG'),
        'compsite': '(?P<SmiMI>CA[CT]....[AG]TG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAYNNNNRTG',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['SmiMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<SmiMII>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmiMII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTYRAG'),
        'compsite': '(?P<SmlI>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TYRA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SmlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Smo40529I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Smo40529I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTYRAG'),
        'compsite': '(?P<SmoI>CT[CT][AG]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TYRA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTYRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SmoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<SmoLI>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmoLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCAGT'),
        'compsite': '(?P<SmoLII>GCAGT)|(?P<SmoLII_as>ACTGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCAGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmoLII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<SmuCI>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmuCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<SmuEI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmuEI'] = _temp()


def _temp():
    return {
        'charac': (9, 6, None, None, 'CCCGC'),
        'compsite': '(?P<SmuI>CCCGC)|(?P<SmuI_as>GCGGG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 6,
        'fst5': 9,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SmuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<Sna3286I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sna3286I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TACGTA'),
        'compsite': '(?P<SnaBI>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C', 'K', 'M', 'N', 'R'),
    }


rest_dict['SnaBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTATAC'),
        'compsite': '(?P<SnaI>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SnaI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<SniI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SniI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCCGAG'),
        'compsite': '(?P<Sno506I>GGCCGAG)|(?P<Sno506I_as>CTCGGCC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCCGAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sno506I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTGCAC'),
        'compsite': '(?P<SnoI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SnoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<Sol10179I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sol10179I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Sol3335I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sol3335I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<SolI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SolI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<SonI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SonI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<SpaHI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SpaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<SpaPI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaPI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<SpaPII>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaPII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<SpaPIII>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaPIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<SpaPIV>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaPIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<SpaXI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpaXI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'ACTAGT'),
        'compsite': '(?P<SpeI>ACTAGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTAGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['SpeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sph1719I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sph1719I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GCATGC'),
        'compsite': '(?P<SphI>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['SphI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTACG'),
        'compsite': '(?P<SplAI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<SplAII>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplAII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<SplAIII>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplAIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<SplAIV>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplAIV'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<SplI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<SplII>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<SplIII>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCAAG'),
        'compsite': '(?P<SplRp8I>CCCAAG)|(?P<SplRp8I_as>CTTGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SplRp8I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<SpmI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Spn23FI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Spn23FI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGAG'),
        'compsite': '(?P<SpnRII>TCGAG)|(?P<SpnRII_as>CTCGA)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpnRII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGGRAG'),
        'compsite': '(?P<SpoDI>GCGG[AG]AG)|(?P<SpoDI_as>CT[CT]CCGC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGRAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpoDI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TCGCGA'),
        'compsite': '(?P<SpoI>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<SprLI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SprLI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SpuI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<SpvI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SpvI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<SqiI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SqiI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCCCGGGC'),
        'compsite': '(?P<SrfI>GCCCGGGC)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCCGGGC',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['SrfI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<SriI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SriI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<SrifpI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SrifpI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTTAAA'),
        'compsite': '(?P<Srl19I>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Srl1DI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl1DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Srl2DI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl2DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Srl32DI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl32DI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<Srl32DII>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl32DII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<Srl55DI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl55DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<Srl55DII>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl55DII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTRYAG'),
        'compsite': '(?P<Srl56DI>CT[AG][CT]AG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TRYA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTRYAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl56DI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Srl5DI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl5DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTTAAA'),
        'compsite': '(?P<Srl61DI>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl61DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<Srl65DI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl65DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTTAAA'),
        'compsite': '(?P<Srl76DI>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl76DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Srl77DI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl77DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<Srl8DI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srl8DI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCCGGC'),
        'compsite': '(?P<SrlI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SrlI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<SrlII>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SrlII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATTAAT'),
        'compsite': '(?P<Srr17I>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Srr17I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<Sru30DI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sru30DI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<Sru4DI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sru4DI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'TTTAAA'),
        'compsite': '(?P<SruI>TTTAAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTTAAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SruI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'AAGCTT'),
        'compsite': '(?P<SsbI>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsbI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GANTC'),
        'compsite': '(?P<SscL1I>GA.TC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'ANT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GANTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SscL1I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGGWCCC'),
        'compsite': '(?P<Sse1825I>GGG[AT]CCC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGWCCC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sse1825I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCCGGCG'),
        'compsite': '(?P<Sse232I>CGCCGGCG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCCGGCG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sse232I'] = _temp()


def _temp():
    return {
        'charac': (6, -6, None, None, 'CCTGCAGG'),
        'compsite': '(?P<Sse8387I>CCTGCAGG)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -6,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTGCAGG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['Sse8387I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'AGGWCCT'),
        'compsite': '(?P<Sse8647I>AGG[AT]CCT)',
        'dna': None,
        'freq': 8192.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGWCCT',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sse8647I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'AATT'),
        'compsite': '(?P<Sse9I>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Sse9I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCGCC'),
        'compsite': '(?P<SseAI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SseAI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<SseBI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['SseBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<SseI>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SseI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SseII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SseII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCTNAGG'),
        'compsite': '(?P<SshAI>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'TNA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SshAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<SsiAI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsiAI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<SsiBI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsiBI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGC'),
        'compsite': '(?P<SsiI>CCGC)|(?P<SsiI_as>GCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SsiI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<SslI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SslI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<Ssm4I>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssm4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGCTC'),
        'compsite': '(?P<Ssm5I>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssm5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ssm5II>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssm5II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGATG'),
        'compsite': '(?P<SsmI>CTGATG)|(?P<SsmI_as>CATCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<SsmII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsmII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAATTC'),
        'compsite': '(?P<SsoI>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsoI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<SsoII>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsoII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Ssp12I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp14I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp152I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp152I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Ssp1725I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp1725I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp1I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp1I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<Ssp27144I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp27144I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Ssp2I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp34I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp42I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp43I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp45I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp45I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp47I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp47I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<Ssp4800I>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp4800I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Ssp48I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Ssp4I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp4I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GACGTC'),
        'compsite': '(?P<Ssp5230I>GACGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp5230I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGGRAG'),
        'compsite': '(?P<Ssp6714IV>GCGG[AG]AG)|(?P<Ssp6714IV_as>CT[CT]CCGC)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGGRAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp6714IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGGC'),
        'compsite': '(?P<Ssp6803IV>GAAGGC)|(?P<Ssp6803IV_as>GCCTTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp6803IV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCAGCG'),
        'compsite': '(?P<Ssp714II>CGCAGCG)|(?P<Ssp714II_as>CGCTGCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCAGCG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssp714II'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCWGG'),
        'compsite': '(?P<SspAI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCWGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TGTACA'),
        'compsite': '(?P<SspBI>TGTACA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGTACA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GCCGGC'),
        'compsite': '(?P<SspCI>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspCI'] = _temp()


def _temp():
    return {
        'charac': (13, 8, None, None, 'GGTGA'),
        'compsite': '(?P<SspD5I>GGTGA)|(?P<SspD5I_as>TCACC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 8,
        'fst5': 13,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspD5I'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<SspD5II>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspD5II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGCGCC'),
        'compsite': '(?P<SspDI>GGCGCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GCGC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCGCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['SspDI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AATATT'),
        'compsite': '(?P<SspI>AATATT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATATT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'N', 'Q', 'R', 'V', 'X'),
    }


rest_dict['SspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<SspJI>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<SspJII>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspJII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGTACG'),
        'compsite': '(?P<SspKI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<SspM1I>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspM1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<SspM1II>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspM1II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<SspM1III>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspM1III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<SspM2I>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspM2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<SspM2II>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspM2II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<SspMI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['SspMI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<SspRFI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SspRFI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTTAAC'),
        'compsite': '(?P<SsrI>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsrI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<Sst12I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sst12I'] = _temp()


def _temp():
    return {
        'charac': (27, 18, None, None, 'CGAAGAC'),
        'compsite': '(?P<SstE37I>CGAAGAC)|(?P<SstE37I_as>GTCTTCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 18,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGAAGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SstE37I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGAAG'),
        'compsite': '(?P<SstE37III>CTGAAG)|(?P<SstE37III_as>CTTCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SstE37III'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAGCTC'),
        'compsite': '(?P<SstI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'AGCT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C',),
    }


rest_dict['SstI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CCGCGG'),
        'compsite': '(?P<SstII>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SstII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<SstIV>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SstIV'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Ssu211I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssu211I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Ssu212I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssu212I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Ssu220I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Ssu220I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<SsvI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SsvI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<StaAI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['StaAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<StaI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['StaI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<SteI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SteI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Sth117I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth117I'] = _temp()


def _temp():
    return {
        'charac': (8, 8, None, None, 'CCCG'),
        'compsite': '(?P<Sth132I>CCCG)|(?P<Sth132I_as>CGGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth132I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCGG'),
        'compsite': '(?P<Sth134I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth134I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGACGAC'),
        'compsite': '(?P<Sth20745III>GGACGAC)|(?P<Sth20745III_as>GTCGTCC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGACGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth20745III'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<Sth302I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth302I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCGG'),
        'compsite': '(?P<Sth302II>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth302II'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GATC'),
        'compsite': '(?P<Sth368I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth368I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Sth455I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sth455I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthAI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthBI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthCI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthDI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthEI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthFI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthGI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthHI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthHI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGTACC'),
        'compsite': '(?P<SthI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthJI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthKI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthLI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthLI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthMI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<SthNI>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SthNI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<StrI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['StrI'] = _temp()


def _temp():
    return {
        'charac': (15, 14, None, None, 'GGATG'),
        'compsite': '(?P<StsI>GGATG)|(?P<StsI_as>CATCC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 14,
        'fst5': 15,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'NNNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['StsI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGGCCT'),
        'compsite': '(?P<StuI>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'X'),
    }


rest_dict['StuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATCAG'),
        'compsite': '(?P<Sty13348III>GATCAG)|(?P<Sty13348III_as>CTGATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sty13348III'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'CCNGG'),
        'compsite': '(?P<StyD4I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'CCNGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['StyD4I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCWWGG'),
        'compsite': '(?P<StyI>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CWWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('C', 'J', 'N'),
    }


rest_dict['StyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGAG'),
        'compsite': '(?P<StyLTI>CAGAG)|(?P<StyLTI_as>CTCTG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGAG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['StyLTI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<SuaI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SuaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCWGC'),
        'compsite': '(?P<SuiI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SuiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<SulI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SulI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGTACG'),
        'compsite': '(?P<SunI>CGTACG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGTACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SunI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<SurI>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SurI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Sve194I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sve194I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<Sve396I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Sve396I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'TTCGAA'),
        'compsite': '(?P<SviI>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SviI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CRCCGGYG'),
        'compsite': '(?P<SvoI>C[AG]CCGG[CT]G)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CRCCGGYG',
        'size': 8,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SvoI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ATTTAAAT'),
        'compsite': '(?P<SwaI>ATTTAAAT)',
        'dna': None,
        'freq': 65536.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTTAAAT',
        'size': 8,
        'substrat': 'DNA',
        'suppl': ('J', 'M', 'N', 'S'),
    }


rest_dict['SwaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<SynI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SynI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<SynII>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['SynII'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'ACNGT'),
        'compsite': '(?P<TaaI>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TaaI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ACGT'),
        'compsite': '(?P<TaiI>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TaiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Taq20I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Taq20I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCWGC'),
        'compsite': '(?P<Taq52I>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Taq52I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCGA'),
        'compsite': '(?P<TaqI>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['TaqI'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'GACCGA'),
        'compsite': '(?P<TaqII>GACCGA)|(?P<TaqII_as>TCGGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['TaqII'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'CACCCA'),
        'compsite': '(?P<TaqIII>CACCCA)|(?P<TaqIII_as>TGGGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TaqIII'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<TaqXI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TaqXI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'AATT'),
        'compsite': '(?P<TasI>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TasI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'WGTACW'),
        'compsite': '(?P<TatI>[AT]GTAC[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GTAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WGTACW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TatI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GCSGC'),
        'compsite': '(?P<TauI>GC[CG]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'CSG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCSGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TauI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGGCCG'),
        'compsite': '(?P<TauII>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TauII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tbr51I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tbr51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAAGA'),
        'compsite': '(?P<TceI>GAAGA)|(?P<TceI_as>TCTTC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAAGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TceI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<TdeI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TdeI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<TdeII>CTCTTC)|(?P<TdeII_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TdeII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<TdeIII>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TdeIII'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<TelI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TelI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<TfiA3I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TfiA3I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GAWTC'),
        'compsite': '(?P<TfiI>GA[AT]TC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'AWT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAWTC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['TfiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<TfiTok6A1I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TfiTok6A1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<TflI>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TflI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<TglI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TglI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<ThaI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ThaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<TliI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TliI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<TmaI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TmaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Tmu1I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tmu1I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CGCG'),
        'compsite': '(?P<TneDI>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TneDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<TneI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TneI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<TrsKTI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsKTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<TrsKTII>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsKTII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CATATG'),
        'compsite': '(?P<TrsKTIII>CATATG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CATATG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsKTIII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<TrsSI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNNNNGTC'),
        'compsite': '(?P<TrsSII>GAC......GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNNGTC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsSII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<TrsTI>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsTI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<TrsTII>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TrsTII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TTAA'),
        'compsite': '(?P<Tru1I>TTAA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTAA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['Tru1I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<Tru201I>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tru201I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Tru28I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tru28I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TTAA'),
        'compsite': '(?P<Tru9I>TTAA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTAA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('I', 'M', 'R', 'V'),
    }


rest_dict['Tru9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<TruI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TruI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<TruII>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TruII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tsc4aI>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsc4aI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CASTG'),
        'compsite': '(?P<TscAI>CA[CG]TG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 10,
        'ovhgseq': 'NNCASTGNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CASTG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['TscAI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ACGT'),
        'compsite': '(?P<TscI>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TscI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<TseAI>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TseAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCWGC'),
        'compsite': '(?P<TseBI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TseBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AATT'),
        'compsite': '(?P<TseCI>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TseCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RCCGGY'),
        'compsite': '(?P<TseDI>[AG]CCGG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCCGGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TseDI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GTSAC'),
        'compsite': '(?P<TseFI>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTSAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['TseFI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GCWGC'),
        'compsite': '(?P<TseI>GC[AT]GC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'CWG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCWGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['TseI'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'TARCCA'),
        'compsite': '(?P<TsoI>TA[AG]CCA)|(?P<TsoI_as>TGG[CT]TA)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TARCCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TsoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Tsp132I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp132I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Tsp133I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp133I'] = _temp()


def _temp():
    return {
        'charac': (6, -1, None, None, 'ACTGG'),
        'compsite': '(?P<Tsp1I>ACTGG)|(?P<Tsp1I_as>CCAGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 6,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'GN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACTGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<Tsp219I>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp219I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Tsp266I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp266I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Tsp273I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp273I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Tsp273II>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp273II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Tsp281I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp281I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Tsp301I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp301I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCGA'),
        'compsite': '(?P<Tsp32I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp32I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCGA'),
        'compsite': '(?P<Tsp32II>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp32II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tsp358I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp358I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GTSAC'),
        'compsite': '(?P<Tsp45I>GT[CG]AC)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GTSAC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTSAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['Tsp45I'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'ACGT'),
        'compsite': '(?P<Tsp49I>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'ACGT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp49I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'ACNGT'),
        'compsite': '(?P<Tsp4CI>AC.GT)',
        'dna': None,
        'freq': 256.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACNGT',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp4CI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGGCCG'),
        'compsite': '(?P<Tsp504I>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp504I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tsp505I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp505I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Tsp507I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp507I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'AATT'),
        'compsite': '(?P<Tsp509I>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp509I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tsp510I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp510I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Tsp514I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp514I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Tsp560I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp560I'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<Tsp8EI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tsp8EI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<TspAI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRACGAC'),
        'compsite': '(?P<TspARh3I>G[AG]ACGAC)|(?P<TspARh3I_as>GTCGT[CT]C)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRACGAC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspARh3I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCRYGG'),
        'compsite': '(?P<TspBI>CC[AG][CT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CRYG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCRYGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspBI'] = _temp()


def _temp():
    return {
        'charac': (16, 9, None, None, 'ATGAA'),
        'compsite': '(?P<TspDTI>ATGAA)|(?P<TspDTI_as>TTCAT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGAA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['TspDTI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'AATT'),
        'compsite': '(?P<TspEI>AATT)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AATT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspEI'] = _temp()


def _temp():
    return {
        'charac': (16, 9, None, None, 'ACGGA'),
        'compsite': '(?P<TspGWI>ACGGA)|(?P<TspGWI_as>TCCGT)',
        'dna': None,
        'freq': 1024.0,
        'fst3': 9,
        'fst5': 16,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGGA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('Q', 'X'),
    }


rest_dict['TspGWI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<TspGWII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspGWII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<TspI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<TspIDSI>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspIDSI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<TspMI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['TspMI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<TspNI>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspNI'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CASTG'),
        'compsite': '(?P<TspRI>CA[CG]TG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 10,
        'ovhgseq': 'NNCASTGNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CASTG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['TspRI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<TspWAM8AI>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspWAM8AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<TspZNI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TspZNI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNCTC'),
        'compsite': '(?P<TssI>GAG...CTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNCTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TssI'] = _temp()


def _temp():
    return {
        'charac': (-8, -25, 24, 7, 'CACNNNNNNTCC'),
        'compsite': '(?P<TstI>CAC......TCC)|(?P<TstI_as>GGA......GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -25,
        'fst5': -8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 5,
        'ovhgseq': 'NNNNN',
        'results': None,
        'scd3': 7,
        'scd5': 24,
        'site': 'CACNNNNNNTCC',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TstI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGAC'),
        'compsite': '(?P<TsuI>GCGAC)|(?P<TsuI_as>GTCGC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGAC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TsuI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<TteAI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TteAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<TteI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TteI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'GACNNNGTC'),
        'compsite': '(?P<Tth111I>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': ('I', 'K', 'N', 'Q', 'V', 'X'),
    }


rest_dict['Tth111I'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'CAARCA'),
        'compsite': '(?P<Tth111II>CAA[AG]CA)|(?P<Tth111II_as>TG[CT]TTG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAARCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tth111II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<Tth24I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tth24I'] = _temp()


def _temp():
    return {
        'charac': (17, 9, None, None, 'CAARCA'),
        'compsite': '(?P<TthHB27I>CAA[AG]CA)|(?P<TthHB27I_as>TG[CT]TTG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 9,
        'fst5': 17,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAARCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TthHB27I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCGA'),
        'compsite': '(?P<TthHB8I>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TthHB8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGA'),
        'compsite': '(?P<TthRQI>TCGA)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGA',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TthRQI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGT'),
        'compsite': '(?P<TtmI>ACGT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TtmI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<TtmII>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TtmII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<TtnI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TtnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<TtoI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TtoI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNGTC'),
        'compsite': '(?P<TtrI>GAC...GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNGTC',
        'size': 9,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['TtrI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GGCC'),
        'compsite': '(?P<Tvu2HI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Tvu2HI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1093I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1093I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<Uba1094I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1094I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1095I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1095I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1096I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1096I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1097I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1097I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1098I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1098I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Uba1099I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1099I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1100I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1100I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1101I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1101I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1111I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1111I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1112I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1112I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1113I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1113I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1114I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1114I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1115I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1115I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1116I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1116I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<Uba1117I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1117I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1118I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1118I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1119I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1119I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1120I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1120I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1121I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1121I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCGGC'),
        'compsite': '(?P<Uba1122I>GCCGGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCGGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1122I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1123I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1123I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1124I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1124I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1125I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1125I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1126I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1126I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Uba1127I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1127I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1128I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1128I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Uba1129I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1129I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1130I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1130I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1131I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1131I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1133I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1133I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Uba1134I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1134I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Uba1136I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1136I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1137I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1137I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1138I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1138I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Uba1139I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1139I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1140I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1140I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1141I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1141I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1142I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1142I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1144I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1144I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1145I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1145I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1146I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1146I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1147I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1147I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1148I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1148I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1149I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1149I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1150I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1150I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1152I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1152I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1153I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1153I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1154I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1154I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1155I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1155I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1156I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1156I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1157I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1157I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<Uba1158I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1158I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1159I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1159I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Uba1160I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1160I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1161I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1161I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<Uba1162I>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1162I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1163I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1163I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<Uba1164I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1164I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Uba1164II>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1164II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1165I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1165I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1166I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1166I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1167I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1167I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1168I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1168I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1169I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1169I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1170I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1170I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1171I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1171I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1172I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1172I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1173I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1173I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1174I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1174I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1175I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1175I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1176I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1176I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1177I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1177I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1178I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1178I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1179I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1179I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1180I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1180I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1181I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1181I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1182I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1182I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1183I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1183I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1184I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1184I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Uba1184II>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1184II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1185I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1185I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1186I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1186I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1187I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1187I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Uba1188I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1188I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1189I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1189I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<Uba1190I>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1190I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GACNNNNNGTC'),
        'compsite': '(?P<Uba1191I>GAC.....GTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACNNNNNGTC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1191I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<Uba1192I>CTCTTC)|(?P<Uba1192I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1192I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1193I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1193I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1195I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1195I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1196I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1196I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1197I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1197I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1198I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1198I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1199I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1199I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba11I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1200I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1200I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Uba1201I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1201I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1202I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1202I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<Uba1203I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1203I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1204I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1204I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1205I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1205I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Uba1205II>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1205II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1206I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1206I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1207I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1207I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1208I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1208I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1209I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1209I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1210I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1210I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1211I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1211I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1212I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1212I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1213I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1213I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1214I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1214I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1215I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1215I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1216I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1216I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1217I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1217I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1218I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1218I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Uba1219I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1219I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGGG'),
        'compsite': '(?P<Uba1220I>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1220I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTNAGC'),
        'compsite': '(?P<Uba1221I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1221I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTNAGC'),
        'compsite': '(?P<Uba1222I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1222I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1223I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1223I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1224I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1224I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1225I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1225I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<Uba1226I>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1226I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Uba1227I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1227I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1228I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1228I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1229I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1229I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1230I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1230I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1231I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1231I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1232I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1232I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1233I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1233I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1234I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1234I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1235I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1235I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1237I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1237I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1238I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1238I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1239I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1239I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGTA'),
        'compsite': '(?P<Uba1240I>TACGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGTA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1240I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1241I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1241I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1242I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1242I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1243I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1243I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1244I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1244I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CAGCTG'),
        'compsite': '(?P<Uba1245I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1245I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1246I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1246I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1248I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1248I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1249I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1249I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1250I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1250I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1256I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1256I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1257I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1257I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1258I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1258I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1259I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1259I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1262I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1262I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1263I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1263I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1264I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1264I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1266I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1266I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1267I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1267I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1271I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1271I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1272I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1272I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1275I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1275I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<Uba1276I>CTCTTC)|(?P<Uba1276I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1276I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1278I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1278I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Uba1279I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1279I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1280I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1280I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Uba1282I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1282I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Uba1283I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1283I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTNAGC'),
        'compsite': '(?P<Uba1284I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1284I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1286I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1286I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1287I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1287I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1288I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1288I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Uba1289I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1289I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Uba1290I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1290I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTNACC'),
        'compsite': '(?P<Uba1291I>GGT.ACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTNACC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1291I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1292I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1292I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1293I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1293I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Uba1294I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1294I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1294II>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1294II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1295I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1295I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1296I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1296I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1297I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1297I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1298I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1298I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1299I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1299I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1302I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1302I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGRYCG'),
        'compsite': '(?P<Uba1303I>CG[AG][CT]CG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGRYCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1303I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1304I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1304I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<Uba1305I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1305I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1306I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1306I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1307I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1307I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Uba1308I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1308I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Uba1309I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1309I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<Uba1310I>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1310I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWWGG'),
        'compsite': '(?P<Uba1311I>CC[AT][AT]GG)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWWGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1311I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1312I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1312I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1313I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1313I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1314I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1314I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1315I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1315I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Uba1316I>GGTCTC)|(?P<Uba1316I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1316I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1317I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1317I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1318I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1318I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1319I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1319I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCTNAGC'),
        'compsite': '(?P<Uba1320I>GCT.AGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTNAGC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1320I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Uba1321I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1321I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1322I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1322I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1323I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1323I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1324I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1324I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1325I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1325I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGGNCCY'),
        'compsite': '(?P<Uba1326I>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1326I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Uba1327I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1327I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1328I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1328I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1329I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1329I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1330I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1330I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1331I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1331I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Uba1332I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1332I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCTNAGG'),
        'compsite': '(?P<Uba1333I>CCT.AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNAGG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1333I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1334I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1334I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1335I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1335I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1336I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1336I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1337I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1337I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1338I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1338I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1339I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1339I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1342I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1342I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Uba1343I>GGTCTC)|(?P<Uba1343I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1343I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1346I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1346I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1347I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1347I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<Uba1353I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1353I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1355I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1355I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1357I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1357I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GDGCHC'),
        'compsite': '(?P<Uba1362I>G[AGT]GC[ACT]C)',
        'dna': None,
        'freq': 455.1111111111111,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GDGCHC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1362I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1363I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1363I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1364I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1364I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba1366I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1366I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1366II>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1366II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<Uba1367I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1367I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGGCCC'),
        'compsite': '(?P<Uba1368I>GGGCCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGGCCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1368I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba1369I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1369I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1370I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1370I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1371I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1371I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1372I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1372I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1373I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1373I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1374I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1374I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Uba1375I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1375I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1376I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1376I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1377I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1377I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1378I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1378I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1379I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1379I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1380I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1380I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRCGYC'),
        'compsite': '(?P<Uba1381I>G[AG]CG[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRCGYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1381I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATGC'),
        'compsite': '(?P<Uba1382I>GAATGC)|(?P<Uba1382I_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1382I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1383I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1383I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATGCAT'),
        'compsite': '(?P<Uba1384I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1384I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Uba1385I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1385I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<Uba1386I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1386I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTGCAC'),
        'compsite': '(?P<Uba1387I>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1387I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1388I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1388I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1389I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1389I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Uba1391I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1391I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1392I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1392I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCCGGG'),
        'compsite': '(?P<Uba1393I>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1393I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1394I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1394I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1395I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1395I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1397I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1397I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1398I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1398I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1399I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1399I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba13I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<Uba1400I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1400I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1401I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1401I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1402I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1402I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1403I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1403I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Uba1404I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1404I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Uba1405I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1405I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1408I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1408I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTTAAC'),
        'compsite': '(?P<Uba1408II>GTTAAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTTAAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1408II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1409I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1409I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1410I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1410I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1411I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1411I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1412I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1412I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1413I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1413I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba1414I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1414I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATGC'),
        'compsite': '(?P<Uba1415I>GAATGC)|(?P<Uba1415I_as>GCATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1415I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1416I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1416I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba1417I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1417I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1418I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1418I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba1419I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1419I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1420I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1420I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba1421I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1421I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1422I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1422I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1423I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1423I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba1424I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1424I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCCGGA'),
        'compsite': '(?P<Uba1425I>TCCGGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCCGGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1425I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1426I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1426I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1427I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1427I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba1428I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1428I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1429I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1429I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1430I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1430I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Uba1431I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1431I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGATCY'),
        'compsite': '(?P<Uba1432I>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1432I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<Uba1433I>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1433I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Uba1435I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1435I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Uba1436I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1436I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Uba1437I>CTGGAG)|(?P<Uba1437I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1437I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba1438I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1438I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<Uba1439I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1439I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Uba1440I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1440I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGCT'),
        'compsite': '(?P<Uba1441I>AGCT)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGCT',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1441I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNNGG'),
        'compsite': '(?P<Uba1442I>CC..GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNNGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1442I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<Uba1443I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1443I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGGAG'),
        'compsite': '(?P<Uba1444I>CTGGAG)|(?P<Uba1444I_as>CTCCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1444I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNNCC'),
        'compsite': '(?P<Uba1445I>GG..CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNNCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1445I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<Uba1446I>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1446I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Uba1447I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1447I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCGAG'),
        'compsite': '(?P<Uba1448I>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1448I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1449I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1449I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba1450I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1450I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1451I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1451I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TTCGAA'),
        'compsite': '(?P<Uba1452I>TTCGAA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TTCGAA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1452I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba1453I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba1453I'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<Uba153AI>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba153AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCNGG'),
        'compsite': '(?P<Uba17I>CC.GG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCNGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba19I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba20I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba20I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba22I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba24I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba24I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba30I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba30I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba31I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba31I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba34I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba34I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'YGGCCR'),
        'compsite': '(?P<Uba36I>[CT]GGCC[AG])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'YGGCCR',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba36I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba38I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba38I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba39I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba39I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGATCC'),
        'compsite': '(?P<Uba4009I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba4009I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<Uba40I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba40I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba41I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba41I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<Uba42I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba42I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<Uba43I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba43I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba46I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba46I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba48I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba48I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba4I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba51I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba51I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba54I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba54I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GRGCYC'),
        'compsite': '(?P<Uba57I>G[AG]GC[CT]C)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GRGCYC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Uba58I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba58I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Uba59I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba59I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba61I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba61I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uba62I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba62I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Uba65I>GGTCTC)|(?P<Uba65I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba66I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba66I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCGCGC'),
        'compsite': '(?P<Uba69I>GCGCGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCGCGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba69I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ACGCGT'),
        'compsite': '(?P<Uba6I>ACGCGT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ACGCGT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba71I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba71I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<Uba72I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba72I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Uba76I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba76I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba77I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba77I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba81I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba81I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<Uba82I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba82I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<Uba83I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba83I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<Uba84I>GGTCTC)|(?P<Uba84I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba84I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Uba85I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba85I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Uba86I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba86I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTACC'),
        'compsite': '(?P<Uba87I>GGTACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTACC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba87I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<Uba88I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba88I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<Uba89I>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba89I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<Uba90I>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba90I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uba9I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uba9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGTA'),
        'compsite': '(?P<UbaF11I>TCGTA)|(?P<UbaF11I_as>TACGA)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGTA',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaF11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTACNNNGTC'),
        'compsite': '(?P<UbaF12I>CTAC...GTC)|(?P<UbaF12I_as>GAC...GTAG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTACNNNGTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaF12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAGNNNNNNCTGG'),
        'compsite': '(?P<UbaF13I>GAG......CTGG)|(?P<UbaF13I_as>CCAG......CTC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAGNNNNNNCTGG',
        'size': 13,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaF13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCANNNNNTCG'),
        'compsite': '(?P<UbaF14I>CCA.....TCG)|(?P<UbaF14I_as>CGA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTCG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaF14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACNNNNNRTGT'),
        'compsite': '(?P<UbaF9I>TAC.....[AG]TGT)|(?P<UbaF9I_as>ACA[CT].....GTA)',
        'dna': None,
        'freq': 8192.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACNNNNNRTGT',
        'size': 12,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaF9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGCGG'),
        'compsite': '(?P<UbaHKAI>CCGCGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGCGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaHKAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<UbaHKBI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaHKBI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'CAGCTG'),
        'compsite': '(?P<UbaM39I>CAGCTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CAGCTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaM39I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'WCCGGW'),
        'compsite': '(?P<UbaN10I>[AT]CCGG[AT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'WCCGGW',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN10I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCSGG'),
        'compsite': '(?P<UbaN11I>CC[CG]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCSGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<UbaN11II>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN11II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGAG'),
        'compsite': '(?P<UbaN12I>CACGAG)|(?P<UbaN12I_as>CTCGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN12I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCGG'),
        'compsite': '(?P<UbaN13I>CCGG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCGG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN13I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<UbaN14I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN14I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<UbaN15I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CCWGG'),
        'compsite': '(?P<UbaN16I>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN16I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AAGCTT'),
        'compsite': '(?P<UbaN17I>AAGCTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AAGCTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN17I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<UbaN18I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN18I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCTAGA'),
        'compsite': '(?P<UbaN19I>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN19I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<UbaN1I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN1I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATNNNNATC'),
        'compsite': '(?P<UbaN20I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN20I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<UbaN21I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN21I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'ATCGAT'),
        'compsite': '(?P<UbaN22I>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN22I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<UbaN2I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGATCC'),
        'compsite': '(?P<UbaN3I>GGATCC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGATCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN3I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATATC'),
        'compsite': '(?P<UbaN4I>GATATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATATC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN4I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTAG'),
        'compsite': '(?P<UbaN5I>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATNNNNATC'),
        'compsite': '(?P<UbaN6I>GAT....ATC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATNNNNATC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN6I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<UbaN6II>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN6II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<UbaN7I>CTCTTC)|(?P<UbaN7I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN7I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<UbaN8I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN8I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AACGTT'),
        'compsite': '(?P<UbaN9I>AACGTT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AACGTT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaN9I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGAACG'),
        'compsite': '(?P<UbaPI>CGAACG)|(?P<UbaPI_as>CGTTCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGAACG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UbaPI'] = _temp()


def _temp():
    return {
        'charac': (-7, -11, 11, 7, 'GAGCTC'),
        'compsite': '(?P<UcoMSI>GAGCTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -11,
        'fst5': -7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': 7,
        'scd5': 11,
        'site': 'GAGCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UcoMSI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CYCGRG'),
        'compsite': '(?P<Umi5I>C[CT]CG[AG]G)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CYCGRG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Umi5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TGATCA'),
        'compsite': '(?P<Umi7I>TGATCA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TGATCA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Umi7I'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GGNCC'),
        'compsite': '(?P<UnbI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GGNCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['UnbI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uth549I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uth549I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<Uth554I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uth554I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uth555I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uth555I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Uth557I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uth557I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GCNGC'),
        'compsite': '(?P<Uur960I>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Uur960I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGCG'),
        'compsite': '(?P<V_Gel16401III>CGCG)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGCG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['V_Gel16401III'] = _temp()


def _temp():
    return {
        'charac': (7, -7, None, None, 'CCANNNNNTGG'),
        'compsite': '(?P<Van91I>CCA.....TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -7,
        'fst5': 7,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNTGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B', 'K'),
    }


rest_dict['Van91I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<Van91II>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Van91II'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Van91III>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Van91III'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCCNNNNNGGC'),
        'compsite': '(?P<VanI>GCC.....GGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCCNNNNNGGC',
        'size': 11,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VanI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCNGC'),
        'compsite': '(?P<VarFI>GC.GC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCNGC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VarFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<VchN100I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchN100I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTATAC'),
        'compsite': '(?P<VchO25I>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GAATTC'),
        'compsite': '(?P<VchO2I>GAATTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAATTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO2I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGGCCT'),
        'compsite': '(?P<VchO44I>AGGCCT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGGCCT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO44I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'AGTACT'),
        'compsite': '(?P<VchO49I>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO49I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VchO66I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO66I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GCATGC'),
        'compsite': '(?P<VchO68I>GCATGC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCATGC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO68I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TCGCGA'),
        'compsite': '(?P<VchO70I>TCGCGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCGCGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO70I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VchO85I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO85I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<VchO87I>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO87I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VchO90I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VchO90I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTTAAG'),
        'compsite': '(?P<VfiI>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VfiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<Vha1168I>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Vha1168I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GATC'),
        'compsite': '(?P<Vha44I>GATC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GATC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Vha44I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTTAAG'),
        'compsite': '(?P<Vha464I>CTTAAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TTAA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTTAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('V',),
    }


rest_dict['Vha464I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<VhaI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VhaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'RGGNCCY'),
        'compsite': '(?P<VneAI>[AG]GG.CC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGGNCCY',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VneAI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTGCAC'),
        'compsite': '(?P<VneI>GTGCAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTGCAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['VneI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGCC'),
        'compsite': '(?P<VniI>GGCC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGCC',
        'size': 4,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VniI'] = _temp()


def _temp():
    return {
        'charac': (0, 0, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK11AI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': 0,
        'fst5': 0,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -5,
        'ovhgseq': 'GGWCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK11AI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK11BI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'GWC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['VpaK11BI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK11CI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK11CI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK11DI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK11DI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK11I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK11I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK13AI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK13AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaK15I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK15I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaK19AI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK19AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaK19BI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK19BI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaK25I>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK25I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<VpaK29AI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK29AI'] = _temp()


def _temp():
    return {
        'charac': (8, 4, None, None, 'GCTCTTC'),
        'compsite': '(?P<VpaK32I>GCTCTTC)|(?P<VpaK32I_as>GAAGAGC)',
        'dna': None,
        'freq': 16384.0,
        'fst3': 4,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -3,
        'ovhgseq': 'NNN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GCTCTTC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK32I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<VpaK3AI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK3AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACGTG'),
        'compsite': '(?P<VpaK3BI>CACGTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACGTG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK3BI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<VpaK4AI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK4AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<VpaK4BI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK4BI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<VpaK57AI>GGTCTC)|(?P<VpaK57AI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK57AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<VpaK57I>GGTCTC)|(?P<VpaK57I_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK57I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK65I>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK65I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGWCC'),
        'compsite': '(?P<VpaK7AI>GG[AT]CC)',
        'dna': None,
        'freq': 512.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGWCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK7AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaK9AI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaK9AI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaKutAI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaKutBI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<VpaKutEI>CTCTTC)|(?P<VpaKutEI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutEI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<VpaKutFI>CTCTTC)|(?P<VpaKutFI_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutFI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<VpaKutGI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutGI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGTCTC'),
        'compsite': '(?P<VpaKutHI>GGTCTC)|(?P<VpaKutHI_as>GAGACC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGTCTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutHI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGNCC'),
        'compsite': '(?P<VpaKutJI>GG.CC)',
        'dna': None,
        'freq': 256.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGNCC',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaKutJI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTCTTC'),
        'compsite': '(?P<VpaO5I>CTCTTC)|(?P<VpaO5I_as>GAAGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCTTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['VpaO5I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GGYRCC'),
        'compsite': '(?P<Vsp2246I>GG[CT][AG]CC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GGYRCC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Vsp2246I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATTAAT'),
        'compsite': '(?P<VspI>ATTAAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATTAAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'I', 'R', 'V'),
    }


rest_dict['VspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CACRAYC'),
        'compsite': '(?P<Vtu19109I>CAC[AG]A[CT]C)|(?P<Vtu19109I_as>G[AG]T[CT]GTG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACRAYC',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Vtu19109I'] = _temp()


def _temp():
    return {
        'charac': (27, 19, None, None, 'CACRAG'),
        'compsite': '(?P<WviI>CAC[AG]AG)|(?P<WviI_as>CT[CT]GTG)',
        'dna': None,
        'freq': 2048.0,
        'fst3': 19,
        'fst5': 27,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'NN',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CACRAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['WviI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CCTNNNNNAGG'),
        'compsite': '(?P<XagI>CCT.....AGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTNNNNNAGG',
        'size': 11,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['XagI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'GTCGAC'),
        'compsite': '(?P<XamI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XamI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RAATTY'),
        'compsite': '(?P<XapI>[AG]AATT[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'AATT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RAATTY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['XapI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'TCTAGA'),
        'compsite': '(?P<XbaI>TCTAGA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TCTAGA',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'C', 'I', 'J', 'K', 'M', 'N', 'Q', 'R', 'S', 'V', 'X'),
    }


rest_dict['XbaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'TACGAG'),
        'compsite': '(?P<Xca85IV>TACGAG)|(?P<Xca85IV_as>CTCGTA)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'TACGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xca85IV'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GTATAC'),
        'compsite': '(?P<XcaI>GTATAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTATAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XcaI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'RCATGY'),
        'compsite': '(?P<XceI>[AG]CATG[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'CATG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RCATGY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['XceI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'GTCGAC'),
        'compsite': '(?P<XciI>GTCGAC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTCGAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XciI'] = _temp()


def _temp():
    return {
        'charac': (8, -8, None, None, 'CCANNNNNNNNNTGG'),
        'compsite': '(?P<XcmI>CCA.........TGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -8,
        'fst5': 8,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCANNNNNNNNNTGG',
        'size': 15,
        'substrat': 'DNA',
        'suppl': ('N',),
    }


rest_dict['XcmI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<XcpI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XcpI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<XcyI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XcyI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Xgl3216I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xgl3216I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Xgl3217I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xgl3217I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Xgl3218I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xgl3218I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Xgl3219I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xgl3219I'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<Xgl3220I>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xgl3220I'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<XhoI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B', 'J', 'K', 'M', 'N', 'O', 'Q', 'R', 'S', 'X'),
    }


rest_dict['XhoI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'RGATCY'),
        'compsite': '(?P<XhoII>[AG]GATC[CT])',
        'dna': None,
        'freq': 1024.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GATC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'RGATCY',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XhoII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<XmaCI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XmaCI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCCGGG'),
        'compsite': '(?P<XmaI>CCCGGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CCGG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCCGGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'R', 'V'),
    }


rest_dict['XmaI'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CGGCCG'),
        'compsite': '(?P<XmaIII>CGGCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'GGCC',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGCCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XmaIII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CCTAGG'),
        'compsite': '(?P<XmaJI>CCTAGG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'CTAG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCTAGG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['XmaJI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'GTMKAC'),
        'compsite': '(?P<XmiI>GT[AC][GT]AC)',
        'dna': None,
        'freq': 1024.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'MK',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GTMKAC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('B',),
    }


rest_dict['XmiI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<XmlAI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XmlAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<XmlI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XmlI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'GAANNNNTTC'),
        'compsite': '(?P<XmnI>GAA....TTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GAANNNNTTC',
        'size': 10,
        'substrat': 'DNA',
        'suppl': ('N', 'R'),
    }


rest_dict['XmnI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<XniI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XniI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<XorI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XorI'] = _temp()


def _temp():
    return {
        'charac': (4, -4, None, None, 'CGATCG'),
        'compsite': '(?P<XorII>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -4,
        'fst5': 4,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 2,
        'ovhgseq': 'AT',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XorII'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGATCG'),
        'compsite': '(?P<XorKI>CGATCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGATCG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XorKI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<XorKII>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XorKII'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTCGAG'),
        'compsite': '(?P<XpaI>CTCGAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -4,
        'ovhgseq': 'TCGA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTCGAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XpaI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<XphI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XphI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGACCAG'),
        'compsite': '(?P<Xsp91II>CGACCAG)|(?P<Xsp91II_as>CTGGTCG)',
        'dna': None,
        'freq': 16384.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGACCAG',
        'size': 7,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Xsp91II'] = _temp()


def _temp():
    return {
        'charac': (1, -1, None, None, 'CTAG'),
        'compsite': '(?P<XspI>CTAG)',
        'dna': None,
        'freq': 256.0,
        'fst3': -1,
        'fst5': 1,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'TA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTAG',
        'size': 4,
        'substrat': 'DNA',
        'suppl': ('K',),
    }


rest_dict['XspI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<XveI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['XveI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<YenAI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenAI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<YenBI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenBI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<YenCI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenCI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<YenDI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenDI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CTGCAG'),
        'compsite': '(?P<YenEI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenEI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'CTGCAG'),
        'compsite': '(?P<YenI>CTGCAG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CTGCAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YenI'] = _temp()


def _temp():
    return {
        'charac': (11, 9, None, None, 'C'),
        'compsite': '(?P<YkrI>C)|(?P<YkrI_as>G)',
        'dna': None,
        'freq': 4.0,
        'fst3': 9,
        'fst5': 11,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 1,
        'ovhgseq': 'N',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'C',
        'size': 1,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['YkrI'] = _temp()


def _temp():
    return {
        'charac': (None, None, None, None, 'CGGAAG'),
        'compsite': '(?P<Yps3606I>CGGAAG)|(?P<Yps3606I_as>CTTCCG)',
        'dna': None,
        'freq': 4096.0,
        'fst3': None,
        'fst5': None,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': None,
        'ovhgseq': None,
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CGGAAG',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['Yps3606I'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'CCWGG'),
        'compsite': '(?P<ZanI>CC[AT]GG)',
        'dna': None,
        'freq': 512.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -1,
        'ovhgseq': 'W',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'CCWGG',
        'size': 5,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ZanI'] = _temp()


def _temp():
    return {
        'charac': (2, -2, None, None, 'ATCGAT'),
        'compsite': '(?P<ZhoI>ATCGAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -2,
        'fst5': 2,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': -2,
        'ovhgseq': 'CG',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATCGAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': (),
    }


rest_dict['ZhoI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'GACGTC'),
        'compsite': '(?P<ZraI>GACGTC)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'GACGTC',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'N', 'V'),
    }


rest_dict['ZraI'] = _temp()


def _temp():
    return {
        'charac': (3, -3, None, None, 'AGTACT'),
        'compsite': '(?P<ZrmI>AGTACT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -3,
        'fst5': 3,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 0,
        'ovhgseq': '',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'AGTACT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I',),
    }


rest_dict['ZrmI'] = _temp()


def _temp():
    return {
        'charac': (5, -5, None, None, 'ATGCAT'),
        'compsite': '(?P<Zsp2I>ATGCAT)',
        'dna': None,
        'freq': 4096.0,
        'fst3': -5,
        'fst5': 5,
        'inact_temp': 65,
        'opt_temp': 37,
        'ovhg': 4,
        'ovhgseq': 'TGCA',
        'results': None,
        'scd3': None,
        'scd5': None,
        'site': 'ATGCAT',
        'size': 6,
        'substrat': 'DNA',
        'suppl': ('I', 'V'),
    }


rest_dict['Zsp2I'] = _temp()


suppliers = {}


def _temp():
    return (
        'Life Technologies',
        ['BclI', 'RsaI', 'DraI', 'SfaAI', 'SacII', 'NcoI', 'BoxI', 'PvuII', 'HpaI', 'Eco57I', 'BseJI', 'TaaI', 'PaeI', 'MunI', 'VspI', 'BpiI', 'Nb_Mva1269I', 'MboII', 'LweI', 'BveI', 'XbaI', 'BfuI', 'SpeI', 'XmiI', 'BmeT110I', 'ScaI', 'Bsu15I', 'Bme1390I', 'BseMII', 'PdmI', 'PteI', 'BauI', 'BseMI', 'TscAI', 'XapI', 'Eco147I', 'BseXI', 'FaqI', 'Bpu1102I', 'Esp3I', 'Hin6I', 'Cfr42I', 'CseI', 'NmuCI', 'PspFI', 'Bst1107I', 'XmaJI', 'BspLI', 'Bsp1407I', 'MreI', 'Eco52I', 'BspOI', 'HincII', 'SfiI', 'Acc65I', 'XagI', 'Bsh1285I', 'BseLI', 'Bsp119I', 'OliI', 'I_SceI', 'Cfr9I', 'FspAI', 'Alw26I', 'SaqAI', 'PvuI', 'HpyF10VI', 'BfoI', 'PasI', 'NotI', 'AloI', 'CpoI', 'BspPI', 'NsbI', 'HpaII', 'NheI', 'Kpn2I', 'Eco91I', 'Eco32I', 'BshTI', 'XhoI', 'PstI', 'Pfl23II', 'SgrDI', 'Eco47I', 'Mva1269I', 'SmaI', 'Van91I', 'SacI', 'PscI', 'Eco130I', 'Bpu10I', 'HindIII', 'StuI', 'TauI', 'BcnI', 'Mph1103I', 'LguI', 'HpyF3I', 'RseI', 'PacI', 'EheI', 'HphI', 'AjuI', 'AanI', 'SmoI', 'Hin1I', 'Alw21I', 'CaiI', 'BstXI', 'MbiI', 'NruI', 'MssI', 'TasI', 'MauBI', 'MvaI', 'BseGI', 'SgsI', 'AatII', 'BalI', 'Eco31I', 'Bsp120I', 'Nt_Bpu10I', 'AluI', 'AjiI', 'AfaI', 'PsuI', 'PdiI', 'TaiI', 'HapII', 'Cfr13I', 'Lsp1109I', 'PfeI', 'SdaI', 'Bsh1236I', 'EcoRV', 'FspBI', 'HinfI', 'DpnI', 'Eam1104I', 'BglI', 'Csp6I', 'AccI', 'BseSI', 'MluI', 'MspI', 'Alw44I', 'EcoRII', 'BseNI', 'SalI', 'EcoT22I', 'NdeI', 'GsuI', 'PauI', 'BshNI', 'Eco72I', 'SatI', 'Eco88I', 'SphI', 'BcuI', 'RruI', 'KpnI', 'Ppu21I', 'FokI', 'BamHI', 'SspDI', 'BfmI', 'Psp5II', 'SsiI', 'EcoRI', 'Eco81I', 'SgeI', 'TatI', 'HhaI', 'MnlI', 'HaeIII', 'BsuRI', 'Nb_Bpu10I', 'PfoI', 'Eam1105I', 'Hin1II', 'CsiI', 'SduI', 'BseDI', 'ClaI', 'Bsp143I', 'TaqI', 'BmsI', 'Eco105I', 'AdeI', 'Cfr10I', 'AasI', 'EcoO109I', 'SspI', 'PsyI', 'XceI', 'BspTI', 'MlsI', 'PagI', 'KflI', 'Eco47III', 'MboI', 'AarI', 'SchI', 'Eco24I', 'ApaI', 'KspAI', 'Bsp68I', 'BplI', 'BglII', 'Psp1406I', 'SmiI', 'Ecl136II', 'Hpy8I', 'Tru1I'],
    )


suppliers['B'] = _temp()


def _temp():
    return (
        'Minotech Biotechnology',
        ['BclI', 'RsaI', 'AsuII', 'NcoI', 'PvuII', 'HpaI', 'BseBI', 'XbaI', 'ScaI', 'Sau3AI', 'SlaI', 'MspCI', 'ApaLI', 'SnaBI', 'BseCI', 'SfiI', 'NotI', 'NheI', 'SseBI', 'PstI', 'StyI', 'SmaI', 'HindIII', 'BsiSI', 'NruI', 'SstI', 'AluI', 'EcoRV', 'HinfI', 'BseAI', 'BglI', 'BssAI', 'SalI', 'SphI', 'KpnI', 'BamHI', 'SgrBI', 'EcoRI', 'CspAI', 'TaqI', 'PspPI', 'SspI', 'BstEII', 'MboI', 'NaeI', 'BshFI', 'BglII'],
    )


suppliers['C'] = _temp()


def _temp():
    return (
        'Agilent Technologies',
        ['DpnI'],
    )


suppliers['E'] = _temp()


def _temp():
    return (
        'SibEnzyme Ltd.',
        ['RsaI', 'AsiSI', 'DraI', 'PspEI', 'PvuII', 'PspCI', 'HpaI', 'Bse21I', 'AspA2I', 'Ama87I', 'VspI', 'Bst6I', 'PkrI', 'Zsp2I', 'SbfI', 'ArsI', 'MboII', 'AcsI', 'AspS9I', 'Mly113I', 'Mox20I', 'XbaI', 'Bst2UI', 'Bsc4I', 'AoxI', 'BstSNI', 'BstMCI', 'Sfr274I', 'BpmI', 'MfeI', 'FaiI', 'BstF5I', 'MspA1I', 'PspOMI', 'AccB7I', 'Tth111I', 'BstDSI', 'Ple19I', 'CciNI', 'Bst4CI', 'MroXI', 'KroI', 'BstKTI', 'Bsa29I', 'Bpu14I', 'TseFI', 'BstMBI', 'AsiGI', 'PciSI', 'BslFI', 'ZraI', 'SfiI', 'Acc65I', 'AsuHPI', 'BsuI', 'SfaNI', 'HspAI', 'MhlI', 'BstPAI', 'AccB1I', 'Kzo9I', 'AclWI', 'LmnI', 'AspLEI', 'HpaII', 'AsuC2I', 'BarI', 'EcoICRI', 'FauNDI', 'PciI', 'XmaI', 'FauI', 'PstI', 'AccBSI', 'MspR9I', 'Bso31I', 'BstSCI', 'SmaI', 'BsePI', 'AgsI', 'RgaI', 'SetI', 'Bpu10I', 'HindIII', 'BssNAI', 'SspMI', 'Bst2BI', 'CciI', 'FatI', 'DriI', 'FalI', 'Bbv12I', 'BstX2I', 'VneI', 'FaeI', 'BstMAI', 'PceI', 'PpsI', 'BstXI', 'NruI', 'GluI', 'ErhI', 'PctI', 'PspLI', 'AcuI', 'GlaI', 'AatII', 'Rsr2I', 'PspPPI', 'SmiMI', 'BstNSI', 'Fsp4HI', 'BssECI', 'AjnI', 'HindII', 'Bsp19I', 'DseDI', 'EgeI', 'BstAFI', 'AluI', 'FriOI', 'FblI', 'PalAI', 'MalI', 'BstSFI', 'BstH2I', 'AluBI', 'Sse9I', 'EcoRV', 'HinfI', 'DraIII', 'BstSLI', 'BglI', 'BmuI', 'PsrI', 'BstFNI', 'PcsI', 'Bse1I', 'MluI', 'MspI', 'SalI', 'ZrmI', 'BstAUI', 'Bme18I', 'BstAPI', 'BmtI', 'Acc36I', 'BspFNI', 'BlsI', 'BstV2I', 'BstC8I', 'SphI', 'KpnI', 'FokI', 'Bsp1720I', 'BamHI', 'BstHHI', 'HpySE526I', 'BspACI', 'HgaI', 'BseX3I', 'Nt_Bst9I', 'EcoRI', 'PspXI', 'BstBAI', 'Bse8I', 'GsaI', 'Acc16I', 'BstENI', 'MteI', 'AclI', 'PsiI', 'Bsp13I', 'Bse3DI', 'MnlI', 'HaeIII', 'Psp6I', 'PstNI', 'BsuRI', 'BisI', 'Psp124BI', 'TaqI', 'AcoI', 'BtrI', 'SspI', 'BstV1I', 'RigI', 'BstACI', 'BssT1I', 'Sfr303I', 'Ksp22I', 'BstMWI', 'AsuNHI', 'RsaNI', 'Bse118I', 'PspN4I', 'Tru9I', 'MroNI', 'ApaI', 'AfeI', 'AbsI', 'BglII', 'MabI', 'SmiI', 'AhlI', 'BstDEI'],
    )


suppliers['I'] = _temp()


def _temp():
    return (
        'Nippon Gene Co., Ltd.',
        ['BclI', 'RsaI', 'DraI', 'SacII', 'NcoI', 'PvuII', 'HpaI', 'MboII', 'FspI', 'XbaI', 'SpeI', 'ScaI', 'Sau3AI', 'SwaI', 'Sau96I', 'NsiI', 'AseI', 'HincII', 'SfiI', 'NotI', 'NheI', 'XhoI', 'PstI', 'StyI', 'SmaI', 'SacI', 'HindIII', 'NspV', 'StuI', 'BstXI', 'NruI', 'BalI', 'ScrFI', 'AluI', 'AgeI', 'BsmI', 'AxyI', 'NciI', 'EcoRV', 'HinfI', 'BglI', 'BssHII', 'AccI', 'AccIII', 'MluI', 'MspI', 'Alw44I', 'EcoRII', 'SalI', 'NdeI', 'NarI', 'AcyI', 'AflII', 'SphI', 'KpnI', 'Bsp1286I', 'FokI', 'BamHI', 'EcoT38I', 'EcoRI', 'AccII', 'HhaI', 'HaeIII', 'HaeII', 'TaqI', 'AvaII', 'NdeII', 'AvaI', 'EcoO109I', 'SspI', 'BstEII', 'ApaI', 'BglII'],
    )


suppliers['J'] = _temp()


def _temp():
    return (
        'Takara Bio Inc.',
        ['DraI', 'SacII', 'NcoI', 'PvuII', 'HpaI', 'MunI', 'Aor13HI', 'MboII', 'XbaI', 'SpeI', 'BmeT110I', 'ScaI', 'Sau3AI', 'FbaI', 'BspT107I', 'ApaLI', 'SnaBI', 'Tth111I', 'Bpu1102I', 'BspT104I', 'Aor51HI', 'Bst1107I', 'Bsp1407I', 'Eco52I', 'HincII', 'SfiI', 'BstPI', 'PvuI', 'NotI', 'CpoI', 'NsbI', 'NheI', 'XhoI', 'VpaK11BI', 'PstI', 'SmaI', 'Van91I', 'SacI', 'XspI', 'HindIII', 'StuI', 'BcnI', 'BanII', 'Hin1I', 'EcoO65I', 'BstXI', 'NruI', 'Sse8387I', 'AatII', 'BalI', 'PshAI', 'BlnI', 'AluI', 'AfaI', 'HapII', 'EcoRV', 'HinfI', 'DpnI', 'BglI', 'BssHII', 'AccI', 'PmaCI', 'AccIII', 'MluI', 'MspI', 'SalI', 'EcoT22I', 'NdeI', 'MflI', 'AflII', 'SphI', 'KpnI', 'Bsp1286I', 'FokI', 'BamHI', 'EcoRI', 'Eco81I', 'DdeI', 'AccII', 'BmgT120I', 'HhaI', 'HaeIII', 'PshBI', 'Eam1105I', 'EaeI', 'HaeII', 'ClaI', 'TaqI', 'BciT130I', 'Cfr10I', 'EcoO109I', 'SspI', 'MboI', 'NaeI', 'EcoT14I', 'ApaI', 'BglII', 'Psp1406I', 'SmiI'],
    )


suppliers['K'] = _temp()


def _temp():
    return (
        'Roche Applied Science',
        ['BclI', 'RsaI', 'DraI', 'NcoI', 'PvuII', 'HpaI', 'MunI', 'XbaI', 'SpeI', 'ScaI', 'Sau3AI', 'SwaI', 'SnaBI', 'NsiI', 'SfiI', 'BbrPI', 'I_SceI', 'MluNI', 'PvuI', 'NotI', 'MvnI', 'NheI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'AflIII', 'CfoI', 'HindIII', 'StuI', 'MroI', 'SexAI', 'MaeIII', 'BstXI', 'NruI', 'KspI', 'MvaI', 'AatII', 'BlnI', 'HindII', 'SfuI', 'AluI', 'BsmI', 'EcoRV', 'HinfI', 'DraIII', 'DpnI', 'BssHII', 'AccI', 'MluI', 'SalI', 'NdeI', 'NarI', 'MaeI', 'SphI', 'KpnI', 'FokI', 'BamHI', 'EcoRI', 'DdeI', 'Asp718I', 'HaeIII', 'Asp700I', 'ClaI', 'TaqI', 'NdeII', 'Eco47III', 'Tru9I', 'ApaI', 'MaeII', 'BglII', 'BfrI'],
    )


suppliers['M'] = _temp()


def _temp():
    return (
        'New England Biolabs',
        ['HpyAV', 'BclI', 'BaeGI', 'BsoBI', 'MmeI', 'Hpy166II', 'RsaI', 'TseI', 'AsiSI', 'DraI', 'SacII', 'NcoI', 'SgrAI', 'PvuII', 'HpaI', 'PpuMI', 'PaeR7I', 'SbfI', 'MboII', 'Nt_BbvCI', 'KasI', 'CspCI', 'FspI', 'XbaI', 'PflMI', 'SpeI', 'BsrI', 'BstZ17I', 'ScaI', 'Sau3AI', 'SwaI', 'ApaLI', 'SnaBI', 'FseI', 'Eco53kI', 'BslI', 'HinP1I', 'BpmI', 'MfeI', 'BspDI', 'HpyCH4III', 'Fnu4HI', 'MspA1I', 'PspOMI', 'NlaIV', 'Sau96I', 'AciI', 'Tth111I', 'NsiI', 'NgoMIV', 'PflFI', 'BstUI', 'AseI', 'BsmFI', 'BanI', 'BlpI', 'XcmI', 'XmnI', 'BsmBI', 'HincII', 'ZraI', 'SfiI', 'Acc65I', 'BsaJI', 'ApoI', 'SfaNI', 'AhdI', 'Hpy99I', 'I_SceI', 'BseYI', 'AscI', 'Cac8I', 'Nt_AlwI', 'PvuI', 'NotI', 'BsaXI', 'BtgI', 'EcoP15I', 'BfaI', 'TspMI', 'HpaII', 'NheI', 'PluTI', 'BmrI', 'MscI', 'NmeAIII', 'PciI', 'XmaI', 'XhoI', 'FauI', 'PstI', 'StyI', 'SmaI', 'SacI', 'BsrFI', 'AflIII', 'Bpu10I', 'HindIII', 'StuI', 'PmeI', 'Nb_BbvCI', 'RsrII', 'BsmAI', 'SexAI', 'ApeKI', 'FatI', 'BciVI', 'PacI', 'HpyCH4IV', 'Nb_BsmI', 'Nt_BstNBI', 'Hpy188I', 'BanII', 'BsaWI', 'HphI', 'AleI', 'BsaI', 'MlyI', 'LpnPI', 'BpuEI', 'Bsu36I', 'TfiI', 'BstNI', 'PspGI', 'BstXI', 'NruI', 'SmlI', 'AcuI', 'HpyCH4V', 'StyD4I', 'AatII', 'BsgI', 'CviAII', 'SfcI', 'PshAI', 'BstBI', 'BmgBI', 'ScrFI', 'BtsI', 'EciI', 'EarI', 'FspEI', 'SrfI', 'AluI', 'AgeI', 'BsiEI', 'I_CeuI', 'BspCNI', 'PI_SceI', 'BsmI', 'TspRI', 'MslI', 'BsrGI', 'NciI', 'MspJI', 'AlwNI', 'BtsIMutI', 'Nb_BssSI', 'AlwI', 'EcoRV', 'BbvCI', 'HinfI', 'DraIII', 'DpnI', 'BspMI', 'Tsp45I', 'BceAI', 'BglI', 'BssHII', 'AccI', 'BbvI', 'BtgZI', 'MluI', 'MspI', 'SalI', 'NdeI', 'BssSI', 'MluCI', 'AvrII', 'NarI', 'BstAPI', 'PI_PspI', 'BmtI', 'AflII', 'PmlI', 'BspQI', 'SphI', 'KpnI', 'Bsp1286I', 'BcoDI', 'FokI', 'BamHI', 'BsaAI', 'BsiHKAI', 'HgaI', 'NspI', 'EcoNI', 'EcoRI', 'PspXI', 'DdeI', 'Nt_BspQI', 'BsrBI', 'BcgI', 'SfoI', 'AclI', 'PsiI', 'BseRI', 'BaeI', 'NlaIII', 'Nt_BsmAI', 'HhaI', 'MnlI', 'BfuAI', 'BsaBI', 'HaeIII', 'PleI', 'BspEI', 'Nb_BsrDI', 'BbsI', 'BccI', 'DrdI', 'SapI', 'BspHI', 'EaeI', 'HaeII', 'ClaI', 'TaqI', 'AvaII', 'BsrDI', 'BsaHI', 'AvaI', 'EcoO109I', 'SspI', 'BstEII', 'BtsCI', 'EagI', 'CviKI_1', 'BsiWI', 'CviQI', 'BfuCI', 'MboI', 'MseI', 'NaeI', 'MwoI', 'ApaI', 'Nb_BtsI', 'AfeI', 'BglII', 'Hpy188III', 'DpnII', 'BstYI', 'AbaSI'],
    )


suppliers['N'] = _temp()


def _temp():
    return (
        'Toyobo Biochemicals',
        ['BclI', 'SacII', 'NcoI', 'PvuII', 'SpeI', 'ScaI', 'HincII', 'SfiI', 'PvuI', 'NotI', 'NheI', 'MscI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'HindIII', 'MroI', 'PacI', 'AluI', 'EcoRV', 'HinfI', 'DpnI', 'BglI', 'MluI', 'SalI', 'SphI', 'KpnI', 'BamHI', 'EcoRI', 'DdeI', 'HaeIII', 'BglII'],
    )


suppliers['O'] = _temp()


def _temp():
    return (
        'Molecular Biology Resources - CHIMERx',
        ['RsaI', 'DraI', 'SacII', 'NcoI', 'PvuII', 'HpaI', 'MboII', 'TaqII', 'XbaI', 'SpeI', 'ScaI', 'AcvI', 'Tth111I', 'NsiI', 'HincII', 'SfiI', 'PvuI', 'NotI', 'HpaII', 'NheI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'HindIII', 'StuI', 'RsrII', 'BstXI', 'NruI', 'TspDTI', 'BalI', 'AluI', 'EcoRV', 'HinfI', 'DpnI', 'BglI', 'BssHII', 'AccI', 'MluI', 'MspI', 'SalI', 'NdeI', 'NarI', 'SphI', 'KpnI', 'BamHI', 'EcoRI', 'DdeI', 'CviJI', 'HhaI', 'MnlI', 'HaeIII', 'ClaI', 'TaqI', 'AvaI', 'SspI', 'PinAI', 'BsiHKCI', 'MboI', 'ApaI', 'TspGWI', 'BglII'],
    )


suppliers['Q'] = _temp()


def _temp():
    return (
        'Promega Corporation',
        ['BclI', 'RsaI', 'DraI', 'SacII', 'NcoI', 'I_PpoI', 'PvuII', 'HpaI', 'VspI', 'MboII', 'XbaI', 'SpeI', 'ScaI', 'Sau3AI', 'SnaBI', 'MspA1I', 'NsiI', 'BstZI', 'BanI', 'XmnI', 'HincII', 'SfiI', 'PvuI', 'NotI', 'HpaII', 'NheI', 'EcoICRI', 'XmaI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'CfoI', 'HindIII', 'StuI', 'BstXI', 'NruI', 'Hsp92I', 'BalI', 'AluI', 'AgeI', 'CspI', 'NciI', 'EcoRV', 'HinfI', 'DpnI', 'BglI', 'BssHII', 'AccI', 'AccIII', 'MluI', 'MspI', 'SalI', 'NdeI', 'NarI', 'SphI', 'KpnI', 'BamHI', 'EcoRI', 'DdeI', 'HhaI', 'HaeIII', 'Hsp92II', 'HaeII', 'ClaI', 'TaqI', 'AvaII', 'SgfI', 'SspI', 'BstEII', 'Eco47III', 'MboI', 'Tru9I', 'ApaI', 'BglII'],
    )


suppliers['R'] = _temp()


def _temp():
    return (
        'Sigma Chemical Corporation',
        ['BclI', 'RsaI', 'DraI', 'NcoI', 'PvuII', 'HpaI', 'MunI', 'XbaI', 'SpeI', 'ScaI', 'SwaI', 'NsiI', 'SfiI', 'PvuI', 'NotI', 'NheI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'AflIII', 'CfoI', 'HindIII', 'StuI', 'MaeIII', 'NruI', 'KspI', 'BlnI', 'HindII', 'SfuI', 'AluI', 'BsmI', 'EcoRV', 'HinfI', 'DpnI', 'EclXI', 'MluI', 'SalI', 'NdeI', 'NarI', 'SphI', 'KpnI', 'BamHI', 'EcoRI', 'DdeI', 'Asp718I', 'HaeIII', 'ClaI', 'TaqI', 'Eco47III', 'ApaI', 'BglII', 'BfrI'],
    )


suppliers['S'] = _temp()


def _temp():
    return (
        'Vivantis Technologies',
        ['RsaI', 'DraI', 'PspEI', 'PvuII', 'PspCI', 'HpaI', 'Bse21I', 'AspA2I', 'Ama87I', 'VspI', 'Bst6I', 'Zsp2I', 'SbfI', 'MboII', 'AcsI', 'AspS9I', 'XbaI', 'BssNI', 'Bst2UI', 'BstSNI', 'BstMCI', 'Sfr274I', 'BstF5I', 'MspA1I', 'PspOMI', 'AccB7I', 'Tth111I', 'BstDSI', 'CciNI', 'Bst4CI', 'MroXI', 'Msp20I', 'Bpu14I', 'BstMBI', 'AsiGI', 'ZraI', 'SfiI', 'BmrFI', 'Acc65I', 'AsuHPI', 'SfaNI', 'HspAI', 'MhlI', 'BstPAI', 'AccB1I', 'BmiI', 'AspLEI', 'HpaII', 'EcoICRI', 'FauNDI', 'XmaI', 'PstI', 'AccBSI', 'Bso31I', 'SmaI', 'BsePI', 'Bpu10I', 'HindIII', 'BssNAI', 'Bbv12I', 'Vha464I', 'BstX2I', 'VneI', 'BpuMI', 'BstMAI', 'PceI', 'BstXI', 'PctI', 'BmcAI', 'BshVI', 'AatII', 'Rsr2I', 'SmiMI', 'BstNSI', 'BsnI', 'HindII', 'Bsp19I', 'DseDI', 'AluI', 'FriOI', 'FblI', 'DinI', 'BstH2I', 'Sse9I', 'BtuMI', 'EcoRV', 'HinfI', 'DraIII', 'BglI', 'BstFNI', 'Bse1I', 'MluI', 'MspI', 'SalI', 'BstAUI', 'Bme18I', 'BmtI', 'BstV2I', 'SphI', 'BmeRI', 'KpnI', 'FokI', 'Bsp1720I', 'BamHI', 'BstHHI', 'BssMI', 'BseX3I', 'EcoRI', 'BstBAI', 'Bse8I', 'Acc16I', 'BstENI', 'AclI', 'Bsp13I', 'Bse3DI', 'MnlI', 'Psp124BI', 'TaqI', 'SspI', 'AfiI', 'BssT1I', 'Sfr303I', 'Ksp22I', 'AsuNHI', 'Bse118I', 'Tru9I', 'MroNI', 'ApaI', 'BglII', 'SmiI', 'AhlI', 'BstDEI'],
    )


suppliers['V'] = _temp()


def _temp():
    return (
        'EURx Ltd.',
        ['MmeI', 'RsaI', 'DraI', 'SacII', 'NcoI', 'PvuII', 'HpaI', 'MboII', 'TaqII', 'XbaI', 'SpeI', 'ScaI', 'Sau3AI', 'BspMAI', 'AcvI', 'Tth111I', 'NsiI', 'HincII', 'SfiI', 'PvuI', 'NotI', 'HpaII', 'NheI', 'XhoI', 'PstI', 'SmaI', 'SacI', 'HindIII', 'StuI', 'RsrII', 'BanII', 'BstXI', 'NruI', 'TspDTI', 'BalI', 'AluI', 'EcoRV', 'HinfI', 'DpnI', 'BglI', 'BssHII', 'AccI', 'MluI', 'MspI', 'SalI', 'NdeI', 'NarI', 'BspANI', 'SphI', 'KpnI', 'FokI', 'BamHI', 'EcoRI', 'DdeI', 'CviJI', 'SinI', 'HhaI', 'MnlI', 'BspTNI', 'HaeIII', 'ClaI', 'TaqI', 'AvaII', 'AvaI', 'SspI', 'PinAI', 'BsiHKCI', 'MboI', 'ApaI', 'TspGWI', 'BglII', 'BsuTUI'],
    )


suppliers['X'] = _temp()


def _temp():
    return (
        'SinaClon BioScience Co.',
        ['RsaI', 'NcoI', 'SlaI', 'SmaI', 'HindIII', 'BsiSI', 'BstXI', 'AluI', 'HinfI', 'KpnI', 'FokI', 'BamHI', 'EcoRI', 'MboI'],
    )


suppliers['Y'] = _temp()


typedict = {}


def _temp():
    return (
        ('Palindromic', 'TwoCuts', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['NmeDI'],
    )


typedict['type130'] = _temp()


def _temp():
    return (
        ('Palindromic', 'TwoCuts', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['UcoMSI'],
    )


typedict['type132'] = _temp()


def _temp():
    return (
        ('Palindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['RdeGBIII', 'HsoII'],
    )


typedict['type142'] = _temp()


def _temp():
    return (
        ('Palindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['FalI', 'BplI'],
    )


typedict['type143'] = _temp()


def _temp():
    return (
        ('Palindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BdaI', 'AlfI'],
    )


typedict['type144'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'NoCut', 'Unknown', 'NotDefined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Mtu2279II', 'Asp114II', 'AhyRBAHI', 'PcaII', 'MtuHN878II', 'Cdi1678I', 'RdeGBI', 'Ssp6714IV', 'Lmo11AII', 'Psp0357II', 'Sen1736II', 'HpyAXVI_mut1', 'FtnUIII', 'Aba6411II', 'Rsp008V', 'Cdu23823II', 'PmeS132I', 'AspDUT2V', 'CjeFIII', 'AspJHL3II', 'EcoPT54I', 'Maf25II', 'Xca85IV', 'Nbr128II', 'Sen1896IV', 'Sen13III', 'Mtu18II', 'CcrNAIII', 'CjeNII', 'Cgl13032II', 'StyLTI', 'HpyUM032XIV', 'SpnRII', 'Jsp2502II', 'Kpn39795III', 'Mtu26105I', 'BscGI', 'Asu14238IV', 'HinfIII', 'Cba13II', 'Mtu37004I', 'NgoMVIII', 'Nal45188II', 'NgoAX', 'NgoMX', 'Jma19592I', 'RspPBTS2III', 'MkaDII', 'Cba4G11III', 'EsaSSI', 'Mba11I', 'Ecl35734I', 'SenSARA26III', 'Yps3606I', 'MchCM4I', 'Sty13348III', 'SplRp8I', 'Pst14472I', 'Pdu1735I', 'Mtu2242II', 'NgoBVIII', 'CjeNV', 'MtuBlII', 'Ble402II', 'Lmo911II', 'PliMI', 'Lmo370I', 'Mcr10I', 'AchA6III', 'BsuJPCI', 'Aco12261II', 'MmyCI', 'CjeIAIII', 'EcoMVII', 'HpyUM037X', 'Ssp6803IV', 'Mbo30II', 'Mtu22115I', 'SenC1808III', 'TspARh3I', 'Cau10061II', 'EcoGVIII', 'HpyUM032XIII_mut1', 'Eco644I', 'Lmo6907II', 'CalB3II', 'Cfupf3II', 'Bgl2196IV', 'Pal408I', 'LfuRB21I', 'Jma19592II', 'Hpy99XXII', 'Bsp460III', 'Bag18758I', 'Sen1906IV', 'Btr192II', 'Lmo23459II', 'SmoLII', 'Saf8902III', 'Cco14983III', 'Cba16038I', 'GauT27I', 'BfaSII', 'KpnNIH30III', 'Kor51II', 'CjeFV', 'Csp12AI', 'Bsu3610I', 'Xsp91II', 'NhaXI', 'DrdII', 'AhyYL17I', 'NpeUS61II', 'Awo1030IV', 'SenTFIV', 'MspCY2I', 'BloAII', 'GmeII', 'Pdi8503III', 'BchI', 'AbaCIII', 'Dor12838III', 'PfrUF1II', 'Cal14237I', 'Hpy99XIII', 'Eco933II', 'Bsu7003I', 'Pac19842II', 'FtnUV', 'Sth20745III', 'Lsp48III', 'BanLI', 'Rba2021I', 'HpyAXIV', 'Hpy99XIV_mut1', 'Lba2029III', 'SstE37III', 'Cma23826I', 'Pst273I', 'SenC1810IV', 'Bth571I', 'Lsp6406VI', 'Pme5II', 'PacIII', 'HpyAXVI_mut2', 'Bce3081I', 'Acc65V', 'RflFIII', 'Eco4465II', 'BceJI', 'Sen1878IV', 'ScoDS2II', 'Sen1910IV', 'Sgr13350III', 'Eco9234II', 'Fla104114II', 'HpyAII', 'NflHI', 'Cdi81III', 'Rsp008IV', 'NgoAXVI', 'Esp3007I', 'Sno506I', 'Hpy99XIV', 'RpaTI', 'Cla11845III', 'Ssp714II', 'Sen1908IV', 'Cgl13032I', 'MspI7II', 'MmyCVI', 'Cdi11397I', 'Mva1312II', 'TdeII', 'Csp2014I', 'Sen1898IV', 'Fph2801I', 'Sen13311III', 'Gba708II', 'McaCI', 'Eli8509II', 'BhaI', 'Cly7489II', 'AteTI', 'Pse18267I', 'Bsp3004IV', 'SenAZII', 'Nar7I', 'OspHL35III', 'Vtu19109I', 'CcoMI', 'Mha185III', 'Hpy30XI', 'Lpl116III', 'Sen1880IV', 'Sbo46I', 'Exi27195I', 'SpoDI', 'Psp10HII', 'EcoE1140I', 'Mbo26II', 'HbaII'],
    )


typedict['type146'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'NoCut', 'Unknown', 'NotDefined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BsmNI', 'Eco129I', 'Nt_BtsCI', 'Hpy178II', 'Bli49I', 'Efa31KI', 'BspNCI', 'PenI', 'AbaUMB2I', 'Eco101I', 'Eco42I', 'HinGUII', 'PI_ZbaI', 'VpaKutEI', 'LfeI', 'VpaK57AI', 'Uba1415I', 'Bli576II', 'BscQII', 'CjuII', 'BsxI', 'AlwFI', 'Rle69I', 'BpuJI', 'VpaK57I', 'UbaF13I', 'Nb_BsaI', 'PmdI', 'BscWI', 'Eco217I', 'UbaN12I', 'PI_ScaI', 'FsfI', 'Bco102II', 'NgoDVIII', 'BspJ74I', 'Eco71KI', 'PsuGI', 'Esp16I', 'Uba65I', 'BsaUI', 'TceI', 'Eco239I', 'VpaO5I', 'Eco247I', 'HpyII', 'BsmDI', 'BsrEI', 'Pfl1108I', 'Nt_SapI', 'Eco112I', 'Bco35I', 'Bli5508I', 'Eco233I', 'Rtr20I', 'Bth1795I', 'Uba1382I', 'Eco95I', 'Uba1316I', 'F_EcoT5II', 'Eco125I', 'HpyF6I', 'BthII', 'Uba1276I', 'UbaF9I', 'Eco97I', 'PI_TliII', 'I_CsmI', 'SaiI', 'PI_AvaI', 'BcrAI', 'Eco240I', 'BstDZ247I', 'CjeP338II', 'Nb_BtsCI', 'Eco241I', 'BspD6II', 'FinI', 'RlaI', 'Ral8I', 'Eco157I', 'BspGI', 'BpuFI', 'BscUI', 'BsrVI', 'Esp23I', 'Eco51I', 'PpaI', 'Eco191I', 'Eco204I', 'Bsp22I', 'Eco203I', 'BsmEI', 'Eco155I', 'BsmCI', 'Uba84I', 'Eco156I', 'VpaKutHI', 'CjeP659IV', 'LmoH7I', 'Eco120I', 'HpyF67III', 'BsmXI', 'Eco205I', 'PbuJKI', 'BpuCI', 'BtsPI', 'UbaPI', 'Sau12I', 'TsuI', 'SsmI', 'PI_BciPI', 'NcuII', 'Eco185I', 'Eco225I', 'BcoSI', 'Cfr56I', 'UbaF11I', 'UbaF14I', 'Hpy166III', 'BscHI', 'ShaI', 'Bth617I', 'BctI', 'BmgI', 'Bst158I', 'HineI', 'Bsp6II', 'Bsp28I', 'SlbI', 'BpuNI', 'BsoHI', 'Nb_BspQI', 'BscKI', 'Eco127I', 'Uba1444I', 'VpaKutFI', 'Eco263I', 'BsaVI', 'BsrWI', 'PI_HvoWI', 'UbaF12I', 'SasI', 'Eco246I', 'Uba1437I', 'Eco162I', 'NmeBI', 'Bli161I', 'Hpy178VI', 'Nb_SapI', 'BspVI', 'NgoJVIII', 'UbaN7I', 'Uba1192I', 'I_SceVII', 'Uba1343I'],
    )


typedict['type148'] = _temp()


def _temp():
    return (
        ('Palindromic', 'NoCut', 'Unknown', 'NotDefined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Eco47II', 'CviSIII', 'NgoMI', 'EsaBS9I', 'XorKI', 'NgoBV', 'HpyAIV', 'BceSII', 'HpyUM032XIII', 'CdiCD6I', 'PsuNI', 'TrsTI', 'LlaDCHI', 'SelPI', 'AspCNI', 'CdiCD6II', 'R2_BsuMI', 'NmeSI', 'TmaI', 'CmaLM2II', 'MjaII', 'Hpy99IV', 'CceI', 'TrsSI', 'BsuEII', 'R1_BbrUI', 'MthTI', 'NsoJS138I', 'HpyAIII', 'Sgr13350I', 'R3_BsuMI', 'TrsKTI', 'Bce14579I', 'EsaWC1I', 'LlaKR2I', 'CphBI', 'LlaDII', 'Bli1904II', 'MjaIII', 'BbrUIII', 'MjaV', 'NgoMV', 'NgoBI', 'TneI', 'CagI', 'EcoGIII', 'Hpy99III', 'Cac824I', 'EsaLHCI', 'MjaIV', 'TdeIII', 'BsuMI', 'Spn23FI', 'NgoAII', 'SenpCI', 'SonI', 'NgoAI', 'BbrUII', 'CglI', 'NgoMIII', 'Eco128I', 'MjaI', 'NgoSII', 'NgoFVII', 'Hpy99II', 'BmeTI', 'Mmu5I', 'BstXII', 'R1_BsuMI', 'BhaII', 'Hpy299IX', 'SghWII'],
    )


typedict['type2'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['MlyI', 'BsrBI'],
    )


typedict['type209'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['NgoAVII'],
    )


typedict['type210'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['AccBSI', 'MbiI', 'BmgBI', 'AjiI', 'BtrI', 'SchI'],
    )


typedict['type211'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BstD102I', 'CdiI', 'SspD5I', 'Bst31NI'],
    )


typedict['type212'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['AciI', 'BbvCI', 'BssSI', 'BspACI'],
    )


typedict['type221'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['BauI', 'PspFI', 'BseYI', 'Bst2BI', 'SsiI'],
    )


typedict['type223'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['I_Ssp6803I', 'GdiII', 'BssIMI', 'I_SceVI', 'I_LlaI', 'I_Bth0305I', 'I_SceV', 'BsiI', 'SimI', 'AbeI'],
    )


typedict['type224'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['Esp3I', 'BsmFI', 'BsmBI', 'Alw26I', 'EcoP15I', 'Bpu10I', 'BsmAI', 'Eco31I', 'Lsp1109I', 'AlwI', 'BspMI', 'BceAI', 'BbvI', 'BtgZI', 'BcoDI', 'FokI', 'HgaI', 'BfuAI', 'PleI', 'BccI'],
    )


typedict['type225'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BspLU11III', 'BceSI', 'HpyC1I', 'StsI', 'BcoKI', 'BspST5I', 'BscAI', 'BpuSI', 'BceSIII', 'BspIS4I', 'EcoPI', 'PstII'],
    )


typedict['type226'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['Bst6I', 'BpiI', 'LweI', 'BveI', 'BseXI', 'FaqI', 'CseI', 'PciSI', 'BslFI', 'SfaNI', 'AclWI', 'BspPI', 'FauI', 'Bso31I', 'LguI', 'BsaI', 'BstMAI', 'LpnPI', 'PpsI', 'EarI', 'FspEI', 'MspJI', 'Eam1104I', 'Acc36I', 'BstV2I', 'BspQI', 'BspTNI', 'BbsI', 'SapI', 'BmsI', 'BstV1I', 'AarI'],
    )


typedict['type227'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['PhaI', 'BspTS514I', 'Bco5I', 'Bsp423I', 'BcefI', 'AceIII', 'BstBS32I', 'BstH9I', 'Bst31TI', 'PI_MleSI', 'Bme585I', 'SmuI', 'BsoMAI', 'EcoA4I', 'GeoICI', 'BpuAI', 'Bsc91I', 'Bsu6I', 'AspBHI', 'BpuDI', 'BbvII', 'SgrTI', 'EcoBLMcrX', 'Ksp632I', 'Bst19I', 'BstGZ53I', 'Bbv16II', 'BinI', 'Sth132I', 'BstOZ616I', 'Bst12I', 'EcoO44I', 'CatHI', 'BseZI', 'BseKI', 'BstTS5I', 'AlwXI', 'BspD6I', 'EacI', 'Bsu537I', 'Bco116I', 'Bbr7I', 'VpaK32I', 'F_TevI', 'Bli736I', 'BstFZ438I', 'SguI', 'Bst71I', 'BspBS31I'],
    )


typedict['type228'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['I_PpoI', 'I_SceI', 'I_CeuI', 'PI_SceI', 'PI_PspI', 'GsaI'],
    )


typedict['type235'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['I_Tsp061I', 'I_MsoI', 'I_TevI', 'I_GzeI', 'I_SceII', 'I_SmaMI', 'I_PanMI', 'I_LtrWI', 'H_DreI', 'F_TevIII', 'I_OmiII', 'I_CvuI', 'PI_PkoII', 'PI_MtuI', 'I_ChuI', 'I_SceIV', 'I_GpeMI', 'I_PogTE7I', 'I_HjeMI', 'I_NanI', 'I_MpeMI', 'I_PakI', 'PI_TmaI', 'I_BthII', 'I_PorI', 'I_BmoI', 'I_PnoMI', 'I_ScaI', 'F_TevII', 'PI_PfuII', 'PI_TmaKI', 'PI_TliI', 'I_LtrI', 'I_NjaI', 'I_Vdi141I', 'I_CpaMI', 'I_ApeKI', 'I_SpomI', 'PI_MgaI', 'I_DmoI', 'I_NitI', 'F_SceI', 'I_NfiI', 'I_SceIII', 'I_OnuI', 'I_CpaII', 'I_GzeII', 'I_CpaI', 'PI_TfuI', 'F_CphI', 'PI_PkoI', 'I_GpiI', 'PI_PabII', 'PI_PfuI', 'I_AniI', 'F_EcoT5IV', 'I_SscMI', 'I_CreII', 'I_BanI', 'I_CmoeI', 'F_PhiU5I', 'I_TevII', 'I_AchMI', 'I_CreI', 'F_SceII', 'PI_PabI', 'F_TevIV', 'I_AabMI'],
    )


typedict['type236'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['HpyAV', 'MmeI', 'Eco57I', 'MboII', 'TaqII', 'BsrI', 'BseMII', 'BpmI', 'BstF5I', 'BmrI', 'NmeAIII', 'HphI', 'BpuEI', 'AcuI', 'BsgI', 'BspCNI', 'BseRI', 'MnlI', 'TspGWI'],
    )


typedict['type237'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['RpaBI', 'TthHB27I', 'TsoI', 'AquIII', 'CstMI', 'WviI', 'AquII', 'ApyPI', 'CdpI', 'NcuI', 'SdeAI', 'CchII', 'RceI', 'BsbI', 'BfiI', 'SstE37I', 'AquIV', 'RpaI', 'AmaCSI', 'Tth111II', 'TaqIII', 'NlaCI', 'CjeNIII', 'PlaDI', 'MaqI', 'RpaB5I', 'RdeGBII', 'DraRI', 'RlaII', 'CchIII', 'PspPRI', 'PspOMII'],
    )


typedict['type238'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['BfuI', 'BseMI', 'AsuHPI', 'BsuI', 'LmnI', 'Mva1269I', 'BciVI', 'PctI', 'TspDTI', 'BseGI', 'BtsI', 'EciI', 'BsmI', 'BtsIMutI', 'BmuI', 'Bse1I', 'BseNI', 'GsuI', 'Bse3DI', 'BsrDI', 'BtsCI', 'AbaSI'],
    )


typedict['type239'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BsaMI', 'BmaHI', 'BbiDI', 'PfrCI', 'Asp40HI', 'Tsp1I', 'Hin4II', 'EsaNI', 'AbaBGI', 'AbaTI', 'Bce83I', 'Asp27HI', 'YkrI', 'BmeDI', 'BspKT5I', 'PatTI', 'AcaPI', 'Asp36HI', 'AbaUI', 'Asp50HI', 'EsaMMI', 'BscCI', 'Bst11I', 'AbaHI', 'RleAI', 'PI_TfuII', 'PpeHI', 'Mte37I', 'PxyI', 'BsrSI', 'Asp35HI', 'CfrCI', 'PI_ThyI', 'Asp26HI', 'AbaCI', 'AbaAI', 'AbaDI', 'Eco57MI'],
    )


typedict['type240'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov5', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['Nb_Mva1269I', 'Nt_BbvCI', 'Nb_BbvCI', 'Nb_BsmI', 'Nt_Bpu10I', 'Nb_BssSI', 'Nb_BsrDI', 'Nb_BtsI'],
    )


typedict['type271'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov5', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['I_PfoP3I', 'F_EcoT5I', 'I_TslI', 'F_EcoT3I', 'I_HmuII', 'I_TslWI', 'Nt_Bpu10IB', 'I_DdiI', 'I_TwoI', 'I_TevIII', 'I_HmuI', 'Nt_CviPII', 'I_BasI'],
    )


typedict['type272'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BceSIV'],
    )


typedict['type274'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['Nb_Bpu10I'],
    )


typedict['type275'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Nb_BsmAI'],
    )


typedict['type276'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['CspCI', 'AloI', 'BcgI'],
    )


typedict['type285'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['PpiI', 'CjeI', 'TstI', 'SdeOSI', 'NgoAVIII'],
    )


typedict['type286'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['ArsI', 'Nt_AlwI', 'BsaXI', 'BarI', 'Nt_BstNBI', 'AjuI', 'PsrI', 'Nt_Bst9I', 'Nt_BspQI', 'BaeI', 'Nt_BsmAI'],
    )


typedict['type287'] = _temp()


def _temp():
    return (
        ('NonPalindromic', 'TwoCuts', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Nt_BsaI', 'Nt_CviQII', 'CjePI', 'Nt_BspD6I', 'Hin4I', 'Nt_BhaIII', 'Bsp24I', 'Nt_CviQXI', 'Nt_BstSEI', 'Nt_BsmBI', 'Nt_MlyI'],
    )


typedict['type288'] = _temp()


def _temp():
    return (
        ('Palindromic', 'NoCut', 'Unknown', 'NotDefined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['OmiBII', 'VpaK29AI', 'HpyF46III', 'BshLI', 'HpyF10IV', 'CcoP219I', 'Bka1125I', 'Bth1140I', 'ShyI', 'CcoP31I', 'Mph1103II', 'XveI', 'HpyF28I', 'R2_Ssu2479I', 'Eco67I', 'TspZNI', 'Uba1408I', 'TdeI', 'R1_Ssu2479I', 'Ese3I', 'Msp199I', 'Cte1180I', 'Bfi105I', 'Uba1120I', 'Bsp508I', 'Rma519I', 'HpyF26II', 'HpyF54I', 'BsaRI', 'Uba1442I', 'Uba1094I', 'Uba1313I', 'Uba1424I', 'UbaN22I', 'SthBI', 'Eco252I', 'Bsp23I', 'BsaLI', 'Uba1122I', 'SpaXI', 'Uba1438I', 'BamFI', 'CcoP13III', 'VpaKutBI', 'McaI', 'Tsp133I', 'MraI', 'BsaCI', 'HpyF6III', 'MauAI', 'Hin3I', 'TtoI', 'Asp32HI', 'SflHK11086I', 'Bal475I', 'Tbr51I', 'Uba1148I', 'Xgl3217I', 'Uba72I', 'Eco228I', 'Uba1129I', 'MvsEI', 'Bst30I', 'HpyF6II', 'Bst31I', 'Hpy312I', 'Uba1138I', 'NgoGI', 'CpfAI', 'Uba1196I', 'NspGI', 'NtaSII', 'SfnI', 'AvrBI', 'ScuI', 'Uba77I', 'BspS122I', 'Mel2TI', 'Bse126I', 'Eco17I', 'Uba22I', 'Cfr23I', 'Uba1212I', 'Uba1319I', 'MsiI', 'NcaI', 'AitAI', 'Uba62I', 'HinHI', 'AinII', 'Sau15I', 'BsaTI', 'Ecl37I', 'VchO25I', 'HpyF7I', 'Rma515I', 'BstRI', 'Hin5III', 'BazI', 'Eco48I', 'Atu1I', 'Bsp54I', 'Esp6I', 'Asp1HI', 'BmaCI', 'Uba1201I', 'Sgr1841I', 'Cfr22I', 'Uba1111I', 'EaePI', 'KoxI', 'Srl55DII', 'BsuB763I', 'SflHK10695I', 'HpyF61II', 'BsaQI', 'Vha1168I', 'BshEI', 'SinFI', 'HpyF38II', 'BscRI', 'CliI', 'ClcII', 'PflAI', 'UbaN21I', 'MisI', 'EcoT95I', 'CviNI', 'Bse631I', 'Cfr33I', 'Sth455I', 'Srl1DI', 'Uba1258I', 'HpyF24II', 'YenEI', 'Ssp47I', 'EspHK7I', 'BsmPI', 'BstKI', 'Uba1294II', 'Bsh108AI', 'Bsp82I', 'BsuB519I', 'Uba1249I', 'Shy1766I', 'SmuCI', 'BsaKI', 'Uba1324I', 'Taq20I', 'Uba1380I', 'SflHK11572I', 'Rlu1I', 'Bst1473I', 'OspI', 'Ecl37kII', 'PspNI', 'NmuAII', 'VpaKutAI', 'Bsp142I', 'HpyF64III', 'Bsp144I', 'SflHK11087I', 'HpyF9II', 'Pae8I', 'HpyF33I', 'SauBI', 'HpyF56I', 'NmuEII', 'RhcI', 'Bsu8565I', 'TteI', 'HpyF48III', 'SauEI', 'Uba1347I', 'HpyF12I', 'DrdDI', 'VpaKutGI', 'SagI', 'Cfr38I', 'SseII', 'HpyF55II', 'Bpu86I', 'SulI', 'Bth1141I', 'Uba1161I', 'Uba1217I', 'HpyF63I', 'StaAI', 'Uba1149I', 'SynII', 'Uba1204I', 'Bsp78I', 'Eco90I', 'Eco231I', 'Uba1183I', 'Psp5I', 'HpyF68II', 'Psp39I', 'Hin1056I', 'TruII', 'Uba1318I', 'Pac1110I', 'Bsp9I', 'Bsp70I', 'Mlu40I', 'Cfr27I', 'Bsp51I', 'Uba1154I', 'UbaN20I', 'Ali12257I', 'RrhI', 'Uba1379I', 'Uba1381I', 'Uba1328I', 'BstDI', 'Uba1398I', 'Uba1239I', 'Psp38I', 'XorKII', 'BseII', 'AviI', 'TtmI', 'Eco211I', 'SnaI', 'SspJII', 'UbaN19I', 'Msp16I', 'FinII', 'TfiTok6A1I', 'HpyF71I', 'ScoNI', 'HpyF67II', 'PntI', 'Asp78I', 'Ssp43I', 'Eco49I', 'GinI', 'Uba1205II', 'NlaSI', 'Sau33I', 'Vsp2246I', 'AspTII', 'NliII', 'FsuI', 'Uba20I', 'Msp23I', 'Eco193I', 'Uba1325I', 'UbaN3I', 'BtcI', 'Bbf7411I', 'BscOI', 'HpyF72I', 'NlaSII', 'NspLI', 'Uba1440I', 'Asp748I', 'Srl32DI', 'MthI', 'Pph2066I', 'SspJI', 'AsuSAI', 'Eco168I', 'AcaIII', 'Bst224I', 'Ecl28I', 'Uba1257I', 'Uba88I', 'AosIII', 'Asp29HI', 'Uba1186I', 'Uba1419I', 'HpyF10I', 'Bsp139I', 'RspI', 'Uba1128I', 'Tsp507I', 'Bsp84I', 'SthKI', 'BsrHI', 'XniI', 'PglI', 'Rma495II', 'Ecl133I', 'AacLI', 'DaqI', 'EcoHAI', 'Uba1184II', 'SthHI', 'Cfr52I', 'Uba1271I', 'Kpn14I', 'Pei9403I', 'BstNSII', 'Cte1I', 'Sau557I', 'TauII', 'HinS1I', 'Eco167I', 'BscJI', 'BshMI', 'PboCI', 'Uba1298I', 'BstZ1II', 'Eco195I', 'VchO85I', 'PflNI', 'Uba1411I', 'BluII', 'Sau2I', 'BstEIII', 'RhpI', 'Bsp16I', 'NlaDI', 'BstZ1I', 'Uba1131I', 'SflHK8401I', 'R2_Ssu11318I', 'SmaAIV', 'Eco83I', 'HpyF61I', 'VniI', 'Bsp126I', 'Psp56I', 'Vha44I', 'Uba1447I', 'BspH43I', 'Uba1449I', 'FtnUIV', 'Acs1421I', 'Uba1371I', 'SflHK6873I', 'MbaR4I', 'NciAI', 'Bsp71I', 'NmuI', 'Afl83II', 'BsmYI', 'Psp89I', 'Uba54I', 'Ecl137II', 'Uba1326I', 'Uba1234I', 'Eco93I', 'MfoI', 'Asp8HI', 'Uba1126I', 'SthMI', 'NasSI', 'Uba83I', 'Bce170I', 'HinJCII', 'Mho2111I', 'Kox165I', 'CfrNI', 'BstBAII', 'AhaB1I', 'EspHK24I', 'BsiUI', 'NgoCI', 'Uba1220I', 'Pfl18I', 'Uba57I', 'TrsKTII', 'AaqI', 'Bsp140I', 'Ese6II', 'Uba58I', 'EagKI', 'Pph1773I', 'Pru4541I', 'Uba1342I', 'BsaEI', 'Tsp273I', 'Pae24I', 'Ecl699kI', 'XorI', 'VchO68I', 'Esp19I', 'Rma516I', 'Uba1227I', 'HpyF51I', 'AerAI', 'Cfr47I', 'Eco207I', 'BsiAI', 'Uba1124I', 'Uba1213I', 'SabI', 'SflHK2374I', 'Srr17I', 'NlaDIII', 'Eco43I', 'Eco164I', 'BceRI', 'BstQI', 'Uba1428I', 'Uba1337I', 'HpyHII', 'Uba1155I', 'Uba1320I', 'Bsp44II', 'VchO90I', 'HpyF70I', 'BspSI', 'Uba1228I', 'MnnI', 'Bth211I', 'PinI', 'Srl8DI', 'Uba31I', 'DrdCI', 'PmyI', 'PxyARI', 'Bth9415I', 'Uba1410I', 'VchO87I', 'MvsCI', 'SflHK7462I', 'BspH226I', 'MthAI', 'Uba1374I', 'Uba1307I', 'HpyF26I', 'SinAI', 'Eco159I', 'Eco113I', 'Kpn19I', 'Cfr58I', 'BshCI', 'SalCI', 'BsrPII', 'Asp90I', 'BliI', 'SpaPIV', 'Uba1182I', 'Bce1247I', 'RroI', 'BsmWI', 'Eco110kI', 'SinGI', 'SthLI', 'Srl19I', 'BscSI', 'Pae22I', 'Acc38I', 'Bsp7I', 'GspAI', 'Cpa1150I', 'SthGI', 'PaeCI', 'Uba1439I', 'SgaI', 'SseI', 'Cas2I', 'HpyF41II', 'Uba1140I', 'ApcTR183I', 'Uba34I', 'Cin1467I', 'Umi7I', 'HpyF65II', 'BbiI', 'GobAI', 'MnnII', 'KoyI', 'Bsp56I', 'AspDI', 'Dsp1I', 'TspIDSI', 'Msp24I', 'BsaNI', 'Cfr92I', 'Bse54I', 'Bsp103I', 'Bsp100I', 'Uba39I', 'BstLVI', 'Eco121I', 'Bsp49I', 'McaAI', 'HpyF43I', 'FatII', 'BstLI', 'PatAI', 'Bst29I', 'NflI', 'HpyF66II', 'NanII', 'Uba1101I', 'HpyF13I', 'Cfr57I', 'Uba90I', 'MliI', 'Bsp1261I', 'Uba1302I', 'Uba1139I', 'R2_Ssu8074I', 'Uba1332I', 'SplAI', 'SceAI', 'Eae2I', 'CtyI', 'HpyF44V', 'Bsu1193I', 'Bth213I', 'HpyF64I', 'HpyF50II', 'Bsp128I', 'CviMI', 'Eco178I', 'SspM1III', 'Ppu13I', 'Uba1242I', 'GdoI', 'OchI', 'Xgl3219I', 'SspM2I', 'PspI', 'Cdi27I', 'MvsAI', 'Ssp14I', 'Ssp48I', 'BstZ4I', 'FspMI', 'HpyF36IV', 'PmaI', 'Uba1193I', 'Sgr20I', 'CcoP95I', 'Ssp45I', 'SauDI', 'SflHK7234I', 'PxyMZI', 'HinfII', 'BseB631I', 'HpyHPK5II', 'Bsp121I', 'HpyF52I', 'Uba1233I', 'XmlI', 'UbaN5I', 'Bsp2362I', 'Cfr14I', 'DdsI', 'Bsp58I', 'Eco196I', 'Bsp136I', 'Pps170I', 'SbaI', 'Sol3335I', 'Ppu20I', 'NspHIII', 'BseG73I', 'NgoWI', 'HpyF11I', 'EclS39I', 'Van91III', 'Eco50I', 'SinMI', 'Cfr28I', 'Uba1375I', 'Rma497I', 'HpyF35II', 'MvsBI', 'Uba1391I', 'Uba1331I', 'LsaM18I', 'HpyNSH57II', 'LlaDI', 'HpyF74I', 'HpyF47I', 'Asp707I', 'Hpy26II', 'Bse9I', 'Hpy303I', 'CviOI', 'Eco25I', 'Bth2350I', 'Psp31I', 'Btu36I', 'HpyF27II', 'Uba1317I', 'EspHK26I', 'HpyF19III', 'BsoSI', 'SinBI', 'Eco98I', 'AspTI', 'HpyF35III', 'Uba1164I', 'Bst1126I', 'CpaAI', 'MmeII', 'VpaK13AI', 'BstMI', 'Uba1240I', 'BspBake1I', 'SplII', 'Bsp90I', 'EspHK30I', 'PvuHKUI', 'BscEI', 'HpyF60II', 'Eco71I', 'ApuI', 'Psp61I', 'Hin8I', 'HpyF27I', 'Uba1141I', 'Bsp135I', 'BspGHA1I', 'BbrAI', 'Eco118I', 'Hin173I', 'UbaN10I', 'VpaK11CI', 'HpyHPK5I', 'Rma496I', 'Esp141I', 'Bsp21I', 'TflI', 'Mth1047I', 'Uba1241I', 'Uth555I', 'Uba1397I', 'Uba1117I', 'BloHIII', 'Eco40I', 'Uba1334I', 'Pme35I', 'ChuEII', 'Uba1137I', 'BsaGI', 'CviGI', 'Bth9411I', 'HpyF53II', 'HpyF4I', 'Uba51I', 'NflAI', 'EspHK16I', 'Uba1400I', 'Bsp4I', 'Uba1133I', 'PfaI', 'Uba1286I', 'HpyF48I', 'UbaN4I', 'Uba81I', 'BbiIII', 'Uba1244I', 'PfuNI', 'BsoI', 'EcaII', 'HpyF17I', 'Cfr19I', 'Uba1231I', 'Sau16I', 'Bsp101I', 'HpyF57I', 'Gst1588I', 'BspH22I', 'Bsp18I', 'Cte1179I', 'HpyF9III', 'BsaZI', 'Ese4I', 'Cfr30I', 'Mva16I', 'Eco161I', 'HpyF13II', 'HpyF40III', 'HpyF16II', 'Afa24RI', 'Esp5II', 'SgiI', 'Uba40I', 'Uba1422I', 'PspBI', 'Uba1305I', 'Uba1190I', 'Ssm4I', 'NhoI', 'TruI', 'Asp703I', 'HpyIV', 'BfrCI', 'Bst1274I', 'CjeP338I', 'BspCHE15I', 'AvrI', 'NgoNII', 'BspH103I', 'BstZ8I', 'FisI', 'MphI', 'Cfr37I', 'Ssp2I', 'VpaK3BI', 'RshII', 'MizI', 'HpyF38I', 'Uba1118I', 'Sau98I', 'Ppu6I', 'Uba1451I', 'Kpn30I', 'Uba1157I', 'Esp9I', 'Tsp505I', 'HpyF49IV', 'Tsp266I', 'Eco68I', 'Sve396I', 'HpyF46II', 'CthI', 'Pae181I', 'Rma500I', 'Sau32I', 'HpyF12II', 'Bsu22I', 'Uba1395I', 'SflHK10790I', 'SflHK1794I', 'NocI', 'BceDI', 'BsrMI', 'HpyF50I', 'BstZ15I', 'Tsp132I', 'BspBDG2I', 'VchO44I', 'BsmXII', 'HpyVIII', 'HpyV', 'Ssu220I', 'Bsp47I', 'Bsp93I', 'HpyF25II', 'Uba1219I', 'Cfr7I', 'Cfr48I', 'Uba1433I', 'BcrI', 'EciCI', 'HpyF73III', 'Uba1221I', 'Bfi458I', 'UbaN14I', 'SthDI', 'Uba1169I', 'BtgAI', 'Btu34I', 'Asp708I', 'HpyNI', 'MleI', 'Uba1180I', 'Uba1408II', 'Bsu6633I', 'Bce95I', 'Bsp228I', 'BsoGI', 'Bli576I', 'Tmu1I', 'Psc28I', 'Uba89I', 'HpyF69I', 'Uba59I', 'Bsp76I', 'Csp5I', 'Bst7QI', 'Mho2965I', 'SplAIII', 'NmiI', 'Asp37I', 'Nli3877II', 'PxyJKI', 'Sfl2bI', 'HpyF74II', 'BssGI', 'Uba1150I', 'Eco99I', 'Bsp317I', 'UbaN15I', 'Ppu1253I', 'Bsp127I', 'Uba1394I', 'Uba1311I', 'Pfl67I', 'NsuI', 'Bst1FBI', 'Rma486I', 'Uba1280I', 'Uba1245I', 'Uba6I', 'VpaK9AI', 'Ppu11I', 'Hin1161II', 'ClmII', 'Uba1377I', 'Esp14I', 'Pae14I', 'Uba1308I', 'NgoJIII', 'OtuI', 'Bsp881I', 'Uba1191I', 'SflHK115731I', 'HpyF7III', 'Hpy8II', 'Uba1366II', 'NtaI', 'MhaI', 'Uba1387I', 'Pph1579I', 'PolI', 'SvoI', 'SakI', 'Uba1246I', 'BmeBI', 'ScoI', 'BstGII', 'AteI', 'Pae25I', 'Uba1146I', 'Uba1443I', 'PshCI', 'Lla497I', 'Bst2464I', 'Rma522I', 'Esp5I', 'Eco260I', 'Uba1423I', 'Uba1207I', 'UbaN11I', 'Uba1127I', 'PflWI', 'NspSAIII', 'SspM1II', 'Pfl37I', 'Pph288I', 'Uba66I', 'UbaN9I', 'TspWAM8AI', 'HpyF22I', 'NgoDXIV', 'PbuMZI', 'BsmHI', 'Rma496II', 'VpaK65I', 'Uba1093I', 'Ali2882I', 'ApeAI', 'Uba1145I', 'Asp697I', 'Pgl34I', 'Tth24I', 'Bsp1591I', 'Uba1125I', 'Psc2I', 'Uba1172I', 'Asp123I', 'DrdAI', 'HpyF58I', 'CviCI', 'HpyF2II', 'Pae7I', 'BshAI', 'GoxI', 'Uba1187I', 'Ecl1zII', 'Eco179I', 'CauIII', 'HpyHI', 'Uba24I', 'Bco79I', 'Bsp129I', 'BsaDI', 'SthCI', 'SciBI', 'UbaN6II', 'Tru28I', 'Uba1158I', 'NspKI', 'HpyF32I', 'Bsp64I', 'Kpn13I', 'Bst170II', 'Uba1333I', 'VchO49I', 'Uba1431I', 'MkrI', 'Pae42I', 'Uba17I', 'Uba1367I', 'BstGI', 'MkiI', 'Esp21I', 'Ava458I', 'TspAI', 'Uba1296I', 'Uba1339I', 'SspKI', 'AprI', 'HpyF22II', 'Bst7QII', 'Uba1292I', 'Rma495I', 'Uba69I', 'Uba19I', 'Efa1KI', 'NgoCII', 'Uba1238I', 'TteAI', 'Bsp59I', 'Uba1378I', 'HpyF13III', 'Tsp281I', 'Smo40529I', 'SboI', 'Uba1098I', 'SluI', 'Uba1165I', 'CcoP76I', 'BmaBI', 'Uba1225I', 'UbaN16I', 'NspBI', 'Eco143I', 'EcoT104I', 'Esp638I', 'Bsp102I', 'Bsp61I', 'AitII', 'BbfI', 'Csp231I', 'HpyCH4II', 'R2_SsuDAT1I', 'BsrXI', 'Bpa36I', 'NflBI', 'EhoI', 'HpyF5II', 'Uba1116I', 'Rma485I', 'BstTI', 'Uba1166I', 'AtuBI', 'Srl77DI', 'MeuI', 'Sau6782I', 'Bth1997I', 'NmuSI', 'MmuP2I', 'HpyF59I', 'Bpu1811I', 'HpyF48II', 'BsiVI', 'Uba1287I', 'TtrI', 'HpyF66I', 'Uba1262I', 'Esp13I', 'HpyF21II', 'Bsp141I', 'Bli643I', 'Srl61DI', 'Uba1366I', 'BseHI', 'Uba1426I', 'Rma523I', 'Uba1353I', 'Eco232I', 'Pae41I', 'VpaK3AI', 'CprJK722I', 'HpyF73II', 'HpyGI', 'Bme46I', 'HgiEII', 'GseII', 'Uba1198I', 'R1_Ssu4961I', 'UbaN11II', 'Bce71I', 'Pfl16I', 'BloMGI', 'Pph3215I', 'Lsp1109II', 'HpyGII', 'Bme74I', 'Bsp132I', 'UbaN2I', 'ChyI', 'Uba1203I', 'AspJI', 'CdiAI', 'Uba61I', 'Bsp116I', 'SecIII', 'HpyF49I', 'TrsSII', 'AsuMBI', 'Bli585I', 'Uba1414I', 'HpyF2I', 'Uba36I', 'Uba1142I', 'Uba1178I', 'Uba1346I', 'EciDI', 'BsoEI', 'RhsI', 'Bse19I', 'AflIV', 'Eco215I', 'SthNI', 'Asp14HI', 'Uba1263I', 'Cfr35I', 'Mel5OI', 'Eco38I', 'Bsp8I', 'HpyF62III', 'BspJ64I', 'DrdBI', 'HpyF10II', 'Sau90I', 'Eco26I', 'Psp4I', 'Uba1282I', 'SexI', 'Uba1112I', 'Eco200I', 'Bsp122I', 'BstZ10I', 'MosI', 'KteAI', 'Uba1401I', 'Mlu1106I', 'SynI', 'HpyF46IV', 'CjuI', 'BmaAI', 'DsaVI', 'Uba1299I', 'Esp12I', 'SkaII', 'R1_Ssu4109I', 'CglAI', 'BssGII', 'BstWI', 'Uba1113I', 'Uba1436I', 'Ecl1I', 'EcoT93I', 'Rma518I', 'HpyF42II', 'Bsp138I', 'BadI', 'Afl83I', 'UbaHKBI', 'Eco134I', 'BstZ6I', 'Rma497II', 'ApeI', 'HpyF71III', 'Eco237I', 'EspHK29I', 'Uba1413I', 'Bsp52I', 'AaeI', 'Pae15I', 'Eco135I', 'SblBI', 'Eco158I', 'Sau10I', 'OxaI', 'Uba1153I', 'KspHK14I', 'Uba13I', 'BsiHI', 'SblAI', 'TtnI', 'Xgl3220I', 'EclJI', 'Eco70I', 'BsiDI', 'Uba1432I', 'BspF105I', 'Pma44I', 'HinS2I', 'NgbI', 'FscI', 'Bst1473II', 'Asp36I', 'HpyF11II', 'BspF53I', 'BspLU11II', 'AvaIII', 'NsiAI', 'Eco173I', 'NbaI', 'BshDI', 'Asp21HI', 'Esp1I', 'Pae40I', 'Bst295I', 'Eco149I', 'MwhI', 'BheI', 'SprLI', 'BmaI', 'Uba1232I', 'Esp24I', 'Eco208I', 'Sau93I', 'NspHII', 'DrdEI', 'Kpn10I', 'SsvI', 'Bsp1593I', 'HpyF62II', 'Uba1412I', 'Eco60I', 'Uba1248I', 'Uba1134I', 'AcaII', 'Uba1144I', 'BstCI', 'SspM1I', 'SacAI', 'VfiI', 'AtuSI', 'Pae39I', 'HpyF55I', 'HpyF25I', 'DrdFI', 'OmiAI', 'BspLRI', 'Bsp46I', 'Ssu212I', 'HpyF34I', 'BscQI', 'Uba1156I', 'Atu1II', 'Uba1099I', 'NmuEI', 'BstZ10II', 'Acs1372I', 'NbrI', 'Uba1266I', 'Eco201I', 'Uba1284I', 'Rma509I', 'BshHI', 'SauAI', 'Uba1175I', 'SdyI', 'Uba1294I', 'BspI', 'Uba1453I', 'Pca17AI', 'Uba1123I', 'Uba86I', 'Cfr20I', 'Cfr4I', 'Bsp1260I', 'BthI', 'Bsp74I', 'MauI', 'VpaK19AI', 'BpsII', 'Ali12258I', 'Uba1383I', 'Uba1368I', 'Dsp20I', 'Uba1322I', 'Umi5I', 'Uba1372I', 'Bst16I', 'Ssp42I', 'YenBI', 'Asp52I', 'Uba1222I', 'Uba1218I', 'Uba1306I', 'Uba1388I', 'R2_Ssu4961I', 'Uba1389I', 'Eco169I', 'HpyJP26I', 'Btu33I', 'MniI', 'Msp23II', 'AniMI', 'Csp1470I', 'Eco196II', 'Eco262I', 'CbuDI', 'Uba1114I', 'TseDI', 'Uba1303I', 'Pae177I', 'BsoJI', 'Eco180I', 'Bco163I', 'PovI', 'Uba1338I', 'AehI', 'Sfl2aI', 'CviFI', 'HpyF10V', 'SpaI', 'Bsp2013I', 'Sau14I', 'Uba1147I', 'Bsp104I', 'Srl2DI', 'BamKI', 'MspAK21I', 'Esp2I', 'Uba1216I', 'Kpl79I', 'RluI', 'BbeAI', 'Bba179I', 'MthFI', 'HpyF51II', 'BfiSHI', 'Eco35I', 'Ssp12I', 'Bst170I', 'Uba1184I', 'Cfr59I', 'BmaDI', 'SciAII', 'HpyF36III', 'MpsI', 'Bce1273I', 'Hal22I', 'BpeI', 'HpyF66III', 'HpyF5I', 'HpyF42I', 'Eco171I', 'BmgAI', 'Bme2095I', 'VanI', 'Uba1310I', 'Uba1291I', 'VpaKutJI', 'Sfr382I', 'Uba9I', 'Eco256I', 'HpyNSH57I', 'VpaK25I', 'Bth1786I', 'NgoDIII', 'Mlu9273I', 'Bsp145I', 'Eco152I', 'CfrJ5I', 'AtuII', 'Uba1174I', 'NmuDI', 'Uba1205I', 'Bse59I', 'HpyF40II', 'Btu39I', 'Uba1163I', 'Uba1115I', 'SriI', 'Bsp12I', 'Sfu1762I', 'Bsp29I', 'SauGI', 'Bsp133I', 'StaI', 'Eco85I', 'AcaI', 'Uba1272I', 'Psp30I', 'GspI', 'UbaN8I', 'Ese6I', 'CcoP95II', 'TspNI', 'SalAI', 'UbaN13I', 'HpyF14III', 'Bsp72I', 'Ala17612I', 'Uba1097I', 'MniII', 'KspHK15I', 'Uba1176I', 'TrsKTIII', 'BscDI', 'HpyF42III', 'Bst2902I', 'BniI', 'ChuEI', 'Uba85I', 'Eco104I', 'AspDII', 'BseI', 'Uba41I', 'BsiOI', 'Hpy26I', 'Tsp504I', 'SrifpI', 'GspAII', 'Uba1409I', 'Uba1189I', 'BstZ7I', 'MrhI', 'SinCI', 'SinDI', 'Uba1364I', 'RspRSI', 'AmeII', 'UbaN1I', 'BpuGI', 'HpyF49II', 'Ssu211I', 'HpyF10III', 'BsaFI', 'Bth171I', 'VchO70I', 'Bsp1591II', 'Bsp147I', 'Lsp1270I', 'SmiMBI', 'Cfr11I', 'VchN100I', 'AhyAI', 'NovII', 'BseB631II', 'HpyF59II', 'SflHK2731I', 'Uba1420I', 'Eco96I', 'Uba1369I', 'Uba1427I', 'HpyF13IV', 'Uba1173I', 'PseI', 'BspH106II', 'NspFI', 'HpyF67IV', 'Uba1226I', 'Xgl3218I', 'BshBI', 'BsrCI', 'Bsp92I', 'EspHK22I', 'SspM2II', 'Bsp90II', 'Ssp1725I', 'Psc27I', 'HpyF73I', 'BceLI', 'SfrI', 'Pfl1108II', 'HpyF26III', 'AspTB23I', 'TrsTII', 'NgoTII', 'R1_Ssu11318I', 'Uba1448I', 'Bsp233I', 'HpyF41I', 'NmuFI', 'Psp29I', 'Bsp81I', 'Ecl136I', 'Uba38I', 'HpyF40I', 'SblCI', 'Eco61I', 'SauHI', 'NsiHI', 'Uba1430I', 'Tsp510I', 'HpyF44I', 'Hpy471I', 'Uba1289I', 'HpyF31II', 'BsoKI', 'Bsp2500I', 'Eco76I', 'Bsu90I', 'SaoI', 'CpaPI', 'Uba1256I', 'Btu41I', 'Uba1264I', 'Eco65I', 'Pan13I', 'Asp17I', 'Uba1393I', 'Eco190I', 'UbaN17I', 'NlaDII', 'Uba1195I', 'OtuNI', 'Bsp146I', 'Bth1202I', 'Psp33I', 'Hsp2I', 'HpyF19I', 'RheI', 'BstZ9I', 'Eco41I', 'Apu16I', 'Gst1588II', 'Uba1314I', 'NsuDI', 'Ecl137I', 'Bsp151I', 'Eco82I', 'Tsp301I', 'BssFI', 'Uba1177I', 'Hin1160II', 'BceYI', 'BstZ2I', 'Bsp137I', 'Cfr8I', 'VpaK4AI', 'SciAI', 'Uba1259I', 'Ecl66I', 'NlaI', 'Hin7I', 'Uba1199I', 'Uba1384I', 'MarI', 'Pae36I', 'PspDI', 'Eco39I', 'Asp86I', 'Uth557I', 'Uba1170I', 'VpaK15I', 'Csp4I', 'NspMI', 'Bla7920I', 'BtiI', 'NspDI', 'Uba1335I', 'Tsp358I', 'CviEI', 'HpyF65I', 'Bth84I', 'SstIV', 'Uba1223I', 'HpyF60I', 'KpnK14I', 'Eco158II', 'HpyF42IV', 'AlwFII', 'Uba1136I', 'Psb9879I', 'Uba1402I', 'Uba1267I', 'Uba1363I', 'Eco115I', 'Bsp60I', 'HpyF44II', 'Uba76I', 'BspJ105I', 'Pae9I', 'Pae17I', 'Uba1450I', 'Uba1446I', 'Bpu1268I', 'Sau13I', 'HpyF9I', 'Hin5I', 'Cfr39I', 'HpyF65III', 'AmeI', 'Uba1405I', 'HpyF68I', 'HpyF36I', 'Uba1214I', 'HinGUI', 'Uba82I', 'HpyF72III', 'Eco92I', 'Uba1211I', 'BsoDI', 'Uba71I', 'Bsp148I', 'SmaAII', 'BssXI', 'SpaPI', 'FnuAII', 'HpyF44IV', 'Ecl77I', 'BstZ16I', 'Psp32I', 'Bfu1570I', 'SqiI', 'Uba1197I', 'Mel3JI', 'Rma501I', 'Uba1168I', 'Bsp131I', 'HpyF59III', 'MnoIII', 'Uba1321I', 'Sph1719I', 'Acs1371I', 'Uba1283I', 'Asp17HI', 'Rma510I', 'RdeR2I', 'Eco170I', 'Ecl1zI', 'HpyF4II', 'Uba1288I', 'BsoAI', 'SpaPII', 'Bsp43I', 'Asp3065I', 'LlaMI', 'Bsp48I', 'Bsu8646I', 'NgoGIII', 'SelAI', 'NgoJI', 'MsaI', 'Pae26I', 'Uba1164II', 'Esp15I', 'SpvI', 'Bsp17I', 'Eco80I', 'BscPI', 'Bsp130I', 'Cfr5I', 'AcaIV', 'HpyF15II', 'NamI', 'Uth549I', 'HpyF30I', 'Btu34II', 'Esp7I', 'HpyCH4VI', 'Uba11I', 'SplAII', 'BscNI', 'Uba1403I', 'Bal3006I', 'NspDII', 'Bsu1114I', 'Uba1370I', 'Bme2494I', 'HpyF46V', 'Ssm5II', 'EciEI', 'Bsp108I', 'BspJ67I', 'Uba46I', 'TfiA3I', 'Mel4OI', 'PpuI', 'CjaI', 'Cfr54I', 'SecII', 'XamI', 'EccI', 'Uba1435I', 'Bsu1192II', 'Ecl593I', 'SthAI', 'Cfr32I', 'Bsp87I', 'CviLI', 'Srl65DI', 'Mel7JI', 'Hpy401I', 'Eco216I', 'SauFI', 'Srl76DI', 'VpaK19BI', 'Ecl54kI', 'SmiMII', 'HpyF61III', 'Bsp226I', 'Pfr12I', 'Bac465I', 'TthRQI', 'Uba1210I', 'Asp18HI', 'BssI', 'Pae43I', 'Hpy178VII', 'HpyF72II', 'Bsp53I', 'HpyJP26II', 'R1_Ssu8074I', 'HpyF19II', 'NgoEII', 'Eco182I', 'MpuI', 'EciAI', 'NmuAI', 'Bpu1831I', 'Uth554I', 'Asp763I', 'NmeBL859I', 'HpyF21I', 'Sci1831I', 'BstJI', 'PliI', 'Pac1110II', 'MvsI', 'Uba1385I', 'SkaI', 'HpyF64II', 'SplAIV', 'Sal1974I', 'Uba1230I', 'Pvu84I', 'Uba48I', 'HpyF69II', 'Bsp107I', 'HpyF20I', 'FinSI', 'BamNI', 'HpyF16I', 'BsaPI', 'ScoAI', 'Uba1327I', 'Cfr31I', 'Eco153I', 'Hin1076III', 'HpyF49III', 'HpyF22III', 'AspBII', 'NasBI', 'Asp5HI', 'Dde51507I', 'NspJI', 'Sca1827I', 'HpyF53I', 'Uba1416I', 'Uba1309I', 'Uba1445I', 'CcoP73I', 'Uba1167I', 'Asp16HI', 'SgoI', 'Bco63I', 'HpyF34II', 'Uba1208I', 'Uba1202I', 'Bse23I', 'Uba1235I', 'Cfr45I', 'SfaGUI', 'Asp6HI', 'Acs1422I', 'VarFI', 'Acs1373I', 'Sau17I', 'Bsp55I', 'CviDI', 'Mlu9273II', 'Uba1243I', 'Uba1185I', 'Bsp30I', 'Eco254I', 'BssCI', 'HpyF15I', 'Uba1279I', 'KspHK12I', 'Pfl19I', 'Ssm5I', 'Uba1237I', 'HpyF29I', 'SplIII', 'Uba1229I', 'Pph2059I', 'Eco188I', 'Esp11I', 'PluI', 'HpyF49V', 'NspWI', 'NspAI', 'HpyF7II', 'MnnIV', 'Tsp273II', 'Uba1179I', 'Cfr40I', 'Eco151I', 'Eco55I', 'VchO2I', 'CviHI', 'Hpy423I', 'Uba1206I', 'R2_Ssu4109I', 'MecI', 'Uba1421I', 'SthFI', 'Tsp560I', 'EciBI', 'AcrI', 'SsmII', 'MscAI', 'HinSAFI', 'MziI', 'Sna3286I', 'NanI', 'Ssp4I', 'HpyF67I', 'BscTI', 'Cfr41I', 'YenDI', 'VhaI', 'BmeU1594I', 'Bsp117I', 'NgoAVI', 'Bsp2I', 'Bme05I', 'MmaI', 'Psp28I', 'Uba1404I', 'Hin5II', 'AcuII', 'Uba30I', 'Uba1452I', 'HpyF35IV', 'Uba1278I', 'HpyF36II', 'ClcI', 'SmaAIII', 'Bsp73I', 'Asp15I', 'Uba1392I', 'HpyF64IV', 'BstZ5I', 'Uba1290I', 'Asp130I', 'Bsp91I', 'DdeII', 'Tsp514I', 'Uba1250I', 'BtuI', 'Asp1I', 'Uba1159I', 'Uba1315I', 'XphI', 'Hpy166I', 'HpyF18I', 'BpsI', 'MthBI', 'Asp2HI', 'Cfr55I', 'Uba1323I', 'Bco631I', 'HhgI', 'AehII', 'NflAII', 'Scg2I', 'BsmGI', 'SdiAI', 'Bco33I', 'Uba87I', 'HpyF33II', 'BspJ76I', 'Bsp241I', 'Rma503I', 'TseAI', 'Uba1418I', 'HpyF35I', 'HpyF62I', 'Cfr29I', 'Uba43I', 'Ecl57kI', 'Rlu4I', 'SpaPIII', 'HpyF73IV', 'BtgAII', 'SalHI', 'PaiI', 'Xgl3216I', 'Cfr24I', 'CliII', 'BspJ106I', 'HpyF14II', 'HpyF66IV', 'Uba1336I', 'Uba1373I', 'DrdIII', 'YenAI', 'CglAII', 'Uba1386I', 'SalDI', 'Uba1162I', 'Psp3I', 'Uba4I', 'Bsc217I', 'Bpa36II', 'BpuHI', 'BsoPI', 'Cfr25I', 'Uba1304I', 'Cfr51I', 'AspBI', 'Pfl23I', 'VpaK11I', 'Cfr46I', 'NtaSI', 'AinI', 'BssBI', 'Bth221I', 'Uba1275I', 'Kpn16I', 'MspBI', 'TseCI', 'HpyF31I', 'Bst77I', 'Bsp5I', 'SinEI', 'HpyF52III', 'MvsDI', 'TtmII', 'UbaN6I', 'BscMI', 'Ssp152I', 'Tsc4aI', 'HgiS21I', 'Van91II', 'YenCI', 'Uba1429I', 'Bsp548I', 'SrlII', 'Uba1130I', 'CcoP84I', 'Asp47I', 'Bth945I', 'BcaI', 'Hin8II', 'Uba1200I', 'Eco261I', 'Btu37I', 'VneAI', 'Bsp65I', 'NmeAII', 'Uba1215I', 'Hpy87AI', 'PshEI', 'Rma506I', 'HpyF14I', 'Uba1152I', 'Hpy421I', 'HpyF45I', 'HpyF1I', 'GseIII', 'Bco10278I', 'Hpy501I', 'TglI', 'Asp14I', 'MvaAI', 'BspBSE18I', 'Mel5TI', 'SmaAI', 'UbaHKAI', 'XmlAI', 'Msp11I', 'MspAI', 'BsaNII', 'Uba1312I', 'HpyF52II', 'SinJI', 'BspH106I', 'Sal13I', 'BstHI', 'BstZ3I', 'Uba1160I', 'BfrAI', 'Eco100I', 'Uba1100I', 'Psp46I', 'MhoI', 'Bci528I', 'CcoP216I', 'VpaK11DI', 'BsaSI', 'HpyF71II', 'Rma517I', 'HhdI', 'Bca1259I', 'Sau5I', 'NspEI', 'Uba1376I', 'TseBI', 'TssI', 'Uba1224I', 'Uba1119I', 'Bsu1192I', 'HpyF37I', 'Asp22I', 'OmiBI', 'Ssp34I', 'Uba1399I', 'SaaI', 'Kpn12I', 'CpeI', 'Uba1297I', 'Bsp57I', 'Mlu2300I', 'Csp2I', 'NgoKIII', 'R1_SsuDAT1I', 'TspI', 'PshDI', 'BinSI', 'CcoP215I', 'HpyF46I', 'SauCI', 'Rlu3I', 'Esp25I', 'Uba1417I', 'ClmI', 'Bco102I', 'Eco206I', 'Uba1330I', 'V_Gel16401III', 'Bsp268I', 'Bsp66I', 'HpyF45II', 'CfrS37I', 'NliI', 'Sve194I', 'OcoI', 'SthJI', 'VpaK7AI', 'VchO66I', 'Uba1171I', 'UbaN18I', 'Uba1096I', 'Msp67II', 'Uba1121I', 'Uba1295I', 'PmnI', 'Esp10I', 'Uba1357I', 'Rma490I', 'Bsp44I', 'Pph14I', 'BscLI', 'SthEI', 'HinbIII', 'Uba1095I', 'Bsp125I', 'BsiGI', 'Rma376I', 'Tsp219I', 'NasI', 'Nsp29132I', 'EclII', 'AmaSI', 'Uba1188I', 'Bst4QI', 'Uba1329I', 'Sgh1835I', 'Uba1181I', 'BthCanI', 'Mel5JI', 'GseI', 'TspGWII', 'Bsu1076I', 'Asp742I', 'Hpy8III', 'Eco249I', 'Sgr1839I', 'Esp22I', 'Uba1362I', 'Cfr45II', 'HpyF24I', 'Uba1425I', 'BacI', 'Pae44I', 'Bco6I', 'Bce31293I', 'BpuGCI', 'Eco208II', 'BsmGII', 'Eco51II', 'EcoT88I', 'Uba1209I', 'SbgI', 'VpaK4BI', 'AspTIII', 'Sau96mI', 'NspLII', 'Uba1293I', 'NgoGV', 'Cfr43I', 'SinHI', 'Ple214I', 'HpyF30II', 'Esp8I', 'Sde240I', 'PspSI', 'Uba42I', 'Uba1355I', 'HpyF64V', 'Uba1441I', 'HpyF23I', 'Bsu5044I'],
    )


typedict['type4'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['RsaI', 'DraI', 'PvuII', 'HpaI', 'FspI', 'ScaI', 'SwaI', 'SnaBI', 'MspA1I', 'NlaIV', 'BstUI', 'XmnI', 'HincII', 'Cac8I', 'SmaI', 'AleI', 'NruI', 'BalI', 'PshAI', 'HindII', 'AluI', 'AluBI', 'EcoRV', 'PmlI', 'BstC8I', 'BsaAI', 'CviJI', 'SfoI', 'HaeIII', 'BsuRI', 'SspI', 'NaeI', 'Hpy8I'],
    )


typedict['type65'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['CviRI', 'FnuDI', 'PhoI', 'FnuDII', 'Cfr6I', 'EsaBC3I', 'MamI', 'NgoPII', 'ThaI', 'SauLPI', 'CviKI', 'CbeI', 'TneDI', 'RrhJ1I', 'BspRI', 'BepI', 'SuaI', 'EsaBC4I'],
    )


typedict['type66'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['Hpy166II', 'BoxI', 'PspCI', 'BseJI', 'Mox20I', 'BstZ17I', 'PdmI', 'BstSNI', 'Eco53kI', 'AcvI', 'Eco147I', 'FaiI', 'Aor51HI', 'MroXI', 'Msp20I', 'Bst1107I', 'BspLI', 'ZraI', 'BbrPI', 'BstPAI', 'OliI', 'MluNI', 'FspAI', 'BmiI', 'MvnI', 'NsbI', 'Eco32I', 'MscI', 'EcoICRI', 'SseBI', 'BssNAI', 'StuI', 'PmeI', 'RseI', 'EheI', 'AanI', 'PceI', 'MssI', 'BmcAI', 'GlaI', 'HpyCH4V', 'SmiMI', 'BsnI', 'EgeI', 'SrfI', 'AfaI', 'MslI', 'PdiI', 'MalI', 'DinI', 'BtuMI', 'Bsh1236I', 'DpnI', 'PmaCI', 'BstFNI', 'ZrmI', 'Eco72I', 'BspFNI', 'BspANI', 'RruI', 'Ppu21I', 'BstBAI', 'AccII', 'Bse8I', 'Acc16I', 'PsiI', 'BsaBI', 'Asp700I', 'Eco105I', 'CviKI_1', 'MlsI', 'Eco47III', 'PspN4I', 'KspAI', 'Bsp68I', 'BshFI', 'AfeI', 'SmiI', 'Ecl136II'],
    )


typedict['type67'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Blunt', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['PaePS50I', 'BstBSI', 'SfaI', 'EclI', 'SepMI', 'FauBII', 'Bme361I', 'Sbo13I', 'FdiII', 'BpuAmI', 'Bsp153AI', 'Pam7902I', 'Mlu31I', 'SauSI', 'Bpu95I', 'PaeBI', 'SruI', 'NspBII', 'LpnI', 'AitI', 'Eco255I', 'BsrBRI', 'Tvu2HI', 'PalI', 'HinJCI', 'AspNI', 'NsiCI', 'SsrI', 'BseQI', 'Sru30DI', 'MxaI', 'BcoAI', 'FunI', 'RflFII', 'AssI', 'BceBI', 'Bme142I', 'BavAI', 'MfoAI', 'MstI', 'XcaI', 'DsaII', 'Uba153AI', 'BstSWI', 'MspSWI', 'Csp68KVI', 'Eco78I', 'BecAII', 'Bsp123I', 'CcoI', 'CeqI', 'BspBRI', 'BstHPI', 'BavI', 'GdiI', 'Acc113I', 'BsiBI', 'Bsp211I', 'BstRZ246I', 'SbvI', 'MspYI', 'DpaI', 'SpoI', 'SauHPI', 'Pme55I', 'BspM39I', 'SauNI', 'Pru2I', 'AhaIII', 'PamI', 'BspM90I', 'Eco1524I', 'HpyF44III', 'AviII', 'AatI', 'Pun14627I', 'SauBMKI', 'PlaI', 'MluB2I', 'PspALI', 'Bsp50I', 'UbaM39I', 'CfuI', 'SteI', 'CfrJ4I', 'BspO4I', 'BscBI', 'BtkI', 'SarI', 'Bsh1365I', 'SspCI', 'MltI', 'BbvAI', 'HpyBI', 'Bpa34I', 'PsuAI', 'NmeRI', 'PflKI', 'BteI', 'Pde133I', 'HpyCI', 'SciI', 'BspKI', 'BanAI', 'Pvu84II', 'NspLKI', 'Pfl8569I', 'MchAII', 'PlaAII', 'FalII', 'BstEZ359I', 'HpyBII', 'AspMI', 'Pae17kI', 'Sth302II', 'HjaI', 'Bsu1532I', 'Bim19II', 'Pun14627II', 'Slu1777I', 'PauAII', 'BamGI', 'AosI', 'BavBI', 'BshI', 'DmaI', 'HaeI', 'CltI'],
    )


typedict['type68'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['BclI', 'NcoI', 'SgrAI', 'MunI', 'VspI', 'PaeR7I', 'KasI', 'XbaI', 'Sau3AI', 'Bsu15I', 'ApaLI', 'HinP1I', 'MfeI', 'NgoMIV', 'BseCI', 'AseI', 'Acc65I', 'ApoI', 'HspAI', 'Cfr9I', 'AscI', 'NotI', 'TspMI', 'HpaII', 'NheI', 'Kpn2I', 'XmaI', 'XhoI', 'BsrFI', 'HindIII', 'FatI', 'HpyCH4IV', 'BsaWI', 'CviAII', 'AgeI', 'HapII', 'Sse9I', 'BssHII', 'MluI', 'MspI', 'SalI', 'NdeI', 'AflII', 'BamHI', 'EcoRI', 'AclI', 'BspHI', 'EaeI', 'ClaI', 'TaqI', 'BsaHI', 'Cfr10I', 'EagI', 'CviQI', 'BfuCI', 'MboI', 'MseI', 'BglII', 'DpnII', 'BstYI'],
    )


typedict['type77'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Rrh4273I', 'XmaIII', 'BsuFI', 'CviAI', 'Bsp106I', 'Sau3239I', 'BstVI', 'TthHB8I', 'CfrI', 'FpsJI', 'Bsp98I', 'Pam7686I', 'XhoII', 'TliI', 'CviRII', 'Pac25I', 'HgiDI', 'Tsp509I', 'NflHII', 'LlaCI', 'EcoVIII', 'EcoHK31I', 'Sth368I', 'BnaI', 'SsoI', 'MthZI', 'BstI', 'HgiGI', 'NgoAIV', 'Bse634I', 'RsrI', 'XcyI', 'Eco56I', 'CboI', 'HgiDII'],
    )


typedict['type78'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['AsuII', 'AspA2I', 'Aor13HI', 'AcsI', 'Mly113I', 'BssNI', 'SpeI', 'FbaI', 'SlaI', 'MspCI', 'PteI', 'AoxI', 'XapI', 'Sfr274I', 'BspDI', 'PspOMI', 'Hin6I', 'BspT104I', 'CciNI', 'BstZI', 'XmaJI', 'KroI', 'Bsa29I', 'Bpu14I', 'Bsp1407I', 'MreI', 'BstMBI', 'AsiGI', 'Eco52I', 'Bsp119I', 'Kzo9I', 'SaqAI', 'BfaI', 'BshTI', 'FauNDI', 'PciI', 'Pfl23II', 'SgrDI', 'BsePI', 'PscI', 'XspI', 'NspV', 'SspMI', 'MroI', 'BsiSI', 'CciI', 'Vha464I', 'BstX2I', 'VneI', 'Hin1I', 'TasI', 'PspLI', 'MauBI', 'SgsI', 'Hsp92I', 'BshVI', 'BstBI', 'Bsp120I', 'BlnI', 'Bsp19I', 'SfuI', 'BstAFI', 'PalAI', 'PsuI', 'BsrGI', 'FspBI', 'BseAI', 'Csp6I', 'EclXI', 'AccIII', 'Alw44I', 'BssAI', 'BstAUI', 'MluCI', 'MflI', 'PauI', 'AvrII', 'NarI', 'AcyI', 'MaeI', 'BcuI', 'SspDI', 'HpySE526I', 'BssMI', 'BseX3I', 'PspXI', 'Asp718I', 'TatI', 'Bsp13I', 'BspEI', 'PshBI', 'CspAI', 'Bsp143I', 'NdeII', 'AcoI', 'BstACI', 'PinAI', 'BsiWI', 'Ksp22I', 'BspTI', 'PagI', 'AsuNHI', 'RsaNI', 'Bse118I', 'Tru9I', 'MroNI', 'MaeII', 'AbsI', 'Psp1406I', 'BsuTUI', 'AhlI', 'BfrI', 'Tru1I'],
    )


typedict['type79'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['TspEI', 'XpaI', 'Bst28I', 'RspXI', 'ZhoI', 'Bst19II', 'NspMACI', 'BbtI', 'Bfi57I', 'Bme12I', 'ParI', 'Sru4DI', 'PanI', 'DsaIII', 'SthI', 'BsiXI', 'CacI', 'BstB7SI', 'BscI', 'PbrTI', 'AagI', 'SunI', 'PfaAII', 'MlaAI', 'RcaI', 'Rtr63I', 'Pfl8I', 'AbaI', 'AosII', 'PstNHI', 'CcrI', 'CspBI', 'BspLU11I', 'PpaAII', 'BstENII', 'BsmRI', 'MgoI', 'AspMDI', 'Bst40I', 'BliRI', 'MaeK81I', 'AaaI', 'MlaI', 'Uba4009I', 'BssHI', 'BspAAI', 'CauB3I', 'XciI', 'Bsp67I', 'SmoLI', 'AcpI', 'AvrBII', 'CbiI', 'SolI', 'BspXI', 'BscFI', 'Msp17I', 'MavI', 'BspMII', 'NphI', 'Sse232I', 'FsiI', 'SsiAI', 'Bli86I', 'AhaB8I', 'Rme21I', 'Bsp4009I', 'Pde137I', 'AsnI', 'BspAAIII', 'PspAI', 'Ssp1I', 'Bsu23I', 'BsiMI', 'BspFI', 'CfaI', 'PamII', 'BpoAI', 'Bsp105I', 'RmaI', 'MspNII', 'HgiI', 'BspKMI', 'BciBI', 'Bce243I', 'Ppu111I', 'CpfI', 'NmeCI', 'NspSAIV', 'AsiAI', 'SenPT16I', 'Hin2I', 'HgiHII', 'HgiCIII', 'SviI', 'Tru201I', 'HsuI', 'BbrI', 'Mlu23I', 'FnuCI', 'Ssp4800I', 'MchAI', 'EscI', 'Ssp27144I', 'FspII', 'BspAI', 'MchI', 'BspJII', 'BsiQI', 'Csp45I', 'GstI', 'EclRI', 'BspLAII', 'CchI', 'BliAI', 'Kpn49kI', 'BstNZ169I', 'OkrAI', 'BanIII', 'LlaAI', 'AhaII', 'CelI', 'BvuBI', 'AbrI', 'AstWI', 'Tsp32I', 'SurI', 'BbvAII', 'BimI', 'BpuB5I', 'BtkII', 'BspLAIII', 'RflFI', 'RtrI', 'BcmI', 'SplI', 'BdiI', 'Pae2kI', 'BstPZ740I', 'SauLPII', 'BspA2I', 'PtaI', 'BspJI', 'PpaAI', 'BstBZ153I', 'CcyI', 'Bca77I', 'BspOVII', 'Asi256I', 'BspXII', 'BspMKI', 'Srl32DII', 'BavCI', 'BbvAIII', 'BbiII', 'SspBI', 'LplI', 'NdaI', 'FgoI', 'BloHI', 'SnoI', 'SrlI', 'SceIII', 'AhyI', 'Asp10HI', 'Esp4I', 'Tsp32II', 'RspLKII', 'Bsp2095I', 'Bfi89I', 'XmaCI', 'Pae18kI', 'SseAI', 'Bst98I', 'BluI', 'SelI', 'HalI', 'PpuAI', 'PgaI', 'BetI', 'Sth134I', 'LspI', 'AauI', 'Bim19I', 'Ppu10I', 'BspAAII', 'FunII', 'SauMI', 'NopI', 'PlaII', 'RalF40I', 'Bli41I', 'ApaCI', 'Nsp29132II', 'StrI', 'AclNI', 'AsiI', 'BlfI', 'AliI', 'BstFI', 'Sbi68I', 'AsuIII', 'MnoI', 'AccEBI', 'SsiBI', 'NunII', 'SsbI', 'BsiCI', 'PinBII', 'EaeAI', 'NcrI', 'SciNI', 'LcaI', 'BspZEI', 'SpmI', 'Sol10179I', 'FnuEI', 'CsiAI', 'Csp68KII', 'LlaG2I', 'Srl55DI', 'Bci29I', 'MkrAI', 'SspRFI', 'BstT7I', 'BspKT8I', 'CsiBI', 'NlaII', 'Bbi24I', 'Bce751I', 'Bco118I', 'HacI', 'Bco27I'],
    )


typedict['type80'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['BsoBI', 'TseI', 'PpuMI', 'AspS9I', 'Fnu4HI', 'Sau96I', 'Tth111I', 'BanI', 'BlpI', 'BsaJI', 'AflIII', 'BcnI', 'RsrII', 'SexAI', 'ApeKI', 'TfiI', 'BstNI', 'PspGI', 'MvaI', 'SmlI', 'StyD4I', 'ScrFI', 'Fsp4HI', 'BssECI', 'AjnI', 'Cfr13I', 'NciI', 'HinfI', 'Tsp45I', 'AccI', 'EcoRII', 'EcoNI', 'DdeI', 'SinI', 'AvaII', 'AvaI', 'PspPI', 'EcoO109I'],
    )


typedict['type81'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['AquI', 'FssI', 'NspIII', 'CfrBI', 'Eco1831I', 'DsaV', 'CviBI', 'Mae7806III', 'HhaII', 'Kpn2kI', 'Ecl18kI', 'BssKI', 'SsoII', 'EcoHI', 'HgiBI', 'Bsp6I', 'SscL1I', 'EcaI', 'Csp68KI', 'HgiCII', 'SdeAII', 'HgiCI', 'HgiEI'],
    )


typedict['type82'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['PspEI', 'Bse21I', 'Ama87I', 'BseBI', 'Bst2UI', 'XmiI', 'BmeT110I', 'Bme1390I', 'BspT107I', 'BstDSI', 'Bpu1102I', 'NmuCI', 'PflFI', 'TseFI', 'BmrFI', 'XagI', 'AccB1I', 'BstPI', 'PasI', 'CpoI', 'BtgI', 'AsuC2I', 'Eco91I', 'VpaK11BI', 'MspR9I', 'StyI', 'BstSCI', 'Eco47I', 'Eco130I', 'HpyF3I', 'BpuMI', 'MaeIII', 'SmoI', 'Bsu36I', 'EcoO65I', 'GluI', 'ErhI', 'Rsr2I', 'SfcI', 'PspPPI', 'CspI', 'FblI', 'AxyI', 'BstSFI', 'PfeI', 'Bme18I', 'BshNI', 'SatI', 'Eco88I', 'Bsp1720I', 'BfmI', 'Psp5II', 'Eco81I', 'SgeI', 'BmgT120I', 'BstENI', 'MteI', 'Psp6I', 'PfoI', 'BisI', 'CsiI', 'BseDI', 'BciT130I', 'BstEII', 'PsyI', 'BssT1I', 'BsiHKCI', 'KflI', 'EcoT14I', 'MabI', 'Hpy188III', 'BstDEI'],
    )


typedict['type83'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov5', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BsrAI', 'HgiS22I', 'AeuI', 'Sth302I', 'Srl56DI', 'Bsu54I', 'ItaI', 'AflI', 'PfaAI', 'PpuXI', 'AspBHII', 'MstII', 'PlaAI', 'Bse24I', 'Msp67I', 'EspI', 'MmoSTI', 'Taq52I', 'BsiLI', 'Bse64I', 'BliHKI', 'Eco13kI', 'FnuAI', 'Bse16I', 'Bal228I', 'PunAI', 'DraII', 'TelI', 'EagMI', 'SanDI', 'AcrII', 'BshGI', 'BpcI', 'Eco64I', 'AvcI', 'HgiHI', 'BspR7I', 'BspBII', 'UnbI', 'BsiZI', 'LlaBI', 'Pfl27I', 'Bac36I', 'AtsI', 'BsiKI', 'BstSI', 'Pde12I', 'BcuAI', 'VpaK11AI', 'Sse8647I', 'AhaI', 'SuiI', 'Asp745I', 'MaeK81II', 'Nsp7121I', 'BseT9I', 'CcuI', 'Eco21kI', 'HgiHIII', 'Sth117I', 'SshAI', 'FdiI', 'BthAI', 'Bse15I', 'Kzo49I', 'BgiI', 'SniI', 'Bme216I', 'BstJZ301I', 'Bst38I', 'BavAII', 'BcoI', 'OxaNI', 'NspSAI', 'ErpI', 'SmuEI', 'Bsp1894I', 'Sse1825I', 'AspI', 'Fsp1604I', 'Bse17I', 'CelII', 'EcoO128I', 'HgiJI', 'NspIV', 'BthDI', 'ZanI', 'BstMZ611I', 'CauI', 'BdiSI', 'SslI', 'CauII', 'CvnI', 'AsuI', 'AorI', 'AspAI', 'Eco27kI', 'AglI', 'BavBII', 'TaqXI', 'Eci125I', 'BptI', 'DsaI', 'BbvBI', 'ApaORI', 'AceI', 'OfoI', 'Bst100I', 'BthEI', 'BciBII', 'CbrI', 'BspF4I', 'Lmu60I', 'BspNI', 'AseII', 'BstOI', 'BstT10I', 'Mgl14481I', 'Hpy178III', 'Eco137kI', 'MspB4I', 'BspLU4I', 'Kpn49kII', 'TspBI', 'BamNII', 'BstM6I', 'BthP35I', 'SfeI', 'FspMSI', 'FbrI', 'Bst2I', 'NspSAII', 'BsmSI', 'BsoFI', 'SauI', 'BseT10I', 'ApyI', 'MspNI', 'Uur960I', 'Bce22I', 'DsaIV', 'AocI', 'CthII', 'BstT9I', 'BshKI', 'SleI', 'Rfl17I', 'Bst1I', 'SspAI', 'SecI', 'Hpy51I', 'ElmI', 'BmpI', 'ErhB9II'],
    )


typedict['type84'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['AsiSI', 'SacII', 'FseI', 'Cfr42I', 'PluTI', 'PstI', 'SacI', 'AatII', 'KpnI', 'NspI', 'NlaIII', 'HhaI', 'HaeII', 'ApaI'],
    )


typedict['type89'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['AplI', 'McaTI', 'BfuAII', 'Afa22MI', 'PabI', 'XorII', 'NgoAIII', 'BsuBI', 'Eco29kI', 'RshI', 'NspHI'],
    )


typedict['type90'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['SfaAI', 'PaeI', 'Zsp2I', 'SbfI', 'BspMAI', 'Ple19I', 'NsiI', 'BstKTI', 'BspOI', 'PvuI', 'AspLEI', 'BfoI', 'RgaI', 'CfoI', 'Mph1103I', 'PacI', 'FaeI', 'KspI', 'SstI', 'Sse8387I', 'BstNSI', 'TaiI', 'BstH2I', 'SdaI', 'EcoT22I', 'BmtI', 'SphI', 'SgrBI', 'BstHHI', 'Hin1II', 'Psp124BI', 'Hsp92II', 'SgfI', 'RigI', 'XceI', 'Sfr303I'],
    )


typedict['type91'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Defined', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BspLAI', 'PfaAIII', 'ErhB9I', 'Sag23I', 'AvoI', 'BinSII', 'Mpr154I', 'SpaHI', 'BbuI', 'BspCI', 'Bsp63I', 'FnuDIII', 'SexCI', 'Psu161I', 'PpeI', 'TscI', 'SpuI', 'AccB2I', 'BbeI', 'Sst12I', 'Pfl21I', 'BfrBI', 'Ssp5230I', 'Eae46I', 'GceI', 'SspD5II', 'RaqI', 'SchZI', 'PaeAI', 'PaeQI', 'SenPT14bI', 'BpvUI', 'Ecl37kI', 'EagBI', 'BspKT6I', 'CflI', 'Srl5DI', 'SflI', 'CscI', 'HpyCH4I', 'SepI', 'Asp713I', 'BspBI', 'AceII', 'Psp23I', 'Pae14kI', 'ApiI', 'ChaI', 'PunAII', 'Ecl2zI', 'SexBI', 'PaeHII', 'Pae5kI', 'Tsp49I', 'CstI', 'XcpI', 'MhaAI', 'YenI', 'AjoI', 'HalII', 'NblI', 'Bsp143II', 'MvrI', 'Csp68KIII', 'GalI', 'CfuII', 'AliAJI', 'SalPI', 'RspLKI', 'Asi372I', 'NgoPIII', 'BloHII', 'PauAI', 'Sag16I', 'SstII', 'CfrA4I', 'Afa16RI', 'PinBI', 'Kpn378I', 'GceGLI'],
    )


typedict['type92'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['BaeGI', 'Bsc4I', 'BslI', 'XcmI', 'SfiI', 'AhdI', 'Hpy99I', 'AgsI', 'Hpy188I', 'BanII', 'BstXI', 'TspRI', 'DraIII', 'BglI', 'BstAPI', 'Bsp1286I', 'EcoT38I', 'MwoI'],
    )


typedict['type93'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Dep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['Bme1580I', 'BthCI', 'Esp1396I', 'HauII'],
    )


typedict['type94'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Commercially_available', 'AbstractCut', 'RestrictionType'),
        ['TaaI', 'PkrI', 'PflMI', 'BstMCI', 'TscAI', 'HpyCH4III', 'AccB7I', 'Bst4CI', 'MhlI', 'Bsh1285I', 'BseLI', 'HpyF10VI', 'Van91I', 'SetI', 'TauI', 'DriI', 'Bbv12I', 'Alw21I', 'CaiI', 'DseDI', 'FriOI', 'BsiEI', 'AlwNI', 'BstSLI', 'BseSI', 'PcsI', 'BlsI', 'BmeRI', 'BsiHKAI', 'PstNI', 'Eam1105I', 'DrdI', 'SduI', 'AdeI', 'AasI', 'AfiI', 'BstMWI', 'Eco24I'],
    )


typedict['type95'] = _temp()


def _temp():
    return (
        ('Palindromic', 'OneCut', 'Ov3', 'Ambiguous', 'Meth_Undep', 'Not_available', 'AbstractCut', 'RestrictionType'),
        ['BsiYI', 'Eco75KI', 'Tsp8EI', 'Bsh45I', 'BspUI', 'AspHI', 'PflBI', 'AocII', 'BspOVI', 'BvuI', 'BpuI', 'NruGI', 'BsaOI', 'FmuI', 'Nli3877I', 'Bsm6I', 'Asp10HII', 'EclHKI', 'Bce4I', 'NspII', 'Bst22I', 'HgiAI', 'MspV281I', 'Tsp4CI', 'Bsu1854I', 'ApaBI', 'PssI', 'BstIZ316I', 'McrI', 'BmyI', 'Psp03I', 'Bsp519I', 'SacNI', 'BflI', 'Kaz48kI', 'BsoCI', 'BceCI', 'BasI', 'AspEI', 'KoxII', 'BstHZ55I', 'SdiI', 'Bsc107I', 'HgiJII', 'PaeHI', 'BspLS2I', 'Psp1009I', 'AcpII', 'BspWI'],
    )


typedict['type96'] = _temp()


del _temp
